SiSU CHANGELOG    -*- mode: org; -*-
#+OPTIONS: ^:nil _:nil

* SiSU version 1
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob;f=data/doc/sisu/CHANGELOG_v1;hb=HEAD>
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob_plain;f=debian/changelog;hb=refs/heads/debian/sid>

v1 branch is legacy: v2 branch supersedes & replaces it
v1 sisu pretty mature in operation and syntax
v1 branch removed from sisu 3.0 available in sisu =< 2.7

  * homepages: <http://sisudoc.org> <http://www.jus.uio.no/sisu>
  * data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
  * CHANGELOG CHANGELOG_v1 CHANGELOG_v2 README data/doc/sisu/

* Legacy Branch, Reference

Reverse Chronological:

--- HEAD --- [closed]

* sisu_1.0.4.orig.tar.gz (2010-02-17:07/3) [2010-07-07]
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_1.0.4

  * sysenv, version.yml moved to /usr/share/sisu/v1/v (from /etc/sisu)

* sisu_2.0.0.orig.tar.gz (2010-03-06:09/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_2.0.0

  * introduces sisu v2, see CHANGELOG_v2
  * sisu v1 also included and maintained in tarball, if installed directly from
    tarball version 1 should be available as sisu1
  * version 2 series changes will be mentioned in this changelog only insofar
    as there are changes to sisu v1

* sisu_1.0.3.orig.tar.gz (2010-02-17:07/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_1.0.3

  * plaintext, footnote / endnote fix, footnotes to occur immediately after
    paragraph that contains them (unless endnotes are selected instead)

  * document sample skins, utf-8 specified (in some cases needed by ruby 1.9.1)

* sisu_1.0.2.orig.tar.gz (2010-02-10:06/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_1.0.2

  * Free as in Freedom (on RMS), Sam Williams, markup sample, markup variation,
    affects numbering

* sisu_1.0.1.orig.tar.gz (2010-02-08:06/1)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_1.0.1

  * odf:odt odt.zip fix addressing issue with presentation of headings in
    produced open document text

  * markup samples directory structure, minor adjustments, (and no longer
    shared by package sisu_markup_samples, about which, see that package)

* sisu_1.0.0.orig.tar.gz (2009-12-19:50/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_1.0.0

  * open v1 branch, bump series vesion number to 1
    * with the introduction of sisu version 2 (a new middle layer engine)
      imminent, that will be maintained in parallel with this version, it is
      time to have a version 1 branch
    * version 1 is pretty much the previous release, it will be maintained
      alongside version 2 (in the tarball) and the directory structure is
      modified to accommodate this
    * [version 2: will have a different middle layer; markup remains the same
      apart from some modification to document headers]

  * param / document header changed not to accept older markup, e.g. must use
    '@title:' rather than '0~title'

  * minor changes inter alia for new directory structure

  * documentation, modified description of command flags -m and -n (in line
    with communication on Debian bug #555496, closing it)

* sisu_0.71.4.orig.tar.gz (2009-08-29:34/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.71.4

  * sql, fix, different solutions for postgresql and sqlite to populate
    database using ruby-dbi

* sisu_0.71.3.orig.tar.gz (2009-08-28:34/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.71.3

  * fix to use imagemagick directly (when imagemagick is available and rmagick
    declares versions not in sync)

* sisu_0.71.2.orig.tar.gz (2009-08-02:30/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.71.2

  * fixes
    * html book index, batch processing fix, re-initialize variable after use
    * sysenv, sha256 use fix, need to set variable with pwd

* sisu_0.71.1.orig.tar.gz (2009-07-24:29/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.71.1

  * dal images, if no rmagick, system call imagemagick directly if available

  * manifest, include book index if available

  * html scroll css, left margin

  * html seg, navigation band buttons placement

* sisu_0.71.0.orig.tar.gz (2009-07-09:27/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.71.0

  * prepare for version 1, (and make way for version 2)
    * move lib to v1 from v0 lib/sisu/v1
    * change to version1.yml from version.yml (conf/sisu/version1.yml)
    * make necessary program changes
   [note on version 2 to come, input unchanged, output much the same, middle-
   layer (document abstraction) changed, uses ruby objects instead of strings
   to represent data]

  * sysenv, make sisu and ruby version info ruby instance methods

  * minor housekeeping:
    * texpdf mostly minor cleaning
    * html various minor:
      * use suffix provided in constants;
      * module SiSU_HTML_Tune;
      * possibility of use of adsense
    * dal_numbering, minor regex reduction
    * dal_idx, book_idx_html, match sysenv
    *  xml related minor touches

* sisu_0.70.6.orig.tar.gz (2009-07-01:26/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.70.6

  * db dbi, interfaces to sqlite and pgsql, fixes

  * cgi sample search form, fix

  * minor touches

* sisu_0.70.5.orig.tar.gz (2009-01-18:02/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.70.5

  * git repo moved to:
    git clone git://git.sisudoc.org/git/code/sisu.git
    git clone http://git.sisudoc.org/git/code/sisu.git
    .
    http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=summary

  * harvest fix where other languages used, links to appropriate files

  * year roll-over noted

  * copyright, 1997 - 2009 used to represent modifications made each year

  * debian/ new year cleaning, (coinciding with NY visit of Daniel Baumann)

  * debian/control made depends on fcgi-ruby for sisu-postgresql and
    sisu-sqlite as sample cgi search script depends on it

  * debian/copyright use machine parseable format

* sisu_0.70.4.orig.tar.gz (2008-12-31:52/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.70.4

  * latex/pdf tilde mark (bug in texlive, missing (at this instant) provide
    workaround), similar to issue with "bullet" noted in sisu 0.70.1
    [may be necessary to do an inventory of special characters?]

* sisu_0.70.3.orig.tar.gz (2008-12-24:51/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.70.3

  * html and css, cosmetic changes (and the closing of a tag)

  * db/sql
    * sqlite fix, change ruby driver used to populate sisu sqlite3 db to rb
      sqlite3 for the time being. Use rb sqlite3 driver directly rather (than
      more convenient when working) rb dbi interface to populate content. Used
      to bypass problems with rb dbi sqlite3 interface noted in sisu 0.66.2
      (2008-04-25) and 0.66.3 (2008-05-11) that have have persisted (apparently
      worked at end 2007 (v.0.62.4) and start of 2008 (v.0.64.0)
    * sqlite dropall, fix
    * fix to auto-generated sqlite cgi script sample, only works if at least
      one existing populated sisu sqlite database is found during the
      generation process
    * postgresql, much shared code, however, operation should be unchanged

* sisu_0.70.2.orig.tar.gz (2008-12-16:50/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.70.2

  * harvest_authors, sort authors works

  * i18n (translation of manifest) fix, related to variable renaming in
    previous release (see git log)

  * manpage, help include: sisu --harvest *.ss[tm]

* sisu_0.70.1.orig.tar.gz (2008-12-14:49/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.70.1

  * harvest
    * improved integration with sisu
    * close output files before remote posting
    * ensure html output is read by browser as utf-8
    * add publication date to author works summary
    [integration not quite complete as not added to sql, reason, each addition
    of a field requires users recreating database, and there are other metadata
    header additions under consideration, though unavoidable reduce the number
    by grouping]

  * manifest, show topic register metadata for each document

  * css main html modified, run: sisu -CC
    * left margin changed, affects html generally
    * table th and td elements text top aligned
    * additions for manifest display of topic_register

  * html tables
    * html structure, fix
    * column width, fix

  * latex/pdf bullet mark (bug in texlive, missing (at this instant) provide
    workaround)

  * param
    * additional metadata fields
    * variable renaming (that affects modules that use param)

  * sql (postgresql), add proposed metadata fields for though not yet populated
    [if changes correctly anticipated, will enable future use of database
    structure built with current version, without need to re-create, will not
    affect existing sisu databases]

  * emacs syntax highlighter update (metadata fields)

* sisu_0.70.0.orig.tar.gz (2008-12-03:48/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.70.0

  [version bump because formatting rule introduced to author / creator header -
  where new site metadata harvest feature is used, (at present changes changes
  should not be noticed except when using metadata harvest)]

  * sisu markup, additional header and new format rule:
    * @creator: / @author: header field, introduced author name format rules
      for more usable metadata harvesting: surname comma other names, additional
      authors separated by semi-colon
    * param added meta-tag, @topic_register: formatting topic levels are
      separated from sub-levels by a colon, a semi-colon separates main topics
      if there are multiple topics at lowest sub-level, a pipe can be used to
      create multiple headings

  * harvest module, harvests metadata from document set currently extracts: (i)
    authors and their writings from document set; (ii) topics and associated
    writings from document set (topics use topic_register header). harvest
    (when run against documents common to a directory of a site) extracts
    metadata and organises the documents on a site by author and topic
    information provided (there is a new "topic_register" header, with
    formatting rules similar to those of the book index), results are placed in
    [output_path]/sisu_site_metadata.
      sisu --harvest *.sst
    * by author (see change in param @creator: / @author: header field)
    * by topic / subject index (see addition in param of @topic_register:
      header field)
    initially there should be an example samples here:
      http://www.jus.uio.no/sisu/sisu_site_metadata/harvest_authors.html
      http://www.jus.uio.no/sisu/sisu_site_metadata/harvest_topics.html
    together with update markup source files

    The authors and their writings list will be made to take on a more
    biblographical form, with the use of additional fields as required.
    (concept example, suitable for medium sized sites [to remove size
    constraint: implement SQL equivalent]) make feature more robust

  * css, for harvest output added

  * remote placement of sisu_site_metadata (output produced by metadata harvest)

  * sisu markup, update document samples accordingly

  * tidy copyright marks in program headers, remove repetition of dates

  [date changed, built just after midnight]

* sisu_0.69.4.orig.tar.gz (2008-11-02:43/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.69.4

  * sisu-mode.el emacs syntax highlighting file contributed by Ambrose Kofi Laing
    data/sisu/conf/editor-syntax-etc/emacs/sisu-mode.el
    based on doc-mode.el (v1.14 2006-01-19) by Tong SUN, who granted permission
    for this adaptation and inclusion

  * vim syntax file, header, version number updated

  * ruby1.9 some testing minor changes (not all ruby libraries updated yet in
    Debian Sid) (sisu currently to be used with ruby 1.8 branch 1.8.4 or later)

  * dal, related to bold line instruction

  * minor touches

* sisu_0.69.3.orig.tar.gz (2008-10-10:40/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.69.3

  * minor adjustment to book index code

  * manifest, reporting of sisupod, [path fix in sysenv]

* sisu_0.69.2.orig.tar.gz (2008-09-19:37/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.69.2

  * Free as in Freedom markup sample now includes book index markup

  * identify markup helpers updated

* sisu_0.69.1.orig.tar.gz (2008-09-17:37/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.69.1

  * dal fix, dal_substitutions_and_insertions get skin info

* sisu_0.69.0.orig.tar.gz (2008-09-16:37/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.69.0

  * html
     * increased use of css, necessary to re-initialise sisu output directory
       with new css files [version number bump]
         sisu -CC
     *  html css, use of mini table of contents placed in left column for
        segmented text
     * manifest presentation

  * texpdf
    * pdf document typesetting dimensions
    * url matching and urlbreaks line breaks fix
    * landscape output, tables fixed
    * paragraph alignment, assigned 0 width to required space, (removing space
      at beginning of paragraph)
    * footnote, number placement changed, and left alignment (ragged edges)
      used
    * removal of a maths package gives back typeface changes like bold
    * url matching, special characters
    * better representation of tilde
    * tolerance

  * db table field lengths (varchar), increased

  * book type index
    * markup adjustment, book type index introduced
    * dal, book type indexing module

  * book type index and concordance, letter list for navigation

  * middle layer, url representation changed, downstream code affected

  * dummy headings removed when not used, latex/pdf, odf, html scroll

  * internal, greater use of passing of hash to formatting modules

  * dal, several modules split into separate files

  * vim syntax file updated to include syntax for book index

* sisu_0.68.0.orig.tar.gz (2008-07-22:29/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.68.0

Should simplify maintenance; numerous small fixes
Not without risk but should be easier to maintain.

  Fixes numerous small bugs, should simplify maintenance.
  Not without risk but should be easier to maintain.

  * Middle layer document representation changed (changes to the programs
    internal representation of text (markup)). Input unchanged; output should
    remain much the same. Changed processing markup (middle layer), affects
    internal downstream processing. Should simplify writing of downstream
    parsers and should increase both consistency and flexibility (as internal
    markup is now more easily modified).

  * texpdf, produces pdfs in multiple document sizes as specified in config

  * many small fixes

* sisu_0.67.5.orig.tar.gz (2008-07-12:27/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.67.5

  * texpdf xetex and xelatex processing commands, fix

  * texpdf A5 size landscape pdf, tex document header, fix

* sisu_0.67.4.orig.tar.gz (2008-07-12:27/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.67.4

  * remote sisu sourcefile and sisupod, fixes, download and generate locally

  * /tmp processing directory renamed to fix issues with default directory tab
    expansion of filenames and e.g. texpdf images

  * manifest minor changes to document information displayed

* sisu_0.67.3.orig.tar.gz (2008-07-03:26/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.67.3

  * help environment fix "sisu --help env"

  * texpdf (sysenv), papersize re-fixed (xetex landscape pdf fix fixed)

* sisu_0.67.2.orig.tar.gz (2008-07-02:26/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.67.2

  * texpdf (sysenv), fix required for xetex landscape pdfs

* sisu_0.67.1.orig.tar.gz (2008-05-27:21/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.67.1

  * syntax highlighting minor updates: nano; diakonos; kate
    [todo: gedit]

  * debian/vim-addon-manager, fix vim-sisu.yaml (closes: #464824)

* sisu_0.67.0.orig.tar.gz (2008-05-22:20/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.67.0

  * composite document, simplify syntax for importation of external files,
    syntax change (minor), automatic version bump, document samples modified
    accordingly
    [when editing vim has get-file gf]

  * debian, vim-addon-manager

* sisu_0.66.3.orig.tar.gz (2008-05-11:18/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.66.3

  * sqlite3, problem with transaction commits and disconnecting from db
    (including query and close), frustrating as sqlite is invaluable, bug has
    arisen with attempt to upgrade sisu from use of sqlite2 to sqlite3, may be
    within sisu [re-check connection requirements] but appears to be with
    sqlite3 component of (libdbi-ruby, libdbm-ruby); writing on the net at
    present suggests there may be a problem[1]; file bug report against
    sisu-sqlite and against libdbd-sqlite3-ruby, libdbd-sqlite3-ruby1.8,
    [1] http://www.sqlite.org/cvstrac/wiki?p=SqliteWrappers discussing
    different program apis at this time writes the following on ruby-dbi (in
    bold) "Ruby DBI (dbd_sqlite). This needs some work (see mailing list!)."

  * sql, work on ability to create sql transaction file for manual sql commit

  * particulars, introduced an abstraction for getting: basic environment;
    document parameters; and machine coded document

  * debian/control use debhelper version 7

  * debian/control introduce vcs info git repo, browser

* sisu_0.66.2.orig.tar.gz (2008-04-25:16/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.66.2

  * sisu-sqlite use sqlite3, unresolved issue finalizing transaction

  * debian, sisu-postgresql ruby-dbi dependencies refer to version 1.8

  * debian, sisu-sqlite ruby-dbi dependencies refer to version 1.8

* sisu_0.66.1.orig.tar.gz (2008-03-30:12/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.66.1

  * tex to pdf,  xetex (utf8) added as alternative to pdftex
    [for now special character processing is separate, consider merging common
    parts, that is, most of it]

  * debian, sisu-pdf recommends texlive-xetex

  * debian (control, compat), debhelper >= 6, (6 in lenny)

* sisu_0.66.0.orig.tar.gz (2008-02-24:07/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.66.0

  * ruby identify program files as utf-8
    # coding: utf-8

  * param identify markup type as 0.66 added

  * shared_sem semantic tag matching

  * sst_to_s_xml (sax/dom/node) semantic xml mockup naive conversion of known
    abbreviated tags, in flux, e.g.
      sisu --to-sax autonomy_markup0.sst
    back to sst markup with:
      sisu --from-sxml autonomy_markup0.sxs.xml

  * sst_to_s_dom fix to footnote/endnote conversion

  * vim
    * replace HiLink with "hi def link"
    * semantic tag matching, (may prune matches later)

* sisu_0.65.0.orig.tar.gz (2008-02-16:06/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.65.0

  * semantic tag, match refinement related, (consider a possible extension)
    [version bump for tags]

* sisu_0.64.4.orig.tar.gz (2008-02-14:06/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.64.4

  * markup tag, semantic tag added

* sisu_0.64.3.orig.tar.gz (2008-02-06:05/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.64.3

  * db sql pgsql future development and testing on version postgresql 8.3

  * encoding utf-8 some compatibility checks

  * db sql, for updates use match criteria '=' instead of LIKE
    (required for pgsql 8.3 with bigint)

  * ruby 1.9 testing, however remains closed

  [(side note) ramaze looks good, search form re-done (cgi search form
  re-engineered)]

* sisu_0.64.2.orig.tar.gz (2008-01-19:02/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.64.2

  * Dir.mkdir [instead of ftools File.mkpath], ruby 1.9

  * debian/control, permit running on ruby 1.9, needed for debian unstable
    install of current ruby (running remains stopped for the time being in
    bin/sisu, bin/sisu_webrick, bin/sisu_termsheet [details remain])

* sisu_0.64.1.orig.tar.gz (2008-01-09:01/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.64.1

  * odf output bug (preliminary) fix, related to angle-brackets in markup
    (reported by Jason Corfman)

* sisu_0.64.0.orig.tar.gz (2008-01-02:00/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.64.0

  * sql, postgresql allow tcp/ip connections... take relevant parameters from
    resource configuration file, sisurc.yml

  * sql (postgresql, sqlite), switch primary keys to bigint (as requested)

  * processing, default processing directory moved to /tmp and renamed
    _sisu_processing~ [previously was in user's home ~/_sisu_processing]
    a user subdirectory is made and permissions set to user 700
    pros: get rid of an unattractive directory in user's home
    cons: /tmp is usually in / which is frequently a relatively small directory
    compromise: is possible to set an alternative path for processing in
    sisurc.yml

  * copyright dates updated

  * debian/postrm.sisu on purge remove /etc/sisu, should fix packaging bug
    #454372 (reported by Kumar Appaiah), [thank you, and sorry for not having
    acknowledged this earlier]

* sisu_0.63.0.orig.tar.gz (2007-12-20:51/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.63.0

  * texpdf, (latex pdf) generate sisu latex output in a single pass

    implications if additional modules added e.g. provide dvi file without
    latex pdf headers or generate an A6 document by default for e-readers
    capable of reading pdf (this would otherwise require a separate pass/loop
    of content for each type to be generated)

    [current shortcoming, images are sized for smaller landscape output by
    default, image dimension adjustments not yet made (for different
    orientation)]

  * sisupod, bugfixes for rsync placement and for download and processing
    [(if made available) once downloaded may be converted when needed to the
    output format desired, outputs may also be generated by executing commands
    directly against pod at remote location, e.g.
    sisu -3 http://www.jus.uio.no/sisu/pod/free_culture.lawrence_lessig.sst.zip
    ]

* sisu_0.62.4.orig.tar.gz (2007-12-14:50/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.62.4

  * cgi_sqlite, variable name bugfix, fixes sql auto-generated sample search
    form

  * some treatment of String and Array adjustment

  * gpl3 or later links to online license source updated

  * vim ftplugin search and replace keybinding set to C-@

  * debian build version update

  * debian/watch file

  * debian DM upload

  * gpg/pgp signature used changed (now B98F62B1 before BD76E77F)

* sisu_0.62.3.orig.tar.gz (2007-11-27:48/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.62.3

  * html <hr> follows text, before footnotes (refine later)

  * rsync remote images partial fix

  * minor bug fix, related to error message passing, in texpdf and url

  * sisu_manual version info

  * vim ftplugin, status line info on cursor position modified

  * debian/control Dm-Upload-Allowed: yes

  sisu_0.62.3-2 (2007-11-29:48/4)
  89b5b3198dd33084c407e8b641042e4c 606 sisu_0.62.3-2.dsc
  3009d58c6c8231f11671a224ba615413 145972 sisu_0.62.3-2.diff.gz

  * debian/changelog (take more care with git reset)

  sisu_0.62.3-3 (2007-11-30:48/5)
  6eb4289cf9e1ca7ade96ccf22cc9188e 629 sisu_0.62.3-3.dsc
  b71825bd5746149780cef709659fb7a3 146249 sisu_0.62.3-3.diff.gz

  * debian/control XS-Dm-Upload-Allowed: yes
    [dpkg does not yet recognize Dm-Upload-Allowed field unless prefixed by
    XS-]

* sisu_0.62.2.orig.tar.gz (2007-11-03:44/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.62.2

  * db rearranging basic things todo (create, drop, update)

  * generate from remote markup source, image path fix, e.g.
    sisu -hv http://www.jus.uio.no/sisu/src/free_culture.lawrence_lessig.sst

  * vim
    * ftplugin, status line info update
    * colors slate, name fix [requested thanks]

  * debian/control Homepage: header
    (for the time being lintian override necessary)

* sisu_0.62.1.orig.tar.gz (2007-10-22:43/1)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.62.1

  * db common and cgi, regex to match new composite file filename (.ssm.sst)

* sisu_0.62.0.orig.tar.gz (2007-10-20:42/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.62.0

  [NOTE/WARNING: some directories moved, for existing sites will need manual
  adjustment of output locations, (moving of a couple of image directories, and
  if sharing text source the creation of shared source directories src and
    pod), see notes  below (on directory shunting)]

  * directory shunting ... [some resulting re-setting/configuration up
    necessary]

    * markup source and source pod directory (src and pod), all shared markup
      source placed in common directories src for text source, and pod for
      binary (instead of being in output files generated sub-directory) [NOTE:
      New src and new pod directory for shared markup source output required at
      [output path]/src and [output path]/pod ] [if nothing else makes repo of
      online submissions easier]

    * images, output images used by html moved, now in image directory instead
      of image_local; system images moved from image to image_sys (to make sure
      they are always available, i.e. not written over (by subsequent images
      given same name)) [NOTE: Image directories moved and may need to be
      tended to manually as existing directories are not overwritten, [output
      path]/_sisu/image_local is moved to [output path]/_sisu/image (and old
      _sisu/image is now _sisu/image_sys) ]

  * pwd directory stub name exception, regexs in sysenv and elsewhere, when
    determining the pwd stub, take stub from parent of a directory named src
    (todo with directory shunting, and placing of output source markup files
    where shared in a directory named src)

  * remote, (put, get) placed in single file (consider separating later)

  * conf, remote, work on rsync building of basic remote site structure

  * embedded content, included binaries such as images, audio, video, copy
    content associated with document to desired output locations, [decide how
    audio, video/multimedia are to be handled, initially just links to content]

  * image conditions and regex for matching and extracting list of images used
    by a document visited

  * copy images associated with document along with document, does not take
    care of skins though, for all images still need to use -CC

  * sysenv remote placement, and config, able to define multiple hosts for
    rsync or scp placement of output, for this sisurc.yml remote info given
    provided as array with '-' separator [old form of notation is also
    honoured]

  * special character exceptions, exception, fix (:code underscore angle bracket
    issue)

  * pruning

  * conditionals rearranged, (scope for breakage)

  * fictionbook, (-f) first pass at output, look into further and develop or
    drop? fictionbook is interesting, links:
      http://www.fictionbook.org/index.php/Eng:FictionBook
      http://www.fictionbook.org/index.php/Eng:FictionBook_description
      http://en.wikipedia.org/wiki/FictionBook

  * debian/control added depends on rsync, used extensively (now also
    internally)

  NOTE: fixed today in Debian Sid, bug with String.strip in ruby 1.9.0
    (2007-09-10 patchlevel 0) [i486-linux] ? [behaviour noted in
    2007-09-18:38/2, existed till 2007-10-18:42/5]:
    ' apples, oranges'.strip #==> "apples," # expected "apples, oranges"
    ' apples, oranges '.strip #does as expected

    ruby 1.9, for present time retain restriction on running and testing sisu
    with ruby 1.9, there are still issues with 1.9 (at the C stack level, and
    probably some in sisu compatibility/updating as well)

* sisu_0.61.0.orig.tar.gz (2007-10-12:41/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.61.0

  * dal, markup shortcut for available outputs, present as grouped text object,
    (as opposed to each available output being a separate object) this makes
    more sense for search results - where matched returns all versions of a
    document, (rather than just e.g. the document title) [affects document
    objects and numbering where used, hence version number bump]

  * html, pdf, switch text object numbering off, may be set in: (a) document
    header, @markup: no_ocn; (b) skin (for documents sharing that skin) "def
    ocn_display_off" and set to true;  or (c) as a processing flag "sisu -hpv
    --no-ocn [filename]". NOTE, now in html objects are still named, (i.e. will
    still work with searches though the relevance of the numbers returned is
    obscured)

  * shared markup source, composite documents, look to processing directory for
    both text (share source) and binary (sisupod (make))
    [fixes 0.60 shared markup source bug, introduced by falling out of step
    with processing changes introduced in 0.60]

  * processing flag shortcuts,
    * sisurc.yml reduced -1 outputs [to -hwpoyv] (minimum output used in
      dynamic building of some documents)
    * sysenv (default) replaced (obsoleted) -A with -a

  * sisu manual, manpage, download info, change links to source to archive,
    rather than transient repo

  * special character exceptions, some fixes

* sisu_0.60.1.orig.tar.gz (2007-10-07:40/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.60.1

  * param, multi-line parse, fixing @link: header

  * dal, fix to shortcut for listing available generated output (without source)

  * html, where no ocn selected, keep ocn id, just remove visible reference to
    ocn, as search result links will continue to function

  * xml, make sure &#160; is used instead of &nbsp;

  * sisu_manual, link to markup and book examples updated/corrected

* sisu_0.60.0.orig.tar.gz (2007-10-03:40/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.60.0

  * generated documentation moved out of source tarball entirely, in sisu-0.59
    series sisu documentation as generated by sisu was introduced, (the debian
    package made a separate sub-package of this), however: this made the
    tarball much larger than it was previously (in the order of 5 times the
    size, over 10Mb instead of under 2), and; this has very unattractive
    implications for source control management / git, as much of the output is
    in binary file format which as they include information on when they were
    built and which version of sisu they were built with, have different hash
    values from one generation to the next, which means large diffs and
    repeated storing of binary files which may contain essentially the same
    data, and rapid growth in size of the git repository. Solution sisu-0.60:
    * keep the sisu source tarball to as little binary content as is necessary
      by separating out the documents produced (this keeps diffs to essentials,
      and both the tarball and repository smaller in size)
    * keep a separate tarball for documentation as generated sisu-doc; offer
      that as a package on its own, (request that debian consider it for
      inclusion as such).

  * sysenv, sisurc.yml allow use of relative output paths, expand to absolute

  * parameter reading on first run of file, (initialization of parameters)

  * processing directory /tmp/_sisu_processing permissions set to 777 as
    processing for individual users occurs within sub-directory named after
    user

  * composite files (.ssm) building moved to processing directory, to overcome
    problem of non-writable sisu-source document directories, perhaps also
    cleaner (management of files)

  * param, behavior for reading headers changed to take in multi-lines, affects
    regex matching, watch

  * vim syntax highlighting for sisu markup, change to take account of
    possibility of multi-line headers

  * html segmented, bugfix: footnotes for headings levels :A,:B and :C
    correctly placed in first segment when batch-processing files/output

  * latex/pdf minor cleaning,
    * caret '^' is latex special character, additional match for escaping
    * clean major headings of markup heading tag with tilde and name
      e.g. '1~meta'

  * help, (hub), minor reorganisation and a change in info returned, most
    significantly the response for typing 'sisu' without options

  * sysenv, syslink issue, additional check made

  * sisu markup header, @man: accepting manpage parameters for: man_section,
    man_name and man_synopsis

  * man-pages, refinements to generation

  * param / metadata, hash sums now returns has sum and file-name only even for
    sisu-skin

  * NOTE you may be better off doing any diffs between 0.60 and 0.58 branch
    than against 0.59 which includes a lot of generated within the package
    documentation, 0.60 adds source only. [Am tempted to remove 0.59 completely
    from git history as it increases the size of the scm repository by so
    much...]

  * debian, 0.60 sorts issues with 0.59 branch

-
  sisu_0.60.0-2 (2007-10-04:40/4)
  0f14db0dcbffbfcf0d9de2d5d3d13035 606 sisu_0.60.0-2.dsc
  b08a95ce4f2c8c15495e0d3dba0523f8 146307 sisu_0.60.0-2.diff.gz

  * debian/control
    * remove reference to sisu-doc, (sub-package created in 0.59 and removed
      again in 0.60)
    * sisu-pdf sub-package (now) suggests alternative pdf viewers

* sisu_0.59.1.orig.tar.gz (2007-09-25:39/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.59.1

* sisu_0.59.0.orig.tar.gz (2007-09-23:38/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.59.0

  * start documenting sisu using sisu
    * sisu markup source files in
      data/doc/sisu/sisu_markup_samples/sisu_manual/
      /usr/share/doc/sisu/sisu_markup_samples/sisu_manual/
    * default output [sisu -3] in
      data/doc/manuals_generated/sisu_manual/
      /usr/share/doc/manuals_generated/sisu_manual/
      (adds substantially to the size of sisu package!)

  * help related edits

  * manpage, work on ability to generate manpages, improved

  * param, exclude footnote mark count when occurs within code block

  * plaintext changes made

  * shared_txt, line wrap visited

  * file:// link option introduced (in addition to existing https?:// and
    ftp://) a bit arbitrarily, diff here, [double check changes in sysenv and
    hub]

  * minor adjustments
    * html url match refinement
    * css added tiny_center

  * plaintext
    * endnotes fix
    * footnote adjustment to make more easily distinguishable from substantive
      text
    * flag -a only [flags -A -e -E dropped]
      controlled by modifiers --unix/msdos --footnote/endnote

  * defaults, homepage
    * renamed homepage (instead of index) implications for modifying skins,
      which need likewise to have any homepage entry renamed
    * added link to sisu_manual in homepage

  * css the css for the default homepage is renamed homepage.css (instead of
    index.css) [consider removing this and relying on html.css]

  * ruby version < ruby1.9
    * place stop on installation and working with for now [ruby String.strip
      broken in ruby 1.9.0 (2007-09-10 patchlevel 0) [i486-linux],
      2007-09-18:38/2]
    * debian/control restrict use to ruby > 1.8.4 and ruby < 1.9

  * debian
    * debian/control restrict use to ruby > 1.8.4 and ruby < 1.9
    * sisu-doc new sub-package for sisu documentation
      debian/control and sisu-doc.install

* sisu_0.58.3.orig.tar.gz (2007-09-06:36/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.58.3

  * param, identify markup type, fix, make sure distinguishable from standalone
    markup identify module

  * html & texpdf, cosmetic, 'copy @' reduced to smaller font size, consider
    removing

* sisu_0.58.2.orig.tar.gz (2007-09-05:36/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.58.2

  * code-block exceptions for composite documents

* sisu_0.58.1.orig.tar.gz (2007-09-04:36/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.58.1

  * code-block exceptions
    * dal, code block, url matching, should no longer be tagged with decoration
      escape mark
    * texpdf, code-blocks latex markup change to scriptsize from tiny (consider
      going back to footnotesize); other grouped-text including poem, indents
      fixed and set to footnotesize
    * angle bracket exceptions

* sisu_0.58.0.orig.tar.gz (2007-09-03:36/1)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.58.0

  * code block, exclude from most markup, should make it possible (eventually) to
    describe sisu markup using sisu, which was not an initial goal, but useful
    nonetheless.
    * pdf, some issues with some line-wraps, changed code-block fontsize to tiny,
      (consider footnotesize also should prefer use of ttfamily (texttt))

  * html css, odf, xml, use black bullets instead of red, and introduce
    black_bullet images in sizes 8px to 12px default used 9px

  * man page update on sources of markup examples

  * debian/control moved trang and kdissert to suggests

* sisu_0.57.0.orig.tar.gz (2007-08-22:34/3)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.57.0

  * markup addition, headings, shortcut for top level title (and author)
    :A~ @title @author (also available for level 2 (or 3) author) [version bump]

  * param markup identifier (and identifier) updated to identify markup
    addition in 0.57, :A~ @title

  * manifest
    * use relative link by default
    * in absence of configured url_root (http://) use info on location on local
      filesystem (file://)

  * html search form in navigation band/banner and promo, adjustments,
    hyperestraier option offered in promo, requires change in sisurc.yml

  * sisurc.yml requires changes to make use search form options, [version
    bump] sample updated and commented out

  * html outputs, navigation band/banner adjustment, in concordance and manifest

  * html scroll, fix to document information link in table of contents

* sisu_0.56.3.orig.tar.gz (2007-08-19:33/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.56.3

  * manifest make file-type descriptions simpler to understand

  * copyright restricted to rights tag, unless none, in which case rights tag
    gets creator information
  * copyright mark picked up in rights if 'Copyright (C)' is used

  * tex/pdf url matching semi-colon following url

  * endnote heading, apply tag to exclude numbering and segment heading where
    there is no segment

  * html scroll endnote text minor fix

  * initialize site structure, make copy site images default (sisu -CC)

* sisu_0.56.2.orig.tar.gz (2007-07-31:31/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.56.2

  * odf, a few regex matches, a new fix (url), and an old one (grouped text
    with change to fontface)

* sisu_0.56.1.orig.tar.gz (2007-07-31:31/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.56.1

  * dal, endnote / url matching refinement

* sisu_0.56.0.orig.tar.gz (2007-07-31:31/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.56.0

  * same as 0.55.7 - use version number to flag (small) change to db structure
    rebuilt with more significant version number to flag the likely need to
    rebuild search database if used, [results from need to enlarge db cell
    related to dc identifier, (which is automatically constructed and used to
    populate the database, (and is too small) as of 0.55.6)]

* sisu_0.55.7.orig.tar.gz (2007-07-31:31/2)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.55.7

  * url matching refinement
    * add semi-colon as possible url terminator
    * dal match https

  * db increase identifier size, (varchar 256 from 100) url automatically
    constructed in param, it is necessary to rebuild database (re-create and
    re-populate) for this to take effect [sisu -Dv --recreate]

  * added processed count info for output urls and remote placement (to
    existing counts)

  * help info updated -0 is no longer used to generate output without numbering
    (ocn), re-introduce possibility later

  * some unintended tabs replaced with spaces

* sisu_0.55.6.orig.tar.gz (2007-07-28:30/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.55.6

  * matching multiple and consecutive urls within a paragraph, refinements
    * db html (html_lite), multiple urls, bug fix
    * consecutive url matching: html, html_lite, xml, odf, texpdf

  * open archive initiative for metadata harvesting, initial implementation,
    Dublin Core, XML output available (-O), decide use later (filenames, output
    dir etc.)

  * rinstall as both a rant and rake installer for sisu
    * Rakefile softlink to rinstall
    * Rantfile softlink to rinstall

  * debian vim
    * moved installation of syntax and ftplugin back to vim/addons
    * added recommends vim-addon-manager
    (thanks zack)

* sisu_0.55.5.orig.tar.gz (2007-07-22:29/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.55.5

  * initialize output directory, fix (Closes: #434168)
    [(a trivial but serious) bug introduced with changed use of variable in
    0.55.3, (serious because it prevents the initialization of new output
    directories "sisu -CC")]

  * dal, matching of underscore, so as not to be to greedy and incorrectly
    match url with escape url decoration tag (_url)

  * vim syntax highlighting, match url with escape url decoration tag (_url)

  * output note added on software libre's use and adherence to practical
    open standards

  * debian vim, syntax and ftplugin install moved to /usr/share/vim-scripts
    (syntax file synced with Bram, thanks)

* sisu_0.55.4.orig.tar.gz (2007-07-20:29/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.55.4

  * db import, minor refactoring

  * cgi fixes
    * search form pre/next
    * scope for matches in individual documents

  [manually re-closed bug #406280, actually closed in February in version
  sisu-0.48.11, back-ported to sisu-0.48.8-7 freeze branch]

* sisu_0.55.3.orig.tar.gz (2007-07-14:28/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.55.3

  * url
    * matching improved
      (plaintext, html, xml, odf, tex/pdf, db)
    * possibility to escape decoration <http://url>
      with \http://url or _http://url becomes http://url

  * texpdf
    * TeX line breaking tolerance altered, to deal with urls
      better
    * indentation levels reset

  * cgi, generated sample search form, improved
    * presentation adjustments, placement of info, larger text entry form
    * additional result information provided
      * canned searches provided to show matched text or indexes in individual
        matched documents
      * links to odf text
      * new results defaults set
    * better highlighting of matches
    * footnotes and footnote references have links to the main text in which
      they are found
    * no next page if there are none

  * manifest and concordance, output presentation title and author information
    more prominent

  * editor syntax highlighting (for SiSU), visited/improved
    * diakonos
    * gedit
    * kate, kwrite
  * renamed directory "syntax" "editor-syntax-etc"
    * vim directory moved into editor-syntax-etc

  * debian install, correctly map moved vim directory

* sisu_0.55.2.orig.tar.gz (2007-07-07:27/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.55.2

  * cgi generated sample search form
    * order results on files of the same title, in multiple files (with
      different filenames)
    * postgresql, character case sensitivity, control, on/off
    * tail decoration, gplv3 & sisu info

  * texinfo/info (pinfo) module starts to do something vaguely useful again
    [not a much used module, testing required]

  * print XML rendition of document structure to screen -T

  * help on environment visited, sisu -V

  * sisurc.yml default, color set to true
    [apologies if this causes anyone any inconvenience, it is configurable in
    sisurc.yml]

  * help and man pages, some work man(8) related

  * docbook entries removed for the present time

  * sisu-install (install ruby rant script renamed) and permissions set to
    executable

* sisu_0.55.1.orig.tar.gz (2007-07-02:27/1)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.55.1

  * dal, auto-numbering (minor) fix for segments/headings

  * odf break fix

  * cosmetic fixes,
    * screen output of project name
    * screen output when generating tex pdf
    * debian documents skins
    * html indent levels, regular and bulleted text

* sisu_0.55.0.orig.tar.gz (2007-07-01:26/7)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.55.0

  * GPL 3 related changes
    * LICENSE update/change: GPL v3 or later.
    * document markup samples added GPL 3
    * images added GPL 3

  * default skin, info re-arranged/redesign, (some content dropped else much
    the same apart from reference to GPL v3)

  * html, do not make link to concordance file in html output even if it exists
    if document has over 300,000 words (as concordance would be a large file),
    if generated will be listed in manifest (maximum number of words to
    prevent its generation can be set in sisurc.yml, (default is currently
    set to 260,000))

  * odf, url match bug fix

  * dal, text block fix, space follows url before <br>

  * minor
    * cosmetic changes to html and digest code
    * man page and html (note concordance word limit)

  * debian make lib available to ruby1.9

* sisu_0.54.1.orig.tar.gz (2007-06-15:24/5)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.54.1

  * cgi script (for search matching), fix (imperfect), match highlighting is
    now ignored in paragraphs with urls

* sisu_0.54.0.orig.tar.gz (2007-06-14:24/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.54.0

  * indent levels (1-9) added [previously two levels] done for plaintext, html,
    xml, odf, latex/pdf [minor syntax addition (_3 - _9), version number
    change]

  * bullet indent levels (1-9) added [previously two levels] done for
    plaintext, html, odf, latex/pdf [minor syntax addition (_3* - _9*), version
    number change]

  * url decoration, open close, default angle brackets <http://url>

  * fixes, some line-breaking for plaintext (and text groups for) odf and xml

  * css, modifications for extended indents in html and xml [sisu -CC (for
    update)]

  * vim syntax highlighter updated to take account of extended indent range

  * rant installer minor changes for future ruby

  * conversion script in data/sisu/conf/convert/sisu_convert

* sisu_0.53.0.orig.tar.gz (2007-06-02:22/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.53.0

  * housekeeping, internal program adjustments (i.e. unrelated to output)
    * lib, moved lib base to v0 branch (major version preceded by a v), [from
      major.minor version (this version would otherwise be 0.53)], primarily to
      simplify reading of scm history (with fewer lib directory changes)
    * issues with strings and arrays (flatten and compact some arrays)
    * changed require from Constant + '/path' back to "#{Constant}/path"
    * various little things
    * cleanup, including cleaning of end of line (hanging white) spaces

  * Note: dcc, several hash values change.

  * moved to git for scm including git-buildpackage
   (from a combination of mercurial and dars + darcs-buildpackage, [don't ask,
   it served me quite well though])

* sisu_0.52.7.orig.tar.gz (2007-05-17:20/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.52.7

  * texpdf, related to special characters

* sisu_0.52.6.orig.tar.gz (2007-05-14:20/1)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.52.6

  * texpdf, a url representation fix, escape of special characters

* sisu_0.52.5.orig.tar.gz (2007-05-10:19/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.52.5

  * postgresql TCP/IP port setting changed, looks first at sisurc.yml else the
    environment variable PGPORT, else fallback is to set
    default to 5432

  * debian/control postgresql dependencies updated, version agnostic (Closes:
    #419294) [Martin Pitt thanks for report]
    * on debian postgresql-8.2 now replaces postgresql-8.1, migrate database.
    * you may need to set the TCP/IP port, and this can be done either by
      setting PGPORT (e.g. "export PGPORT=5432") or setting the port in
      sisurc.yml (check what the correct value should be [on my system the
      default was set to 5433 for 8.2, "ls -la /var/run/postgresql/" may help])

* sisu_0.52.4.orig.tar.gz (2007-05-05:18/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.52.4

  * param, markup version detection added

  * some code cleaning and anchoring of some regexs to start and end of string

  * [checked against ruby 1.9.0 (2006-06-08) [i486-linux] in Debian Sid]

  * debian debhelper (>= 5)

  * [very rough wiki text output/assist (-g), may remove, not documented]

* sisu_0.52.3.orig.tar.gz (2007-04-26:17/4)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.52.3

  * texpdf, a fix, utf-8 markup/input file now required and assumed
    [file magic identification of sisu markup files changes, utf-8 info is not
    currently provided, (resulting in false assumption on encoding)]

  * debian/control, postgresql dependency reverted till ruby db driver
    dependencies are updated, [reopened: #419294] [not caught in 0.52.2 because
    both versions of postgresql were installed, 0.52.2 was not uploaded to the
    debian repository]

* sisu_0.52.2.orig.tar.gz (2007-04-21:16/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.52.2

  * html, links to other output make use of the default settings as well as
    availability of software (e.g. to generate pdf from LaTeX)

  * debian/control, postgresql dependency update, [intended to close: #419294]
    [thank you for report Martin Pitt]

* sisu_0.52.1.orig.tar.gz (2007-04-14:15/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.52.1

  * initial revisit of XML output (and input) models, lots as yet to be done

  * cleanup of some unused code, re-introduce if needed

* sisu_0.52.0.orig.tar.gz (2007-04-07:14/6)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.52.0

  * 0.52 introduces: file-type identifier declaration, the _{first line of SiSU
    a markup file}_ should be the sisu file-type identifier, indicated by the
    word SiSU optionally (and preferably) followed by the version number of the
    markup used:
    e.g. current markup files would start with the line:
      'SiSU 0.52'
    or
      'sisu-0.52'
    [most markup is unchanged since sisu-0.38 though there have been some
    additions since see e.g. sisu-0.42... (sisu-0.16 markup remains valid
    though depreciated) to keep backward compatibility use:]
    commented out equivalents:
      '% SiSU 0.38'
    or
      '% sisu-0.38'
    variants include:
      'SiSU text 0.52'   [filename].sst (equivalent to the default 'SiSU 0.52')
      'SiSU insert 0.52' [filename].ssi
      'SiSU master 0.52' [filename].ssm

    sisupod (zip) files (currently) have inserted into the binary:
      'SiSU sisupod 0.52.0'
    and sisupod (zip) of directory content:
      'SiSU sisupod 0.52.0 directory contents sisupod-sisu-2007-04-03.ssp'

  * command line options:
    * default action for 'sisu [filename]' introduced: sisu -0 [filename]
      [flag -0 introduced and can be configured in config as 'flag' 'default']
    * added long forms for -q (--verbose-0|--quiet) -v (--verbose-1|--verbose)
      -V (--verbose-2|--Verbose) -M (--maintenance) and -VM (--verbose-3)

  * sst_identify_markup minor adjustments

  * sst_do_inline_footnotes minor adjustments

  * xml input representation variants (sax, dom, node), minor adjustments in
    conversion to and from ordinary sisu markup (.sst)

  * shared_xml fix (occasionally affecting html) make sure content of
    <meta name= tag do not contain double quote character transform to
    single quote

  * ODF and XML special character and XML escape fixes

  * gpl3 draft3 included as document markup sample
    (requires the ODF and XML escape fixes made in this release version)

* sisu_0.51.0.orig.tar.gz (2007w13/6 | 2007-03-31)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.51.0

  * defaults and skins, refactoring (code simplification)
    * consequential pervasive small changes throughout code
    * existing skins need to be rewritten (necessary modifications relatively
      straightforward) [this is the reason for the version number bump up]

    [NB. (i) document syntax remains unchanged;
    (ii) refactoring changes pass initial tests but require further testing]

  * xml representations of sisu markup, small a touch

* sisu_0.50.4.orig.tar.gz (2007w12/6 | 2007-03-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.50.4

  * (rudimentary generated) sample search form
    * fix: db paths for files;
    * fix: highlighting of matches (not yet consistent)
    * feature: db select range can be set from url (limit and offset)
    * cosmetic: text adjustments

* sisu_0.50.3.orig.tar.gz (2007w11/6 | 2007-03-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.50.3

  * sample search form, generated cgi fixes, including selected db path for
    urls, and setting of webserver port

  * concordance, add search widget

  * html navigation band, need more space with search widget, descriptions
    shortened

* sisu_0.50.2.orig.tar.gz (2007w11/6 | 2007-03-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.50.2

  * cgi sample search form, a bit of work, needs more
    * url logic (testing required)
    * boolean constructs (passed to SQL engine) (requires work)
    * cgi_pgsql system call made to psql to extract list of available databases

  * search forms (embedding), incorporation into navigation bands, and promo
    panes (can be limited to search of document in question only, and provide as
    result matched: object number index or text)
    * configure sisurc.yml with information on action (cgi query url) and sisu
      database name
    * html_promo, search forms may be constructed for sisu databases
      (yaml samples promo.yml and list.yml provide commented out example)

  * promo (html) may be set (a) per document in document header or by document
    skin, by directory in directory skin, or directory sisurc file, or per site
    in per site skin or sisurc file

  * initialisation of directories -CC, set permissions of copied files to 644

  * help, man pages minor updates, default homepage update

    [many small changes, extensive testing required]

  * initial tests with ruby-1.8.6 passed

* sisu_0.50.1.orig.tar.gz (2007w10/6 | 2007-03-10)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.50.1

  * promo/advertise minor extension

  * css default, minor changes

  * postgresql indexes, not built automatically on text fields, rely on tsearch,
    (suggest you build gin indexes)

  * cgi sample search form scripts visited

  * yaml sample files promo.yml and list.yml updated
    (removed from conf (/etc/sisu) copy in document samples)

* sisu_0.50.0.orig.tar.gz (2007w10/2 | 2007-03-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.50.0

  * CHANGELOG renamed from version_manifest.changelog

  * html some play with navigation bands (usability)

  * sisurc.yml used (instead of depreciated sisurc.yaml)

  * version.yml used (removed version.yaml)

  * dal, metaverse renamed da for document abstraction (layer), variables (and
    sisupod structure) renamed accordingly. [dal preferred to da because it is
    easier to find].

  * i18n, (babel renamed i18n)

  * texpdf pdf output make a note about sisu_manifest, alternative output
    formats

  * promo/advertise, html, permits division into a major and a minor pane
    (left) which is available for promotional material, links etc. the content
    of which is currently controlled header @promo: and yaml files promo.yml and
    list/yml usual path = = = _sisu/skin/yml ~/.sisu/skin/yml /etc/sisu/skin/yml
    added sample of promo.yml and list.yml and an edited out header for promo
    inclusion in "Free as in Freedom" and "GPL" document samples (these are
    called by the document (header) but stored externally from the document (in
    yml files (promo.yml and list.yml)), (will be possible to make a directory
    wide inclusion))

  [.gh 50th anniversary commemorative edition - "Freedom and Justice"]

* sisu_0.49.2.orig.tar.gz (2007w08/6 | 2007-02-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.49.2

  * sysenv, for processing of remote files, download of remote images,
    correction to variable name

  * odf documents linebreaks removed

  * description, less mention of document management, more on lightweight
    markup, text structuring, publishing and search

* sisu_0.49.1.orig.tar.gz (2007w06/6 | 2007-02-10)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.49.1

  * xml, minor refactoring

  * segmented html, minor user interface navigation changes (for pre next and
    toc):
    * navigation arrow buttons and available documents information trade
      places, navigation arrows moved right (less cursor movement used in
      navigation, the scroll bar is usually on the right, also more consistent
      presentation (placement as in toc))
    * removed two sets of html segment navigation bands, from very top and
      under title (cleaner presentation without reduction in functionality,
      (also for console clients))

  * remote placement, rsync, simplify mapping used, should be a bit more robust

  * response, user response abstraction, minor

  * metaverse, superscript, subscript regex adjusted, (consider adopting this
    modification more widely)

  * digests, representation of document structure updated to use @, :A-:C, 1-3
    (instead of 0-6)

    [consider object numbering rule change, re: paragraph/line consisting
    solely of * * * or ***, should these be un-numbered?, currently are
     numbered]

* sisu_0.49.0.orig.tar.gz (2007w04/5 | 2007-01-26)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.49.0

  * substantially the same as 0.48.8-10 (minor change (sysenv mkdir))
    0.49 opened post freeze and decision to use iso 639-2

  * [use recursive acronym]

    [0.48 branch should have become 0.49 with switch to iso 639-2
    in 0.48.8-8 = = = 0.48.12-1 (as this requires the renaming
    of some markup files e.g. dk becomes da) [builds from now are
    post freeze (Etch), and the development routine should be
    more regular]]

* sisu_0.48.12.orig.tar.gz (2007w04/3 | 2007-01-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.12

  * [NOTE substantially the same as 0.48.8-8 (Etch freeze is at 0.48.8)]

  * [NOTE rebuild of the 0.48.11  of (2007w02/5 | 2007-01-12) to merge branch
    in version control, chronological break in sequence, this build is
    substantially the same as 0.48.8-7, subsequent versions of 48.8 are more
    recent (Etch freeze is at 0.48.8), the latest being 0.48.8-8]

  Originally released as:
  %% sisu_0.48.12.orig.tar.gz (2007w03/7 | 2007-01-21)
  174368e60459b0a57db63bfb818f2d80 1261172 sisu_0.48.12.orig.tar.gz
  5c941a2810bd816c3c4285171c90e13c 609 sisu_0.48.12-1.dsc
  7705abb94584cbe9b4803933e8ebf765 140977 sisu_0.48.12-1.diff.gz

  * use ISO 639-2 for language codes, file names etc.
    (rename danish samples .~da (instead of dk), [took out Brazilian Portuguese
    and U.S. American English])

  * debian samples, tex pdf page breaking instruction modified/corrected, and
    danish examples renamed ISO 639-2

  * sisupod initialisation, fix, (should not fail when initiated in a new sisu
    work directory, (however do not mix regular sisu markup files and sisupod on
    command line))

  * sysenv, generic question/check added; used as safeguard against accidental
    making sisupod of (whole) directory.

  * xml, xhtml several adjustments (including use of xlink), also related css
    fixes

  * html, toc cosmetic correction

* sisu_0.48.11.orig.tar.gz (2007w04/3 | 2007-01-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.11

  * [NOTE rebuild of the 0.48.11  of (2007w02/5 | 2007-01-12) to merge branch
    in version control, chronological break in sequence, this build is
    substantially the same as 0.48.8-7, subsequent versions of 48.8 are more
    recent (Etch freeze is at 0.48.8), the latest being 0.48.8-8]

  Originally released as:
  %% sisu_0.48.11.orig.tar.gz (2007w02/5 | 2007-01-12)

  * sisu-0.48.8-7 equivalent, which includes a fix to the sample cgi search
    form [0.48.8-4 introduced a bug]

* sisu_0.48.10.orig.tar.gz (2007w04/3 | 2007-01-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.10

  * [NOTE rebuild of the 0.48.10  of (2007w02/1 | 2007-01-08) to merge branch
    in version control, chronological break in sequence, this build is
    substantially the same as 0.48.8-6, subsequent versions of 48.8 are more
    recent (Etch freeze is at 0.48.8), the latest being 0.48.8-8]

  Originally released as:
  %% sisu_0.48.10.orig.tar.gz (2007w02/1 | 2007-01-08)

  * debian control, sisu-pdf now depends on texlive alone (tetex removed)
    (and free from use of metapackages). Feedback from Frank Küster, Ralf
    Stubner and Norbert Preining (Closes: #402807)
    [0.48.8-6]

  * rollover year 2006 to 2007
    [0.48.8-5]

   * cgi sample form related modifications (relatively minor but nice to have
    sorted) [0.48.8-4]:

    * cgi_pgsql and cgi_sqlite, dynamic path used instead (fixed path will
      result in errors where the default path is not used).

    * cgi_pgsql and cgi_sqlite, "documentation" tip for copying generated cgi
      sample to cgi-bin directory, prevent accidental copying to a directory
      instead of file. Dynamic path used.

    * debian/control Recommends libfcgi-ruby1.8 moved to sisu-postgresql and
      sisu-sqlite (only used in this context) (previously suggested, needed for
      sample search form)

  * documentation/help on initially creating postgresql database for use if
    necessary
    [0.48.8-3]

  * LaTeX, bugfix - restores missing left column object/paragraph numbers
    (missing curly (close) brace) [important, though marked as normal]
    [bug introduced somewhere between 0.47 and 0.48] (closes: #403037)
    [0.48.8-2]

  * LaTeX use mathptmx.sty instead of "obsolete" times.sty (as suggested by
    Frank Küster in Bug#402807)
    [0.48.8-2]

  * cgi-sample form, an arbitrary limit set for sql query results
    (1000 better than none) (closes: 403042)
    [0.48.8-2]

  * defaults, update sisu default homepage to current, (mainly urls)
    [0.48.8-2]

  * css addition to correspond with change to homepage
    [0.48.8-2]

  * debian control, adds mention of editors other than vim for which there is
    some kind of syntax support, kate, kwrite, gedit, diakonos
    [0.48.8-2]

  * vim syntax file, minor adjustment (related to an endnote shortcut)

  * doc/sisu/html keep copy of homepage
    [introduced in 0.48.9]

* sisu_0.48.9.orig.tar.gz (2007w04/3 | 2007-01-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.9

  * [NOTE rebuild of the 0.48.9  of (2006w52/1 | 20061225) to merge branch in
    version control, chronological break in sequence, this build is
    substantially the same as 0.48.8-2, subsequent versions of 48.8 are more
    recent (Etch freeze is at 0.48.8), the latest being 0.48.8-8]

  Originally released as:
*** sisu_0.48.9.orig.tar.gz (2006w52/1 | 20061225)

  * source tarball incorporates fixes added after Etch freeze in deb 0.48.8-2

    * LaTeX, bugfix - restores missing left column object/paragraph numbers
      (missing curly (close) brace) [important, though marked as normal]
      [bug introduced somewhere between 0.47 and 0.48] (closes: #403037)

    * LaTeX use mathptmx.sty instead of "obsolete" times.sty (as suggested by
      Frank Küster in Bug#402807)

    * cgi-sample form, an arbitrary limit set for sql query results
      (1000 better than none) (closes: 403042)

    * defaults, update sisu default homepage to current, (mainly urls)

    * css addition to correspond with change to homepage

    * debian control, adds mention of editors other than vim for which there is
      some kind of syntax support, kate, kwrite, gedit, diakonos

  * texpdf, usepackage url

  * doc/sisu/html keep copy of homepage

  * debian control, sisu-pdf depends for tetex | texlive, take on board
    suggestion by Frank Küster (see #402807)

* sisu_0.48.8.orig.tar.gz (2006w48/1 | 20061127)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.8
  [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]

  * metaverse, "visual" adjustment to allow inclusion of column width
    information

  * debian, dfsg document samples debian constitution v1.3 added
    [english, german, danish]

  * [sisu-markup-samples_1.0.4 contains "The Wealth of Networks", Yochai
    Benkler]

* sisu_0.48.8-2 (2006w50/4 | 20061214)
  [Etch related fixes, uploaded by Daniel Baumann (Medium)]

  * LaTeX, bugfix - restores missing left column object/paragraph numbers
    (missing curly (close) brace) [important, though marked as normal]
    [bug introduced somewhere between 0.47 and 0.48] (closes: #403037)

  * LaTeX use mathptmx.sty instead of "obsolete" times.sty (as suggested by
    Frank Küster in Bug#402807)

  * cgi-sample form, an arbitrary limit set for sql query results
    (1000 better than none) (closes: 403042)

  * defaults, update sisu default homepage to current, (mainly urls)

  * css addition to correspond with change to homepage

  * debian control, adds mention of editors other than vim for which there is
    some kind of syntax support, kate, kwrite, gedit, diakonos

* sisu_0.48.8-3 (2006w52/5 | 20061229)
  [Etch related fixes, uploaded by Daniel Baumann (Medium)]

  * texpdf, usepackage url (improved placement of urls)

  * debian control, sisu-pdf now depends on texlive alone, (alternative tetex
    depends removed - reason: problem keeping both working!), take on board
    suggestion by to rely on texlive Frank Küster if tetex is problematic (this
    addresses, but does not close #402807 without further discussion, dropping
    alternative tetex depends simplifies sisu-pdf (tex) related depends, and
    makes it much more reliable (also see in changelog earlier feedback on
    sisu-pdf depends from Norbert Preining url at 0.47.7-3) depends here drop
    reliance on metapackages, (extra checks required as to determine whether
    texlive depends list may be shortened, playing safe))

  * debian/control priority changed to extra (from optional) as depends on
    texlive (without option for use of tetex instead)

  * debian/control sisu recommends libfcgi-ruby1.8 (previously suggested,
    needed for sample search form)

  * documentation/help on initially creating postgresql database for use if
    necessary

* sisu_0.48.8-4 (2006w52/7 | 20061231)
  [Etch related fixes, uploaded by Daniel Baumann (Medium)]

  * cgi sample form related modifications (relatively minor but nice to have
    sorted):

    * cgi_pgsql and cgi_sqlite, dynamic path used instead (fixed path will
      result in errors where the default path is not used).

    * cgi_pgsql and cgi_sqlite, "documentation" tip for copying generated cgi
      sample to cgi-bin directory, prevent accidental copying to a directory
      instead of file. Dynamic path used.

    * debian/control Recommends libfcgi-ruby1.8 moved to sisu-postgresql and
      sisu-sqlite (only used in this context)

* sisu_0.48.8-5 (2007w01/2 | 2007-01-02)
  [Etch related fixes, uploaded by Daniel Baumann (Medium)]

  * sisu-pdf texlive dependencies shortened and free from use of metapackages

  * rollover year 2006 to 2007

* sisu_0.48.8-6 (2007w01/3 | 2007-01-03)
  [Etch related fixes, uploaded by Daniel Baumann (Medium), cleared/unblocked by
  Marc 'HE' Brockschmidt]

  * sisu-pdf texlive dependency in -5 adjusted on feedback from Norbert
    Preining (Closes: #402807)
      http://lists.debian.org/debian-tex-maint/2007/01/msg00034.html
      http://lists.debian.org/debian-tex-maint/2007/01/msg00033.html

* sisu_0.48.8-7 (2007w02/3 | 2007-01-10)
  [Etch related fixes, uploaded by Daniel Baumann (Medium), cleared/unblocked by
  Marc 'HE' Brockschmidt]

  * the cgi sample form modifications introduced in -4 were premature, they
    break things, behaviour reverted to -2 [-3].
    (Closes: #406281 and #406280) [same bug]

  * removed sisu-sqlite suggests on libdbd-sqlite and
    sisu-postgresql suggests on libdbd-pgsql which are
    not found in testing/Etch
    (Closes: #406282 and #406284)

  * sisu html man page regenerated (from man page)

* sisu_0.48.8-8 (2007w03/7 | 2007-01-21)
  [Etch related fixes, uploaded by Daniel Baumann (Medium)]

  * use ISO 639-2 for language codes, file names etc.
    (rename danish samples .~da (instead of dk), [took out Brazilian Portuguese
    and U.S. American English])

  * debian samples, tex pdf page breaking instruction modified/corrected, and
    danish examples renamed ISO 639-2

  * sisupod initialisation, fix, (should not fail when initiated in a new sisu
    work directory, (however do not mix regular sisu markup files and sisupod on
    command line))

  * sysenv, generic question/check added; used as safeguard against accidental
    making sisupod of (whole) directory.

  * xml, xhtml several adjustments (including use of xlink), also related css
    fixes

  * html, toc cosmetic correction

* sisu_0.48.8-9 (2007w04/1 | 2007-01-22)
  [Etch related fixes, uploaded by Daniel Baumann (Medium)]

  * removed Danish debian sample markup files to reduce the size of the
    inter-diff against the package in testing.

  * minor further adjustments to xml processing

* sisu_0.48.8-10 (2007w04/2 | 2007-01-23)
  [Etch related fixes]

  * xml and xhtml adjustment of regex match of urls for xlink

* sisu_0.48.8-11 (2007w07/5 | 2007-02-16)
  [Etch related fixes]

  * xml, minor refactoring

  * segmented html, minor user interface navigation changes (for pre next and
    toc):
    * navigation arrow buttons and available documents information trade
      places, navigation arrows moved right (less cursor movement used in
      navigation, the scroll bar is usually on the right, also more consistent
      presentation (placement as in toc))
    * removed two sets of html segment navigation bands, from very top and
      under title (cleaner presentation without reduction in functionality,
      (also for console clients))

  * remote placement, rsync, simplify mapping used, should be a bit more robust

  * response, user response abstraction, minor

  * metaverse, superscript, subscript regex adjusted, (consider adopting this
    modification more widely)

  * digests, representation of document structure updated to use @, :A-:C, 1-3
    (instead of 0-6)

  * sysenv, change in use of mkdir

  * sysenv, for processing of remote files, download of remote images,
    correction to variable name [post 0.49.1 fix]

  [this build is based on 0.49.1 which is "stable" in its major parts]

* sisu_0.48.7.orig.tar.gz (2006w46/7 | 2006-11-19)
  [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]

  * cgi html test search form, multilingual documents, file naming convention
    resulted in incorrect url mapping of results, fixed

  * dcc, document content digest, multilingual/non-English documents, fixes
    related to translation and metadata extraction

  * defaults for html, invisible dot navigation buttons, text made cleaner for
    console clients, using < ^ > for pre, toc, and next, (there are other
    equivalent navigation options)

  * sitemaps, very early days, stubs in place to make this work
    (google, yahoo, ms announced their joint decision to use this week)

  * remote, placement of sitemaps directory to remote server, rsync

* sisu_0.48.6.orig.tar.gz (2006w45/6 | 2006-11-11)
  [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]

  * html, doc (single text, scroll version) tables, fixed

  * texpdf, bugfix for (asterisk marker type) footnotes in headings, fixed

  * metaverse, in "visual" table representation {table} may be used instead of
    {t} likewise {table~h} instead of {t~h},
    (resulting output cleaned, fix)

  * vim syntax highlighting updated for {table} match

* sisu_0.48.5.orig.tar.gz (2006w45/3 | 2006-11-08)
  [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]

  * sisupod (directory zip) creation, file selection tuning

  * command line option papersize (texpdf), minor convention e.g.
    --papersize-letter (in addition to --papersize=letter) available options:
    European 'A4', book 'a5', 'b5' and U.S. 'letter', 'legal' (system defaults
    to A4). However, these can be and are better set in the config file
    (document headers being another though not recommended possibility),

    'sisu --help env' should list the current (default/configuration) settings
    including papersize

  * minor checks, minor editing, e.g. man pages

* sisu_0.48.4.orig.tar.gz (2006w45/1 | 2006-11-06)
  [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]

  * texpdf, default table behaviour changed to accommodate tables with a lot of
    text, also some cleaning of tables (fixed)

  * plaintext, serious performance issue when dealing with a document with
    tables, [especially annoying as tables are omitted from this output format]
    addressed (fixed)

  * markup footnote conversion to paragraph inline footnotes, (fixed)

  * minor adjustment to sisupod directory name...

* sisu_0.48.3.orig.tar.gz (2006w44/2 | 2006-10-31)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.3
  [Debian Release snapshot, uploaded by Daniel Baumann (High)]

  * one file omitted in sisu 0.48.2 fix, see comments there.

* sisu_0.48.2.orig.tar.gz (2006w44/2 | 2006-10-31)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.2

  * debian ruby build ruby-1.8.5-3 (uploaded yesterday) detects and breaks on
    cyclic include errors which were found at a basic level of operation,
    rendering program effectively broken. New ruby build affects all previous
    versions of sisu. [Further code review is necessary to ascertain that this
    does not occur anywhere else within sisu code base]

* sisu_0.48.1.orig.tar.gz (2006w43/7 | 2006-10-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.1
  [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]

  * metaverse, indicate image missing if a requested image is not found

  * processing directories default location moved to be placed under home or
    /tmp from pwd

  * (-1) debian/control, recommends hyperestraier removed as appears to cause
    issues (also rename and pgaccess)

  * (-2) debian/control recommends hyperestraier (sisu and sisu-complete) put
    back

* sisu_0.48.0.orig.tar.gz (2006w43/6 | 2006-10-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.48.0

  * sisupod, creation of (zipped sisu content files, primarily a way of
    bundling sisu content assocated with a prepared sisu file or set of files,
    that sisu commands can be run directly against) creation:
      'sisu -S [filename]'
      places a file named sisupod.zip in the output directory
    for directory
      'sisu -S'
      creates a sisupod of the pwd named:
        sisupod-[pwd.stub]_[date].ssp
      e.g. sisupod-sisu_2006-10-26.ssp
      (uses system call to unix commands find and egrep)

  * sisupod, sisu can be run directly against a sisupod without manual
    unpacking, e.g.:
       'sisu -3 sisupod.zip'
    [early implementation, a system call used],
    run against the following filename/types: sisupod, sisupod.zip,
    [filename].ssp
    * security:
      * sisu does not ever use a sisurc.yaml within a sisupod
      * sisu will only use a skin within sisupod if --trust(ed) modifier is
        added to the command line
    * skins, note: copy dir skin to skin_sisupod.rb
      [doc skin keeps name as called with name within document]

  * remote operations possible on sisupod, e.g.
    'sisu -3 http://www.jus.uio.no/sisu/free_culture.lawrence_lessig/sisupod.zip'

  * sysenv, sisu processing directory '_sisu_processing' default placement now
    first within pwd (markup text directory) if that is not writable under home
    ~ and if not available to /tmp (the preference of home over /tmp my be
    reconsidered, thinking is to default towards keeping processing related
    info within private space)

  * manifest, uses documents home button/icon, if available
    (rather than sisu default)

  * sisupod alternative names sisupod, siuspod.zip [filename].ssp

  * urls, tune, removed link to html 'tune' output file, no longer generated

  * sysenv, url path reporting fix, (broken by renaming in 0.47.7)

  * processing directories default location moved to be placed under home or
    /tmp from pwd, likewise sisupod creation directory moved
    [processing directory]/sisupod  from ./_sisu/sisu_doc

  * extra testing, numerous small fixes, (several related to method renaming in
    sisu-0.47.7, also checks against both ruby 1.8.5 and current 1.9, $KCONV set
    to UTF-8 rather than rely on environment and many more also as above)

* sisu_0.47.8.orig.tar.gz (2006w42/4 | 2006-10-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.8

  * metaverse, minor fix related to link created for shared source file with
    regard to new syntax shortcut markup for listing multiple available output
    types produced by SiSU (introduced in 0.47.6)

* sisu_0.47.7.orig.tar.gz (2006w41/6 | 2006-10-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.7
  [Debian Release snapshot, uploaded by Daniel Baumann]

  * sysenv, minor code play, some method renaming, organisational
    (however affects rest of code, much testing, (smallish possibility of
    breakage remains))

  * gif, reinstate support, however use not yet recommended
    (gif no longer under patent, however, gif is not available for all pdf,
    does not yet appear to be available in tetex)
    [image support: png, jpg, (gif)]

  * [debian/control] sisu-pdf set to work with texlive (tetex|texlive depends)
    (sisu works out of the box with texlive installed, currently an issue with
    the default font in texlive)
    http://lists.debian.org/debian-tex-maint/2006/10/msg00620.html

* sisu_0.47.6.orig.tar.gz (2006w40/6 | 2006-10-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.6
  [Debian Release snapshot, uploaded by Wookey]

  * tex/pdf, fixed paragraph indent with hyperlink
    (previously linking not parsed and dealt with)

  * tex/pdf, fixed closing double quote (was typo)

  * syntax, new shortcut markup for listing multiple available output
    types produced by SiSU (existing syntax unaffected)

  * [package structure, vim directory moved to data/sisu/conf/vim from
    data/vim]

* sisu_0.47.5.orig.tar.gz (2006w39/7 | 2006-10-01)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.5
  [Debian Release snapshot, uploaded by Wookey]

  * sisupod, fix creation of, change of library name caused break in 0.47.4

* sisu_0.47.4.orig.tar.gz (2006w39/5 | 2006-09-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.4

  * syntax highlighting, kate, kwrite, nano minor updates, review

  * debian: browser and pdf reader icons removed,
    (Closes: #389500) fixes debian policy violation
    removed non dfsg compliant firefox icon
    (also removed other browser related icons)

* sisu_0.47.3.orig.tar.gz (2006w38/6 | 2006-09-23)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.3
  [Debian Release snapshot, uploaded by Wookey]

  * minor code review
    [takes care of RAM issue experienced with some forms of batch processing]

* sisu_0.47.2.orig.tar.gz (2006w38/5 | 2006-09-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.2
  [Debian Release snapshot, uploaded by Wookey]

  * metaverse, a line of code needed changing for ruby-1.8.5

* sisu_0.47.1.orig.tar.gz (2006w38/1 | 2006-09-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.1
  [Debian Release snapshot, uploaded by Wookey]

  * fixed, document content certificate, issue with batch processing (and
    cleaning of earlier document details) sorted

  * fixed, sharing document source for multilingual documents (-s), creates and
    copies to the wrong directory

  * plaintext minor adjustments, and a batch processing information sync fix

* sisu_0.47.0.orig.tar.gz (2006w37/7 | 2006-09-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.47.0
  [Debian Release snapshot, uploaded by Wookey]

  * sisupod, use zip compression and file extension .zip
    (instead of tar gzip .tgz) interoperability, wider platform comprehension

  * sisupod, master documents (.ssm) bug in batch processing sorted (todo with
    filenames)

  * html tune, unnecessary hard output removed (except in maintenance mode -M)

  * (document content certificate, issue with batch processing sorted)

  * reduce system calls

  * odf base file, odt.zip (instead of odt.tgz), easy way to maintain directory
    structure (issue in version control, hg drops empty directories)

  * conversion, prefer --to- to --to=, keep both, man page and help updated to
    use --to-[conversion] (also minor cleaning of screen output)

  * debian/control depends zip and unzip added, used for sisupod.zip and ODF
    output

* sisu_0.46.5.orig.tar.gz (2006w36/6 | 2006-09-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.46.5
  [Debian Release snapshot, uploaded by Wookey]

  * documentation adjustments

* sisu_0.46.4.orig.tar.gz (2006w36/3 | 2006-09-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.46.4

  * defaults html text/ accompanying blurb removed some Ruby / Debian / Linux /
    Unix text

* sisu_0.46.3.orig.tar.gz (2006w36/1 | 2006-09-04)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.46.3

  * Ruby version upped to 1.8.4, (probably will work with earlier versions but
    not tested)

  * db option synonyms --pgsql for -D or --sqlite for -d

  * document structure, extended level, stubs in place

  * syntax highlighting, directory renamed and a quick look at kate and
    diakonos updated

  * help/man pages, db related minor update

  * termsheet checked

  * minor code play

  * debian/control moved from extra to optional - does not conflict with
    anything, though a bit specialised perhaps

  * debian/copyright, year 2006 added

  * [debian/control build does not permit changing ruby version to 1.8.4]

* sisu_0.46.2.orig.tar.gz (2006w34/5 | 2006-08-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.46.2

  * experimental conversion xml(sxs,sxn) to sst, (from xml that was converted
    from sst) [sxd not yet in place, and several errors identified]

  * header metadata extraction and sharing changed (used by xml and other
    document types)

  * conversion file libraries, some renaming

  * zsh completion (see 0.46.1), simplified/corrected in response to feedback,
    still naive

  * help and man pages updated with conversion info between sst and xml and
    back

  * Ruby: ruby version restrict use to ruby-1.8.2 or later, but only tested for
    ruby-1.8.4 (and later) [may have to restrict to more recent versions of
    Ruby]

  * Ruby: if|unless|elsif|where colon constructs are depreciated in Ruby 1.8.5.
    (released today), so (the aesthetically more pleasing) colons switched with
    semi-colons.

* sisu_0.46.1.orig.tar.gz (2006w33/3 | 2006-08-16)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.46.1
  [Debian Release snapshot, uploaded by Wookey]

  * zsh, naive zsh completion file _sisu in data/sisu/conf/completion (on
    debian installed to /usr/share/sisu/conf/completion) works if copied
    somewhere within your $fpath (do it yourself on debian copy to ~/.zfunc or
    /usr/local/share/zsh/site-functions and run compinit)

  * code, minor alterations,
    * creation of Arrays and Hashes, not intended to be substantive
    * in hub corrected calling of help for termsheet
    * small adjustments to calling of conversion scripts

  * debian/control, reminded that sisu-vim existed prior to vim-sisu (renamed
    due to vim policy) both now removed and replaced by default installation,
    control file modified accordingly for sisu-vim

* sisu_0.46.0.orig.tar.gz (2006w32/6 | 2006-08-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.46.0
  [Debian Release snapshot, uploaded by Wookey]

  * 0.44 branch reinstated (leapfrogging over 0.45 which was a reversion to
    0.43)

  * metaverse changes for consistency, affects all downstream code (with
    attendant risk), numerous related changes; preliminary tests passed

  * see 0.44.0

    [basic operation (sisu -mNhwpoabxXyv [filename]) also tested for ruby 1.9
    with rmagick switched off (db not tested)]

  * debian/rules compression mentioned twice, one removed

* sisu_0.45.0.orig.tar.gz (2006w31/7 | 2006-08-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.45.0

  * an emergency reversion to 0.43 code, as 0.44 breaks many LaTeX/pdfs
    [the other components of 0.44 are fine but the LaTeX part does not play
    properly with the new code base]
    for the present time, ignore (jump over) the version changes in 0.44,
    and continue from 0.43

  * only the odf icon (noted in 0.44) and a cosmetic change to manifest are
    added to this release since 0.43

  * the debian related changes in 0.44 are retained

  * NB. only emergency maintenance on this branch, development is on 0.44

* sisu_0.44.0.orig.tar.gz (2006w31/7 | 2006-08-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.44.0

  [some breakage, in particular LaTeX/pdf had issues, fixed in 0.46.0]

  * some juggling of code and renaming of some files
    (db broken into smaller chunks)

    * metaverse, document level structure moved to external shared library and
      determined therefrom

    * metaverse, ocn moved to an external shared library and together with
     "node" numbering determined therefrom
     [raises possibility of ocn (numbering) issues, preliminary tests passed]

    * db operations broken up into smaller code files

    * numerous other little things

    ** Note: shared sisu libraries, practice likely to become that these contain
      pointers to libraries, rather than the libraries themselves, e.g.
      shared_db

  * odf/odt added generic odf tiny icon
  * html, added icon and link to opendocument text
    (assumes output is always present, as do the pdf equivalents)

  * markup, experimenting with simple xml models,
    three xml representations of sisu markup, sxs, sxd, sxn
    export with
    sisu --to=sxs [filename]
    [experimental, these will change]
    import, not done

  * --to made a synonym for --convert

  * debian/rules simplified
    [utilising feedback from Daniel Baumann on "rant" package]

  * debian/control sisu-pdf Depends: changed to make TeX Live optional,
    actually part of it is now required as tetex along with tetex-extra do not
    contain all the LaTeX packages SiSU requires (in particular manyfoot.sty is
    missing) [used feedback from Ralf Stubner on dependency options]

  * debian/lintian/sisu added lintian override for man page and non-executables

* sisu_0.43.0.orig.tar.gz (2006w29/6 | 2006-07-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.43.0
  [Debian Release snapshot, uploaded by Wookey]

  * footnotes, introduction of new editor (square bracket) series,
    using asterisk and plus signs
    ~[ asterisk editor note ]~ or ~[* asterisk ed. note ]~ and
    ~[+ dagger ed. note ]~
    outputs updated: plaintext, latex, html, xml, odf, dcc, database
    the sample search form does not yet search the new (asterisk and plus)
    endnote series
    [easy to add additional symbols later, also consider it should be fairly
    straightforward to add possibility to use of name of note maker with
    numbered note sequences for each contributor; you may wish to think of
    sorting into different types for some of these like plaintext, later]

  * database, breaks existing database model by introducing new tables, to
    accommodate the new endnote series, (square bracket series). (there are
    alternative ways to add the information, e.g. add column with information
    on the endnote symbol involved; have in fact added a table for each of the
    symbols used)

  * additional footnote annotations (asterisk, dagger) can be dropped from
    output with command modifiers --no-asterisk, --no-dagger, --no-annotate

  * --convert=footnotes (convert to embedded footnote markup, do not make
    changes if footnote mismatch)
    --convert=footnotes-force (make changes even if there is a footnote
    mismatch) provide warning about changes what todo, make backup? or create
    new file, what filename to use?

  * --no-ocn switches off object citation numbering. Produce output without
    identifying numbers in margins of html or LaTeX/pdf output. [with -h -H or
    -p]

  * vim syntax highlighter recognises footnote/annotation additions

  * debian vim/addons/syntax/sisu.vim add the new syntax file
    (submit changes to Bram)

  * man page and help.rb updated on editor footnotes, square bracket series

  * relaxng object models, look at, included in data/doc/sisu/models/relaxng
    (some models quite old, and undeveloped, originally in sisu library
    relaxng.rb)

  * metaverse, and elsewhere, utf-8 is assumed: started cleaning out legacy
    code (character converting regex) sisu generates its first Chinese document
    in html, plaintext and sql databases (postgresql and sqlite) only, at this
    stage... [confirmation that first Chinese document presentation is fine,
    from author of test (law related) text; the listed text representations
    reasonably handle the utf-8 characters involved, and document structure is
    ok]

* sisu_0.42.4.orig.tar.gz (2006w29/1 | 2006-07-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.42.4

  * sisu_manifest, pdf description express portrait copy to be optimised/biased
    towards print, and landscape to have screen view bias/optimisation
    (orientation and colored links)

  * debian (mostly), meta-packages man pages moved to man(7)
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377209
    (Closes: #377209) [which was re-opened as not properly done previously,
    myon]

  * debian, closed bug 377208 after informing submitter changes had been made
    and requesting review ('fixed' in 0.42.2)
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377208
    (Closes: #377208) [submitted:myon]

  * debian/control added a Conflicts: vim-sisu,
    sisu-remote, to the existing Replaces: these
    two packages have been removed

  * ruby, also tested ok with ruby1.9 (Debian Version: 1.9.0+20060609-1)
    sisu -3v [filename]
    [database tests omitted, relevant ruby drivers not on system]

* sisu_0.42.3.orig.tar.gz (2006w28/2 | 2006-07-11)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.42.3
  [Debian Release snapshot, uploaded by Wookey]

  * html, segments, cosmetic, removal of footnote marker in headings

  * sysenv, fix for when sisu sql related packages are not
    installed, should not then be loading rb dbi module

* sisu_0.42.2.orig.tar.gz (2006w27/6 | 2006-07-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.42.2
  [Debian Release snapshot, uploaded by Wookey]

  * html, xhtml, added utf-8 specification
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    [(previously relied on correct browser setting]

  * debian/control, removed sisu-remote, added recommends rsync,
    openssh-client|lsh-client, keychain,  to main sisu package instead
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377206
    (Closes: #377206) [submitted:myon]

  * debian/control, removed vim-sisu, this used to contain syntax highligter
    and color scheme now included in Vim 7, all that remains is ftplugin, now
    installed by main sisu package
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377207
    (Closes: #377207) [submitted:myon] [* change to source package structure]

  * debian/control, sisu Replaces: vim-sisu
    debian/sisu.install installs ftplugin originally in vim-sisu

  * debian/manpages, sisu (main package) now installs vim_sisu page in man(7)
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377209
    (Closes: #377209) [submitted:myon]

  * debian/control, package description related issues:
    * modified sisu
    * modified sisu-complete
    * modified sisu-postgresql
    * modified sisu-sqlite
    * modified sisu-pdf
    * removed sisu-remote, (as sisu-remote is no more)
    * removed vim-sisu, (as vim-sisu is no more)
    * removed sisu-remote, (as sisu-remote is no more)
      [consider adding a note on remote placement of documents in sisu(8)
      later]
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377208
    (verify that descriptions are satisfactory before closing: #377208)
    [submitted:myon]

* sisu_0.42.1.orig.tar.gz (2006w27/4 | 2006-07-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.42.1
  [Debian Release snapshot, uploaded by Wookey]

  * dbi fix (--createdb)

  * [ruby1.9, forward testing, general check, (tests ok db operations apart,
    drivers not installed)]

  * debian/control, removed recommends libtidy [non-existent, see current
    libtidy-0.99-0, called in by tidy which is recommended and sets libtidy
    dependency]
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377086
    (Closes: #377086) [submitted:luk]

* sisu_0.42.0.orig.tar.gz (2006w27/4 | 2006-07-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.42.0

  * texpdf fix, object citation numbering reinstated

  * asterisk (and plus sign) footnote/endnote marker/tags
    [SubTech2006::LII:TB "request": required for U.S. law articles]
    done: html, odf, xmls, plaintext,
    latex pdf (some cosmetic changes to come)
    digests(dcc)
    sql (specific issue not addressed but works sortof)

  * syntax, asterisk (and plus sign) footnote/endnote marker/tags
    introduced ~{* for an asterisk marked endnote }~ and plus sign equivalent
    [reason for version number change, as previous
    version won't parse]

  * texpdf portrait text now all black, including toc and endnote markers
    landscape retains color for toc (red) & linked text (blue) [online viewing]
    [introduce configuration options?]

  * help updated

  * kdissert conversion to sisu markup a refinement (with less-than &
    greater-than)

  ** debian/control changed back to ruby >= 1.8.2
  * debian/control ruby >= 1.8.4
    (not done sufficient testing on 1.8.2, so not supported)

  * debian/control sisu-pdf added Depends: texlive-latex-extra
    (needed for manyfoot.sty, used for asterisk footnotes)

  * debian vim-sisu, description
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374873
    (Closes: #374873) [submitted: Jens Seidel]

* sisu_0.41.8.orig.tar.gz (2006w25/6 | 2006-06-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.8
  [Debian Release snapshot, uploaded by Wookey]

  * kdissert, texpdf, accept sisu page break and new page marker, used for
    LaTeX/pdf

* sisu_0.41.7.orig.tar.gz (2006w25/6 | 2006-06-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.7

  * document samples, created subdirectory dfsg for documents that comply
    with the Debian Free Software Guidelines and moved the "GPL2" and
    "Free as in Freedom" texts and associated images back into the source
    tarball and main (from sisu-markup-samples) [FaiF is published under
    the GNU Free Documentation License]

  * html segments, footnotes for segments, bugfix, [faulty regex matched more
    than it was supposed to resulting in dropping of some footnote sections -
    these remained available elsewhere in the endnote segment]

  * relaxng, sisu object models, first pass at XML object models for sisu input
    structure, and sisu metaverse structure, alternative data representation

  * kdissert:
    * sisu headers, added a hack to permit the inclusion of sisu headers, by
      entering them in the top level node (for which sisu will now only process
      properly if empty or if it contains comments or sisu headers)
    * texpdf, tell when documents are prepared using kdissert
    * html default skin for kdissert with icon
    * [kept out for now: kdissert sisu sample file, and its converted sisu text
      equivalent]

  * Debian control, 'Home page:' corrected to 'Homepage:'
    closes Bug#374873: Improved package description

  * Debian rules, .ssm and .ssi files added to list of not compressed file
    types (/usr/share/doc/sisu)

* sisu_0.41.6.orig.tar.gz (2006w25/2 | 2006-06-20)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.6
  [Debian Release snapshot, uploaded by Wookey]

  * sisu_manifest, added possibility of sharing of kdissert source, see sample:
    http://www.jus.uio.no/sisu/kdissert.kdi/sisu_manifest
    and note the kdissert source file on which sisu markup and outputs are
    based: http://www.jus.uio.no/sisu/kdissert.kdi/kdissert.kdi

  * kdissert fixes to make the following true:

    * sisu --convert=kdi [kdissert filename]
      will attempt to convert a simple file produced using kdissert to sisu
      markup, basic and experimental

    * kdissert_to_sisu: some fixes, still very basic and experimental
      [data/sisu/conf/convert or /usr/share/sisu/conf/convert]

  * debian control, added recommends kdissert

  * [issue spotted with rsync, new output directories, fix later]

* sisu_0.41.5.orig.tar.gz (2006w25/1 | 2006-06-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.5

  * sisu --convert=kdi [kdissert filename]
    will attempt to convert a simple file produced using kdissert to sisu
    markup, basic and experimental

  * kdissert_to_sisu: some fixes, still very basic and experimental
    [data/sisu/conf/convert or /usr/share/sisu/conf/convert]

  * param, minor fix to "prefix" metadata regex

  * renamed a couple of libraries related to file conversion

* sisu_0.41.4.orig.tar.gz (2006w24/7 | 2006-06-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.4

  * kdissert_to_sisu: a very basic trial conversion script from kdissert .kdi
    to sisu .sst markup provided [preliminary/proof of concept, provided in
    data/sisu/conf/convert or /usr/share/sisu/conf/convert] (Kdissert, by
    Thomas Nagy is a topic/mind mapping tool for the preparation of documents
    http://freehackers.org/~tnagy/kdissert/ )

* sisu_0.41.3.orig.tar.gz (2006w24/3 | 2006-06-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.3

  * options parsing changes, possibility of letter duplication
    removed [-CC no longer will work use -C --init=site]

  * texpdf_format, old code rearranged

  * sysenv, fixes in File_map where @md (param) not available

  * info related to share source file and sisudoc, bug fix

* sisu_0.41.2.orig.tar.gz (2006w23/5 | 2006-06-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.2
  [Debian Release snapshot, uploaded by Wookey]

  * search form, options passing, sisu -F --webserv=webrick

  * html segments endnote fix for the deposit of endnotes occurring in levels
    :A - :C

  * texpdf, a4 text height re-fixed

  * digest, document metadata, info re-fix

  * plaintext, small fix, document metadata

* sisu_0.41.1.orig.tar.gz (2006w23/3 | 2006-06-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.1

  * defaults, html_format, some html cleaning (including fix of html comment
    marker that was problem for dillo in doc.html)

  * html segments endnotes, fix for first segment, (endnotes were deposited in
    first segment multiple times (or rather this happened in some segments
    following a level :A - :C heading ))

  * markup_convert, hub, changes, should now be possible to convert and
    generate in a single changed rune, e.g.

    sisu --convert=to38 -h autonomy_markup0.sst gpl2.fsf.sst

* sisu_0.41.0.orig.tar.gz (2006w22/6 | 2006-06-03)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.41.0

  * options, (command line options) message passing (should become cleaner),
    program piping changed, command line information added as 'opt',
    (subsequently contained within param 'md'), creates considerable scope for
    further tidying (cosmetic refactoring) [most code affected, preliminary
    tests passed, (some possibility of bugs and breakage)]

  * hub, param, hooks in place to permit modification of default processing
    instructions set in config files or within document headers by way of
    command line processing instruction starting with -- (however, only
    implemented for latex/pdf paper size).

  * hub command line now accepts individual command instructions, previously
    was necessary to write, e.g.
      sisu -mNhwpoabxXyv [filename/wildcard]
        (sisu -3 [filename/wildcard] for short) now may alternatively write:
      sisu -m -N -h -w -p -o -a -b -x -X -y -v [filename/wildcard]

  * dbi command line rune now requires "--" before instruction,
    --import, --update, --recreate, etc.
    removed short forms for --import and --update (-i and -u)

  * texp pdf, adjustments to document presentation dimensions
    (A4, US_letter, book_b5, book_a5, US_legal)

  * texpdf, command line parameter may be used to change paper size output
    sisu -p --papersize='book' [filename]
    preset sizes include: 'A4', U.S.  'letter' and 'legal' and 'book'  sizes
    'A5' and 'B5' (system defaults to A4).

  * texpdf, image resizing for different paper sizes
    (useful when offering on the fly alternative document dimension processing)
    (manually calibrated to suit default document layouts) [note however other
    blocks such as tables are not (yet) handled similarly]

  * help (interactive help) now needs to be invoked with:
    sisu --help [help query]
    sisu on its own will still get you into an interactive help mode

  * [consider permitting multiple document size pdf outputs, (easily done, but
    promises slower processing as each additional size selected is generated)
    currently you select your size and get a portrait and landscape, the
    selection of whatever size over-writes the other, as they are saved to the
    same file-name]

* sisu_0.40.4.orig.tar.gz (2006w21/7 | 2006-05-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.40.4

  * tex pdf, minor adjustments, including page-breaks restored for 0.38 markup

  * package source directory renamed with underscore instead of hyphen

* sisu_0.40.3.orig.tar.gz (2006w21/3 | 2006-05-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.40.3

  * metaverse, fix reference to dc_publisher in param (not publisher)

  * rant installer checked, removed sisu-examples, and post install routine as
    document samples are now packaged separately as sisu-markup-samples

* sisu_0.40.2.orig.tar.gz (2006w21/3 | 2006-05-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.40.2

  * babel, more use of translation module, used in metaverse (originally used
    for manifest) [expand]

  * correction to apt sources.list information provided in this document for
    0.40.1, and updated in README

* sisu_0.40.1.orig.tar.gz (2006w21/1 | 2006-05-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.40.1

  * debian archive sources.list changed, started using reprepro to produce
    apt archive, debian "upstream" /etc/apt/sources.list changes to:

      deb http://www.jus.uio.no/sisu/archive unstable main non-free
      deb-src http://www.jus.uio.no/sisu/archive unstable main non-free

    [archive string corrected]

    [previous string (obsolete for future releases) was:
      deb http://www.jus.uio.no/sisu/pkg_priv ./deb/
      deb-src http://www.jus.uio.no/sisu/pkg_priv ./src/
    ]

* sisu_0.40.0.orig.tar.gz (2006w20/7 | 2006-05-21)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.40.0

  * translate, an internal framework for the translation of related text used
    first for the document manifest. (it is suggested that i look at gettext)
    some initial translation by daniel (german), nicholas (french), agi
    (spanish), enrico (italian), hanna (finnish)

  * param, metaverse fix, 0.38 markup syntax to work with processing
    instructions related to levels and their translation from :A,:B,:C,1,2,3 to
    internal representation 1,2,3,4,5,6

  * debian package sisu-examples removed, debian packaging policy requires
    removal of un-modifiable documents from the main archive. accordingly the
    books provided as markup samples have been moved from the main sisu package
    to sisu-markup-samples (which should eventually make its way to the debian
    non-free archive). Considerable changes in packaging required, and new
    version number appropriate.

  * [mention of use of reprepro in this release was premature, see sisu-0.40.1]

* sisu_0.39.3.orig.tar.gz (2006w19/7 | 2006-05-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.39.3
  [Debian Release snapshot, uploaded by Wookey (at Debconf 6, in Queue new till
  replaced)]

  * metaverse fix, changed rules on auto-naming of html segments resulted in
    the introduction of some undesirable artifacts, (actually a change in
    sequence, some risk of need for further modification)

* sisu_0.39.2.orig.tar.gz (2006w19/5 | 2006-05-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.39.2

  * what to do when missing required: header title; heading top;
    heading seg. carries risk, false positives not acceptable, testing
    required, may need to scrap

  * debian policy standards version 3.7.2
    debian vim policy changes, rename sisu_vim vim_sisu
    vim 7 in debian includes filetypes, syntax, and color, removed
    vim-sisu includes ftplugin

* sisu_0.39.1.orig.tar.gz (2006w19/1 | 2006-05-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.39.1

  * digest/dcc (document content certificate), fix: image digests reinstated
    [note: during some simplification of code, removed the need to flag images
    as local or remote, some regexes did not take into account this change, one
    in metaverse also addressed, (issue likely from 0.38.8 till this fix)]

* sisu_0.39.0.orig.tar.gz (2006w19/1 | 2006-05-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.39.0

  * metaverse, changes to auto-naming/numbering of headings, and segment names
    [back to the more elegant auto-naming of segments solution, however, need
    to determined to be reliable (naming used to be done in a similar way)
    release passes initial checks though further testing is required; changes
    involve reducing the use of extra characters where possible in the
    auto-naming of html segments (the tilde and underscore were added to reduce
    the chance of name collision, and have now been removed where possible),
    additional checks that duplication does not occur have been added. This
    does mean any existing indexes (sql or hyperestraier) will have to be
    regenerated and url mappings/ links made within a sisu markup file to other
    sisu output of html segments will need to be checked and updated. Long term
    the currently implemented naming should provide a preferable solution
    (primarily in its being easier on the eye.)

  * odf, odd regex related bug related to matching of + sign in link text and
    corresponding urls fix not particularly satisfactory

  * debian policy standards-version back 3.7.0 ... (should be 3.7.2 but
    lintian and linda not up to date this instant)

* sisu_0.38.10.orig.tar.gz (2006w18/5 | 2006-05-05)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.10
  [Debian Release snapshot, uploaded by Wookey]

  * rebuilt using debian standards version 3.7.2
    (previous build used 3.7.0)

* sisu_0.38.10.orig.tar.gz (2006w18/4 | 2006-05-04)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.10

  * minor fixes, need resulting from default removal of ._sst temporary files
    (master documents:processed composite documents:temporary files)

    process .ssm master file instead where possible, e.g. -R (and url info),
    (implemented in hub)

    _ flag provided as hack to have ._sst files kept at the end of a run, (as
    an alternative to use of the -M (maintenance) flag (which changes screen
    output))

  * vim ftplugin, minor irritation with vim folds sorted

* sisu_0.38.9.orig.tar.gz (2006w18/3 | 2006-05-03)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.9

  * sisupod/ sisu_doc, .ssm, renamed sisupod.tgz. Master document pod now
    contains the composite elements of the master, .ssm and .ssi files rather
    than the "composited document" ._sst, examine for example:
    http://www.jus.uio.no/sisu/alices_adventures_in_wonderland_and_through_the_looking_glass.lewis_carroll/sisupod.tgz
    [consider giving the option as this may not always be preferred, is
    necessary to find master within pod, but otherwise seems a more elegant
    solution]

  * search, debian:sisu "recommends" added hyperestraier
    [option in addition to sisu "atomic" search with postgresql and sqlite]

    some help on setting hyperestraier up (in very basic way) for sisu
    provided: sisu help hyperestraier

    documentation for hyperestraier: http://hyperestraier.sourceforge.net/
    file:///usr/share/doc/hyperestraier/index.html man estcmd

    for help on sisu search generally follow suggestions in: sisu help search

  * vim filetypes fix, the temporary ._sst rather than ._ssi

  * temporary files ._sst are now removed after run, unless -M (maintenance)
    flag is used

  * rexml fix necessary

  * help prompt fix

  * fix, 0.38 markup interpretation, evident particularly in XML Dom variant
    -X of a few documents, more strict regex

  * removed reference to 0.38 markup as experimental in help and man page
    (conversion script makes it easy to switch between markup versions)

  * debian 'Standards' version changed to 3.7.0

  NOTE DISCARDED BUILD -{6d2149ba45d601347d9562edc2995fe7 3401901
  sisu_0.38.9.orig.tar.gz}- -{b96ce1d8b5801c1e2ffa12eddbb1850a 647
  sisu_0.38.9-1.dsc}- -{ee7182ffdca58bd94dec3d07d4ccb9f8 94874
  sisu_0.38.9-1.diff.gz}-

* sisu_0.38.8.orig.tar.gz (2006w17/6 | 2006-04-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.8

  * images, in particular to do with remote sisu markup source
    e.g.  sisu -3
    http://www.jus.uio.no/sisu/free_culture.lawrence_lessig/free_culture.lawrence_lessig.sst
    sisu -3
    http://www.jus.uio.no/sisu/sphinx_or_robot.leena_krohn.1996/sphinx_or_robot.leena_krohn.1996.sst
    should once again pull down and generate documents with images (consider
    using url base plus directory, to make unique image directories for
    external documents images)

  * vim:sisu syntax, spell
    [Re: use of Vim, have made the transition to Vim 7]

  * (html_tune, some renaming which could cause breaks)

* sisu_0.38.7.orig.tar.gz (2006w17/4 | 2006-04-27)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.7

  * sisu, code rearrangement, relatively minor, /usr/bin contains require only

  * vim:sisu ftplugin, only activate :setlocal spell spelllang
    if version >= 700

  * html, link to concordance only if < build concordance word count limit

  * (html, sub_toc fix for pg texts)

* sisu_0.38.6.orig.tar.gz (2006w17/2 | 2006-04-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.6

  * a glance forward at ruby 1.9, some early tests passed
    [ruby 1.9.0 (2006-04-21)]

  * vim:sisu
    syntax: Spell on vim 7, not quite right colors: slate, vim colors, toned
    down, endnotes (green changed to "darkkhaki")

  * concordance, wordmaps renamed

* sisu_0.38.5.orig.tar.gz (2006w16/7 | 2006-04-23)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.5

  * primarily a new debian build as lintian 1.23.17 "published"
    yesterday, complains about existing builds

  * vim ftplugin, folds, another minor modification
    [without which would have been built as 0.38.4-2]

* sisu_0.38.4.orig.tar.gz (2006w16/5 | 2006-04-21)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.4
  [Debian Release snapshot, uploaded by Wookey]

  * param, fix, correction to a condition for setting markup type to 'rad'
    (0.38)

  * param introduced header @clatalogue: (documented in man)

  * markup_convert and param, a refinement to matching :A type headings

  * vim ftplugin, folds, minor modification

* sisu_0.38.3.orig.tar.gz (2006w16/4 | 2006-04-20)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.3
  [Debian Release snapshot, uploaded by Wookey]

  * convert, refinement in 0.37 to 0.38 and back, required.

  * sample documents, header 'markup' not very descriptive, 'level' preferred,
    but not ideal either..., changed though accordingly

* sisu_0.38.2.orig.tar.gz (2006w16/3 | 2006-04-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.2

  * --identify ; --convert ; --query ; minor adjustments

* sisu_0.38.1.orig.tar.gz (2006w16/1 | 2006-04-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.1

  * sisu --convert [filename/wildcard] converts between 0.38 and 0.37 markup
   (which is substantially the same as 0.16 markup, only the file names
   changed)

  * sisu --identify [filename/wildcard] attempts to recognises the markup
    version

  * sisu --query [version number| or history] provides a bit of information
    on changes to markup and file naming conventions used

  * urls, minor fix,
    (screen output of generated output omitted -H, (-h was ok))

  * generated cgi search form needs a writable present directory,
    warning of failure posted if it is not (consider placing result elsewhere)

  * vim syntax minor touch

* sisu_0.38.0.orig.tar.gz (2006w15/7 | 2006-04-16)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.38.0

  Summary: there is some scope for breakage. preliminary tests passed new
  markup introduced, as alternative, existing markup is not affected - new
  document header markup, new document structure markup, experimental, [new
  header for tagging categories or topics, stub]

    a script modify.rb is provided for easy conversion between 0.37 standard
    and 0.38 experimental markup

  * alternative header notation, for consideration, an example
      @title: is equivalent to 0~title

  * sisu structure, experimental alternative notation,
    A,B,C,1,2,3 mapping to 1,2,3,4,5,6 switched on on encountering level A~ or
    if document header should contains @markup: rad
    * SiSU has in effect two sets of levels to be considered
    1-3 headings/levels, pre-ordinary paragraphs /pre-substantive text, and 4-6
    headings/levels, levels which are followed by ordinary text.  This may be
    conceptualised as levels A,B,C, 1,2,3, and using such letter number
    notation, in effect: A must exist, optional B and C may follow in sequence
    (not strict) 1 must exist, optional 2 and 3 may follow in sequence i.e.
    there are two independent heading level sequences A,B,C and 1,2,3 or using
    the standard notation 1,2,3 and 4,5,6 on the positive side:
      * the A,B,C,1,2,3 alternative makes explicit an aspect of structuring
        documents in SiSU that is not otherwise obvious to the newcomer (though
        it appears more complicated, is more in your face and likely to be
        understood fairly quickly)
      * the substantive text follows levels 1,2,3 and it is 'nice' to do
        most work in those levels a couple of issues to consider:
      * 1,2,3 usually precede A,B,C (and do for generated output),
        but in the form is better suited to this context, it takes some getting
        used to though, and may be necessary to add a marker (an optional
        exclamation mark (!) or colon (:) perhaps) to the A,B,C to indicate
        that they are not subsidiary values, and are 'greater' than 1,2,3.
        :A,:B,:C,1,2,3 colon selected as aesthetically more pleasing (to me)
        (despite exclamation mark already being in use for bold lines/headings)
      * there ends up being more in marking up to know, (which needs to be
        balanced against any perceived convenience) unless ultimately only one
        markup structure style is adopted
      * ok within code may confuse a bit, as things simple are not always what
        you would expect, present solution is to translate rad markup values to
        standard ones, so A,B,C,1,2,3 and references to them become 1,2,3,4,5,6
        (where you expect to find 1 you may find a 4)
    * a note on implementation of 0.38 experimental (rad), within the program
      structural markup is converted back to the the standard notation, i.e.
      levels A,B,C,1,2,3 are re-mapped to 1,2,3,4,5,6 which is used for
      processing

  * param, header, 0~tag or to use newer notation @tag: introduced,
    a stub for topic lists, categories, classification within documents.
    Formal only in the sense that to make work you need to be aware of previous
    categories, a degree of organisation is necessary.  Raises technical
    questions in relation to method and notation used for SiSU structuring.
    Mapping may be fairly simple for an independent system, however, it is a
    bit more complex to directly map to SiSU structure as SiSU has in effect
    two sets of levels to be considered A technically simple but inconvenient
    solution for making SiSU pages out of tags would be to have them between 4
    and 6 levels deep, four levels is however from a practical tagging
    perspective (a bit arbitrary and) an inconvenient minimum depth to require
    it also also could be inconvenient for other technical purposes

  * sysenv, utf-8 assumed if file encoding cannot be determined, 'fix' results
    from an unexpected issue with the use of alternative document header markup
    introduced in 0.38 (@title:) the program 'file' used to check document type
    no longer parses the markup document and recognises it as utf-8 unless the
    document starts with a sisu comment line %2

  * an auto-converter, with canned conversion from 0.37/traditional to 0.38
    (rad) markup and back from 0.38 (rad) to 0.37/traditional is tossed in to
    sisu-examples (permissions at 644) sisu-examples/config/convert/modify.rb
    once enabled (permissions and path set), usage: modify.rb --convert
    [filename/wildcard] for further options and generally a better place to
    begin: modify.rb --help this is a fairly generic simple tool that can be
    used to store other canned conversions

  * an auto-converter with canned conversion
      from 0.37/traditional to 0.38 (rad) markup and back from 0.38 (rad) to
      0.37/traditional is tossed in to sisu-examples (permissions at 644)
      sisu-examples/config/convert/modify.rb

  * refactor, minor, moved some dublin core checking, affects
    plaintext, html, xhtml, xml, odf ...

  * db, create added as synonym for createall

  * sqlite, common_db, create command makes directory for output if it
    does not already exist

  * header @structure: added as a synonym for @toc: it is used to build
    the table of contents, but probably more usefully thought of and described
    as the document structure header

  * sisu help, some additions and a fix
    sisu help env, 'issues' reporting when machine offline

  * vim syntax highlighting file (sisu-0.38),
    ftplugin more vimrc type defaults review, and colors minor

0.37 introduces NEW FILE-NAME EXTENSIONS rename 's/\.s[123]$/\.sst/' *.s{1,2,3}
rename 's/\.r[123]$/\.ssm/' *.r{1,2,3} rename 's/\.si$/\.ssi/' *.si

* sisu_0.37.12.orig.tar.gz (2006w14/7 | 2006-04-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.12

  * vim syntax highlighting file, further testing

* sisu_0.37.11.orig.tar.gz (2006w14/7 | 2006-04-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.11

  * vim related files, cleaning
    (filetype.vim, syntax/sisu.vim ftplugin/sisu.vim & colors/slate.vim)
    syntax/sisu.vim minor refinements; colors/slate.vim has become a bit of a
    christmas tree, pretty far from what it started out as, will probably tone
    it down again, (it works only on dark backgrounds)

  * help, 'environment' information, minor addition,
    (and sysenv remote host rescue so works when machine is offline): 'sisu
    help env'

* sisu_0.37.10.orig.tar.gz (2006w14/4 | 2006-04-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.10

  * vim related files, cleaning
    (filetype.vim, syntax/sisu.vim ftplugin/sisu.vim & colors/slate.vim)

* sisu_0.37.9.orig.tar.gz (2006w13/6 | 2006-04-01)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.9

  * vim related files, cleaning
    (filetype.vim, syntax/sisu.vim ftplugin/sisu.vim & colors/slate.vim)

  * db common, fix for table representation

* sisu_0.37.8.orig.tar.gz (2006w12/6 | 2006-03-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.8

  * screen text ansi color turned off by default, (color does not suit all
    terms/consoles)
    * to turn color on by default, edit sisurc.yaml in (found in ./_sisu
    * ~/.sisu
      or /etc/sisu) set flag: color: true
    * to toggle screen color (on/off) use the -c flag

  * processing path where markup directory is not writable [and no other
  * default
    has been set] is now /tmp/_sisu_processing/$USER (instead of
    /tmp/_sisu_processing) [if document markup directory is writable, it
    remains ./_sisu_processing, unless a different processing path is set in
    active sisurc.yaml] e.g. of a non-writable document markup directory:
    /usr/share/sisu-examples/sample/document_samples_sisu_markup

  * processing path when /tmp/_sisu_processing/$USER is used, clean of content
    after use (as is in public area on a multi-user system) unless maintenance
    flag (-M) is used

  * sisurc.yaml, removed processing directory entry, rely on sysenv default
    (can still change default in sisurc.yaml)

  * help, added a bit of 'environment' information, [expand further as needed]
      sisu --help env

* sisu_0.37.7.orig.tar.gz (2006w12/4 | 2006-03-23)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.7

  * common_db, fix affecting pgsql for endnotes in heading levels 1-3
    [relational db catch-up with footnote fix in 0.36.24]

* sisu_0.37.6.orig.tar.gz (2006w12/4 | 2006-03-23)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.6
  [Debian Release snapshot, uploaded by Wookey]

  * sisu control, minor cleaning

  * gedit/gobby syntax highlighting, very basic start, in:
    sisu-examples/config/syntax_hi

* sisu_0.37.5.orig.tar.gz (2006w12/3 | 2006-03-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.5
  [Debian Release snapshot, uploaded by Wookey]

  * metaverse, digest: sha256 offered as alternative to md5
    (configure in sisurc.yaml, md5 should be sufficient for most purposes and
    remains default)

  * metaverse, auto bold markup fix

  * some code shuffling and method and variable renaming
    (including in sisu control file)

  * wmap, sorting of matches (object citation numbers)

  * wmap, words capitalised unless several letters uppercase or is a phrase
   (rather than a single word)

  * wmap, names/id associated to phrases, space replaced with underscore

  * html, heading tag names #h dropped if heading starts with alphabet so e.g.:
    #h1.2 but #linux [consider #h_linux]

* sisu_0.37.4.orig.tar.gz (2006w10/4 | 2006-03-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.4
  [Debian Release snapshot, uploaded by Wookey]

  * w3c compliance in html for: default homepage, document manifest, and
    wordmap, (and check that renders properly in lynx, elinks, links2, w3m,
    dillo as well as the rest)

* sisu_0.37.3.orig.tar.gz (2006w10/4 | 2006-03-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.3

  * default home page, make sure that html is w3c compliant, (and renders in
    lynx, elinks, links2, w3m, dillo as well as the rest)

  * editors (other than vim already done) filetypes match new filenames

* sisu_0.37.2.orig.tar.gz (2006w10/2 | 2006-03-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.2
  [Debian Release snapshot, uploaded by Wookey]

  * filename extensions, reduce in number and rename processed
    secondary/temporary files to make matching of editable files trivial *.ss?
    (editable files .sst .ssm .ssi matched with *.ss? or more precisely
    *.ss[tmi])

  * .sst (sisu structured text). .ssf removed, reason this is processed as
    being the same file as .sst and increases the possibility of confusion for
    the user.  .ssm (sisu structured master) .ssc removed for same reason as
    removal of .ssf described above. .ssm files may include .sst and/or .ssi
    files within them.

  * filename extensions, processed secondary/temporary files
      ._sst was .sss and previously .t (substantive content of composite/master
      file) .-sst was .ssu and previously .u (sisu markup .sst downloaded as
      url for processing) reason for choice, identifies as .sst files and are
      processed as such, while easily ignored/excluded on the command line for
      editing and processing. These can be ignored by the user, but should be
      processable by sisu as .sst files.

  * .ssd (sisu structured document) is retained, for use in sisudoc,
    or sisupod, where a zipped file with image and other content necessary to
    reproduce the original is made.

  * .ssi (sisu structured insert/information) unprocessed, sisu markup text,
    for use in master documents, is likewise unchanged

  * filetypes.vim made to match (filename extensions)

* sisu_0.37.1.orig.tar.gz (2006w10/1 | 2006-03-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.1

  * cgi search forms in sisu-examples, updated to match filename extensions
   [and to match 'sisu-F webrick' equivalent]

* sisu_0.37.0.orig.tar.gz (2006w09/7 | 2006-03-05)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.37.0

  WARNING: FILE RENAMING NECESSARY as file name extensions have been changed,
  (there is scope for program breakage as a result, though preliminary tests
  have been passed).

  Also note that, SiSU markup syntax is unchanged.  Repeat: there is NO CHANGE
  to SiSU markup syntax.  Renaming of file-extensions should be all that is
  necessary for things to work as before.

  File extension name changes, note this does not affect SiSU markup in any
  way... but the .s1 .s2 .s3 and like types are discontinued, files should be
  renamed as explained below

  NEW FILE EXTENSIONS the obvious sd and sdf appear to be taken, and there is
  some use of .st and .sm extensions, so will use .ss extensions, which from an
  examination of vim filetype.vim and mime.types appear to be available.

  * sst (.ssf) ('sisu structured text')
      .sst == .s3 (also .s1 and .s2) .ssf == .s3 (also .s1 and .s2)

      rename 's/\.s[123]$/\.sst/' *.s{1,2,3}

  * ssm & ssc
    ('sisu structured master' and 'sisu structured composite') .ssm == .r3
    (also .r1 and .r2) .ssc == .r3 (also .r1 and .r2) [r was for require]

      rename 's/\.r[123]$/\.ssc/' *.r{1,2,3}

      suggested convention: use ssm where the master contains only requests for
      parts; use ssc where the composite document contains its own text but
      requests inserts. they are in fact (technically) interchangeable, not
      being recognised as distinct by sisu.

  * ssi
    ('sisu structured insert/information') (this is an unprocessed recognised
    as being in sisu markup but only used as part of a composite document .ssm
    or .ssc)

    ssi == si

    rename 's/\.si$/\.ssi/' *.si

  * ssd
    ('sisu structured document') [filename].ssd should be mapped to sisudoc.tgz

  THE FOLLOWING OCCUR IN PROCESSING they should be taken care of automatically
  on use of sisu

  * sss
    secondary file .sss == .t3 [t was for tmp]

  * ssu
    downloaded url .ssu == .u3 [u was for url]

  * sst_meta
    human readable processing file (metaverse)

    .sst_meta == .s3.meta

  * sst_meta.rbm
    ruby marshal processing file (metaverse)

    .sst_meta.rbm == .marshalMeta

  OTHER CHANGES

  * sample markup documents file type extensions changed to .sst from
    .s3

  * sisu, provide warning and advice on renaming when requests are made to
  * process files with old filename extensions.

  * xml(s) and xhtml, escape greater than and less than in "code" mode.

  * cgi search form, postgresql, fix - create canned url etc., in line with
  * what sqlite form does

* sisu_0.36.25.orig.tar.gz (2006w09/7 | 2006-03-05)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.25

  [A Fix is Necessary will revisit]

  * metaverse, don't number headings that are numbered (or rather, start with
    numbers), [may need an escape]

  * manifest, don't assume a document will contain header (related/recommended)
    links

  * vim syntax highlighting, sisu.vim, added check that url not preceded or
    followed by > or < without an intervening space (or <br> which is a bit
    redundant but a fairly common error that is highlighted as such in full),
    needed for auto-markup match

* sisu_0.36.24.orig.tar.gz (2006w09/2 | 2006-02-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.24

  * html, segmented, footnote in heading levels 1, 2, or 3, (deposit in first
    segment 4 that follows), and clean heading of the footnote reference marker
    after the segment in which footnote (for the heading) occurs

  * html, multilingual documents, ensure html filetype suffix is used in html
    i.e. use html file suffixes within html, even when -H (rather than -h) is
    selected
    [decision to hardcode protection is a bit arbitrary, suffixes required here
    by existing server configuration. Consequences of overlooking this
    requirement are a bit latent and fairly dire..., add configuration file
    escape of protection]

* sisu_0.36.23.orig.tar.gz (2006w09/1 | 2006-02-27)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.23

  * odf, use of brackets (also square) within linked text (and linked images
    with text), fix
    { text to link (use of brackets odf issue fix) }http://url

  * odf, issue with ? in url in linked text and images, fix

  * odf, single step indent with bullet, fix

  * html, rights passed through special character filter...
    [do for other "fields"]

  * metaverse, a couple more characters sanitised
    “” converted to "
    — converted to -
    'irregular' whitespace converted to space

  * html, segmented, footnotes in subheadings (levels 5 & 6) a clumsy fix
    revisit and address upstream, [also notes name tag remains unclosed]

  * regex, set for utf-8, [you may wish to reconsider fixed default]

  * [sisu-examples, free_culture, minor adjustments to text]

* sisu_0.36.22.orig.tar.gz (2006w08/4 | 2006-02-23)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.22

  * odf, footnote fix for url matches

* sisu_0.36.21.orig.tar.gz (2006w08/3 | 2006-02-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.21

  * metaverse, further fix to catch exception for auto-heading/title numbering,
    change of 0.36.19 (non-substantive/editorial hedings)

  * html cosmetic, lower navigation band in scroll (doc.html), fix

* sisu_0.36.20.orig.tar.gz (2006w08/3 | 2006-02-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.20

  * metaverse, fix required, issue introduced by 0.36.19, affected pdf

* sisu_0.36.19.orig.tar.gz (2006w08/3 | 2006-02-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.19

  * metaverse, document auto-heading/title numbering, rule change

  * odf anchor of heading matches to start of line, fix

  * odf hyperlinked text match, escape brackets within linked text, fix

* sisu_0.36.18.orig.tar.gz (2006w08/1 | 2006-02-20)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.18
  [Debian Release snapshot, uploaded by Wookey]

  * cgi sample form, sql search improved
    [development iterations necessary]

* sisu_0.36.17.orig.tar.gz (2006w07/7 | 2006-02-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.17

  * cgi sample forms (sqlite), match highlighting made case insensitive
    character 'i' added to two files in two places

* sisu_0.36.16.orig.tar.gz (2006w07/7 | 2006-02-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.16

  * cgi form (generator),
    canned url populates search field
    more cosmetic rearrangement of code, e.g. cgi_common_sql introduced
    for common code (in pgsql & sqlite forms)

  * manual cgi samples renamed and updated
    sisu-examples/sample/cgi-bin/sisu_search_pgsql.cgi
    sisu-examples/sample/cgi-bin/sisu_search_sqlite.cgi

* sisu_0.36.15.orig.tar.gz (2006w07/6 | 2006-02-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.15

  * cgi form (generator), some cosmetic rearrangement of code,
    order by output esp. for sqlite,
    image paths rearranged

* sisu_0.36.14.orig.tar.gz (2006w07/6 | 2006-02-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.14

  * cgi form (generator) for pgsql and sqlite split up

  * cgi form (generator) match highlighting added
    [sample search form remains very basic]

  * images, minor change to sisu.png and
    inclusion of fsf/gnu levitating gnu

  * metaverse, sanitize ’ character

* sisu_0.36.13.orig.tar.gz (2006w06/7 | 2006-02-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.13

  * bold line shortcut tag, !_ where no bold list, a fix

  * minor, cosmetic code changes of tests with equivalents (type .nil? and
    .empty?) [done a bit quickly though]

  * minor, one spelling correction in free_as_in_freedom

* sisu_0.36.12.orig.tar.gz (2006w06/4 | 2006-02-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.12
  [Debian Release snapshot, uploaded by Wookey]

  * metaverse_syntax, fix required for alternative markup endnotes

  * cgi (frontend for pgsql), url link fix (.html suffix) for webrick server

  * digests/dcc, added info, minor

* sisu_0.36.11.orig.tar.gz (2006w06/4 | 2006-02-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.11

  * digest/dcc, further tuning of output presentation (digest.txt)

* sisu_0.36.10.orig.tar.gz (2006w06/3 | 2006-02-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.10

  * digest/dcc, (document content certificate), a bit more information
    provided, in output and on man pages, e.g. see
    http://www.jus.uio.no/sisu/sisu_changelog/digest.txt
    or
    http://www.jus.uio.no/sisu/SiSU/digest.txt
    etc.

  * sisu man page, minor fixes and minor embellishments

  * home page, in default and skins, minor change

* sisu_0.36.9.orig.tar.gz (2006w06/2 | 2006-02-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.9
  [Debian Release snapshot, uploaded by Wookey]

  * fix of filelists where param is not parsed, relevant to rsync, scp and zap
    [problem introduced by changes made for multilingual documents which
    assumed that param is always parsed]
    [solution not elegant, but likely to remain a while]

* sisu_0.36.8.orig.tar.gz (2006w06/1 | 2006-02-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.8

  * plaintext dos/Unix, check that all dos linefeeds are in place

  * help (man pages, html, program), minor adjustments, and sync html
    with man pages

  * remote (rsync,scp) building of filelist for placement of output
    improved, relevant for multilingual documents
    [could be improved further especially for scp, where there is no
    language code all documents are copied, which results in
    duplication]

* sisu_0.36.7.orig.tar.gz (2006w05/7 | 2006-02-05)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.7

  * metaverse, linefeed conversion, convert msdos line feeds \r\n to unix \n
    for processing

  * sisu(1) man page, note added on how to produce dos plaintext output file
    (instead of linux/unix)

  * plaintext, default shortcut flags changed to produce dos ascii files,
    reason, Unix/Linux seldom has a problem dealing other ascii filetypes, MS
    based programs are more likely to stumble, also if manifest built
    concurrently with plaintext will use plaintext command flag to give
    information on output type - whether Unix or dos etc. [could add a file
    check of type where manifest is built separately, not really necessary]

  * skins, minor edits, path to css corrected

* sisu_0.36.6.orig.tar.gz (2006w05/6 | 2006-02-04)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.6

  * html (some w3c compliance steps) [2006-01-15]:
    * object "id" number names changed, preceded by letter o
    * use of name tag to give objects numbers (instead of id for numeric value)
    * footnote links changed (use of underscore (instead of tilde not
      permitted))
    * image tags "closed"
    * skin adjustment
    * finally reinstate w3c transitional xhtml header

  * html tables, changed organisation of code [2006-01-16]

  * odf tables [2006-01-17]
    [display only without tables headings]

  * odf pagebreaks [2006-01-17]

  * odf bullets [2006-01-17]

  * odf multiple images in object [2006-01-18]
    image handling, fix [2006-01-22]
    image captions [2006-01-22]
    placement within text "as char" [2006-01-23]

  * overview.txt updated with things done

  * url screen display, fix to urls in batch processing [2006-01-17]
    [overlooked because of personal practice of using rant/make to run all
    requested processes on each markup file in a batch process]

  * sisu headers, document recommended links, 12 link limit removed [2006-01-20]

  * tables, introduced an alternative visual representation [2006-01-20]

  * odf tables, max number of columns increased to 14 from 8 [2006-01-22]
    (12 may be useful for months plus at least one to describe content)

  * sisu_test.s3 document added to serve as quick test of markup forms and a
    rough guide however it does not at all serve as an example of a typical
    document [2006-01-21]

  * html anchor heading matches to start of line, [watch] [2006-01-22]

  * odf text links [2006-01-22]

  * odf bullets, as image, currently using "red pill" [2006-01-23]

  * texpdf special character vertical bar / pipe, fix [2006-01-23]

  * digests, document content certification, work on multiple images
    [2006-01-26]

  * digests, document content certification, (digest info) digest for
    document skin digest, and repeat of document digest [2006-01-27]

  * sql (pgsql, sqlite), special character escape, changes [2006-01-28]

  * docbook experimental introduced, another form of xml (may need to rename,
    so far represents a quick first pass at docbook, and does not qualify as
    docbook: docbook is released under a liberal license permitting all manner
    of modifications, but if modified may not be called docbook) is as noted
    experimental and undocumented, (and may as easily be quietly removed, or
    renamed as improved upon) [2006-01-31] [will need to study a number of things
    including embedding document parts (within parts)..., may take opportunity
    to introduce some substantive tags to sisu that are docbook compatible]

* sisu_0.36.5.orig.tar.gz (2006w01/5 | 2006-01-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.5
  [Debian Release snapshot, uploaded by Wookey]

  * sisu man page minor edit

  * copyright file contains information on setup.rb included with tarball
    and on Rant used to generate install,
    both under Gnu Lesser Public License

  * Debian build changed, fewer packages, hope to unify the SiSU development
    and SiSU Debian upload builds

* sisu_0.36.4.orig.tar.gz (2006w00/7 | 2006-01-01)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.4
  [Debian Release snapshot, uploaded by Wookey]

  * plaintext, multi-language document url adjustments

  * termsheet, output path and urls

  * [some multi-language document markup samples added to debian build in
    sisu-examples]

* sisu_0.36.3.orig.tar.gz (2005w52/6 | 2005-12-31)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.3

  * adjustments made for consequences of possibility of multi-language
    documents in sysenv, wmap, sql (psql/sqlite), remote put

  * sql prefix column changed to TEXT (from VARCHAR)

  * sysenv, change to the initialization of constants [revisit]

* sisu_0.36.2.orig.tar.gz (2005w52/5 | 2005-12-30)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.2

  * sql (pgsql/sqlite), (a fix:) "manifest" column replaces "summary" column

  * html_format_table.rb removed, last dependency removed, rely on css

  * wmap use main css, and own styles

* sisu_0.36.1.orig.tar.gz (2005w52/4 | 2005-12-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.1

  * html batch processing fix, placement of files:
    index.html, toc.html and doc.html

* sisu_0.36.0.orig.tar.gz (2005w52/4 | 2005-12-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.36.0

  * html -h -H behaviour switch, -h now produces urls with suffixes (hardlinks,
    including .html .pdf etc.) (this being the default that just works,
    including for reading output in a browser directly off a file-system), -H
    omits them and requires an appropriately configured web server.
    [change in behaviour is the reason for this version number bump]

  * multilingual/(multiple language) document filenaming convention and
    associated behaviour, made default, unless turned off in configuration file
    default:
      multilingual: false

  * multilingual/(multiple language) document output filenaming convention set
    at 1 in following example list:
    (1) outputdir/es.[file].html
    (2) outputdir/[file].es.html
    (3) outputdir/[file].html.es (which Apache for example can be
    the first option is convenient in that it organises versions of document by
    language in the output directory, (i tend to use 2 though)

    default:
      language_file: 2

    (the default in the absence of a setting is 1 es.index.html, rather than 2
    index.es.html)

    [contains a batch processing bug affecting some html output, fix in 0.36.1]

* sisu_0.35.0.orig.tar.gz (2005w52/3 | 2005-12-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.35.0

  * sisupod, sisu multi-language document pod, in place
    if config file permits, will search for multiple versions of the same
    document in different languages, by file naming convention, and all these
    will be placed into the same sisudoc source file, the intention will be
    to separate the sisudoc file format for single documents and sisupod for
    multi-lingual versions of the same.
    (changes to sysenv and sisudoc for this purpose)

  * multi-lingual versions of document naming and output conventions
    conceptually sorted,
    e.g. assuming config file set as appropriate
    language version name takes the form:
    filename~es.s3
    output alternatives become, (depending on config file setting)
    (1) filename/es.index.html
    (2) filename/index.es.html
    (3) filename/index.html.es (which Apache for example can be
    configured to use for automatically serving the users preference)
    it is now just to stepwise implement the rules for output...
    some detail remains as what to do with the default language, will this
    feature be strict so that too will have the language version code included,
    or, is it more convenient to drop it in that instance

    default:
      language_file: 2
    #  multilingual:  true

  * param, config filename placement information gathering rules for
    multi-document version output are in place, done with flexibility in mind,
    language insertions may be made at any of three points in filename

  * sub-numbering system, default behaviour change/correction, reset when any
    major number changes [consider offering the alternative of running
    sub-numbers, below 4~, would be set in header]

  * urls (-u, -U, -v), match new multilingual file naming convention

  * manifest, show multilingual version manifests, if available

    [contains a batch processing bug affecting some html output, fix in 0.36.1]

* sisu_0.34.2.orig.tar.gz (2005w51/1 | 2005-12-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.34.2

  * default css, fix to image links (paths),
    necessitated by changes to directory structure

  * digests, include in header url for set sisu_manifest, and time and version
    information at the top of the document

* sisu_0.34.1.orig.tar.gz (2005w50/7 | 2005-12-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.34.1

  * html and wmap output manifest cosmetic link change and a link fix in html

  * manifest, md5 if markup source is shared, show if -v

* sisu_0.34.0.orig.tar.gz (2005w50/6 | 2005-12-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.34.0

  * directory structure changes
    [reason for version number jump]
    * all sisu output server configuration
      goes into subdirectories named _sisu,
      one within the main server directory
      and another within each document directory created
        _sisu/image
        _sisu/css
        _sisu/dtd
    * localised sisu markup/input configuration
      is placed directly under _sisu in the markup directory
      (rather than _sisu/config), the hierarchy becoming
        ./_sisu
        ~/sisu
        /etc/sisu
    NOTE: it is again necessary to run sisu -CC
    NOTE: the following have so far been considered and discarded as
    alternatives to _sisu: "sisu" discarded as a name sometimes used for a
    document directory; ".sisu" discarded as hidden output directories may be
    confusing to the user; "sisurc" remains a possible alternative which is a
    bit descriptive, however "_sisu" is consistent with the configuration
    directories, and chosen for now

    * see notes on css and images
    for changes to image and css output directories
    * see notes on configuration for notes on changes within
    _sisu in local markup directory

  * manifest, renamed from summary, sisu_manifest.html instead of summary.html
    [reason: less likely to be useful in other circumstances, summary freed as
    a reserved filename] [contains: #output #metadata #links]

  * _sisu: _sisu/conf files and subdirectories moved to _sisu
    [reason: the deeper directory structure made sense when sisu_processing was
    also contained with _sisu, it is no longer helpful,
    the directory structure of ./_sisu mirrors that of ~/.sisu]

  * images now placed within output directory sisu/image
    (there is a main sisurc directory and each subdirectory (mapping to a
    markup directory stub) contains its own sisurc directory)

  * generation of remote markup/source documents url, some work, on image
    mappings

  * css: logic in place for manually created css substitution
    * -CC copies css files to output/webserver director sisu_css
    if they exist in ./_sisu/css, ~/.sisu/css or /etc/sisu/css
    * -H or -h html -x -X for xml etc. will look in output/webserver
    sisu_css directory for any requested css. If it exists, pages created
    will link to it, otherwise, the default css files provded by sisu are used.
    * css requests may be done on a document or directory stub basis 0~css grey
    will look for grey_html.css and the directory stub book, will look for
    book_html.css
    [note: check and make pages more css friendly]

  * fix, if the within a document markup directory the directory
    _sisu_processing exists and is writable it will be used for processing
    otherwise /tmp/_sisu_processing is used
    [i.e. to use ./_sisu_processing for processing, create it]

  * sisurc.yaml defaults set to false to prevent zap (-Z) and css changes

  * Sam Williams copyright notice, included under 0~rights in Free as in
    Freedom, not sure how this has been missed.

  * minor screen display url correction, in sax.xml

* sisu_0.33.0.orig.tar.gz (2005w50/4 | 2005-12-15)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.33.0

  * processing directory, moved to ./_sisu_processing from ./_sisu/processing
    [reason: makes it easier to backup _sisu [you will almost never want
     _sisu_processing]]
    /tmp/_sisu_processing is default and used if the former directory is absent
    (instead of /tmp/sisu_processing for consistency)
    [reason for local directory processing option if /tmp is default, exists,
    if you prefer to keep processing out of /tmp]
    [consider for /tmp adding to path /tmp/_sisu_processing/[$USER]/[directory
    stub] to minimise likelihood of collisions, unlikely currently as the
    default is to regenerate "metaverse" for each request]

  * css, moved to [web_output]/sisu_css from [web_output]/style
    [reason: collision with other efforts, manual or otherwise even less likely]
    this means it is necessary to reinitialise directories, see sisu -CC

  * external document (using url to call for processing), paths for processing
    and downloaded images adjusted (processing and output)

  * install (Rantfile and rant: install), a fix required

* sisu_0.32.5.orig.tar.gz (2005w50/3 | 2005-12-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.32.5

  * orig.tar.gz should now be updated together with debian package
    orig.tar.gz has not been updated properly since 0.31.4, debian package has
    issue with autopackage builder

  * debian package improved, however: diffs started from scratch,

    information/history abandoned Reason: undetermined problem with automated
    package builder.  automated package builder (which uses darcs and
    darcs-buildpackage) builds package normally/properly with a pristine
    directory structure, but not with accumulated debian build history. For now,
    the orig.tar.gz and debian package structure are updated, and debian history
    is not included.

  * directory named extra removed from source tarball,
    extra/debian/man moved to debian/man

  * debian, correction of a man page

* sisu_0.32.4.orig.tar.gz (2005w50/1 | 2005-12-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.32.4

  * odf (opendocument), images - an image per paragraph/object only, at present
    (thanks Alex Hudson #odf so_solid_moo for feedback, was placing paragraphs
    within paragraphs, last step in getting images working)

  * odf (opendocument), sisu document metadata

* sisu_0.32.3.orig.tar.gz (2005w49/7 | 2005-12-11)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.32.3

  * html endnote url re-fix

* sisu_0.32.2.orig.tar.gz (2005w49/4 | 2005-12-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.32.2

  * sqlite, repair

* sisu_0.32.1.orig.tar.gz (2005w48/6 | 2005-12-03)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.32.1

  * minor code cleaning, mostly removal of commented out code,
    lib html_css.rb, removed as redundant

  * package: html files in data/doc/sisu moved to data/doc/sisu/html

  * debian:control a missing comma added to comma delimited depends list

* sisu_0.32.0.orig.tar.gz (2005w48/4 | 2005-12-01)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.32.0

  * -v urls, minor correction

  * -q quieter
     pdflatex quieter [/dev/null screen ouput except for -v up]

  * -q -v -V -M -u screen information levels better sorted

* sisu_0.31.5.orig.tar.gz (2005w48/4 | 2005-12-01)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.31.5
  [this should have been 0.32.0]

  * -v -M etc. (cosmetic) url, output path information improved
    additional possibilities in configuration, sisurc.yaml
    setting of programs used:
    text_editer, web_browser, pdf_viewer, odf_viewer
    setting of viewing preference, vis path, and url

  * -CC re homepages, new option setting the (manually crafted) home page,
    copy from first found of:
      ./_sisu/conf/home/index.html
      ~/.sisu/home/index.html
      /etc/sisu/home/index.html
    otherwise, as before will look for home page in:
      ./_sisu/conf/skin/doc/skin_sisu.rb
      ~/.sisu/skin/doc/skin_sisu.rb
      /etc/sisu/skin/doc/skin_sisu.rb
    and as before if that is not found, take the sisu default

  * css styles, start implementing a more flexible model for using
    alternative stylesheets, stylesheets may be specified in document header
    0~css or 0~stylesheet [name], and if that existws, or if a stylesheet
    exists that matches the markup directory stub, results in html, xhtml, xml
    as appropriate, requesting the matching stylesheets documunts
    [needs work and testing before it becomes really usable, for the time
    being is switched off by default to use must be enabled in conf file]
    [css stylesheets renamed, likely to be noticed]

  * -CCr -CCRZ stubs for remote copying/building of base site,
    images, css stylesheets, index.html and toc.html
    (not to be confused with existing remote placement of generated output)

  * Debian package adjustment

* sisu_0.31.4.orig.tar.gz (2005w48/2 | 2005-11-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.31.4

  * Debian packages broken into smaller packages, for better control over
    dependencies, source package structure affected (control, .install,
    .manpages)

  * sisu-composite together with sisu-examples installs the whole of SiSU

* sisu_0.31.3.orig.tar.gz (2005w48/1 | 2005-11-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.31.3

  * remote url gathering of images re-fixed, e.g.
    sisu -Hpv http://www.jus.uio.no/sisu/free_culture.lawrence_lessig/free_culture.lawrence_lessig.s3
    should produce html and pdf of Free Culture from the online marked up file,
    with the images
    [sisu -CC (to copy downloaded images to the output directory)]
    sisu -pHv http://www.jus.uio.no/sisu/sphinx_or_robot.leena_krohn.1996/sphinx_or_robot.leena_krohn.1996.s3
    [has even more images, you will have to repeat sisu -CC]
    [includes a workaround for an odd bug: retry needed on first attempt]

  * sisu control, ensure file array unique
    [some risk of unforeseen consequences, test]

  * -v verbose output, minor, tagged on mention of sisu -W starting ruby
    webserver on sisu output directory

  * add link to sisu_faq, maintain faq

  * [debian, started using pbuilder
    (otherwise, package still built using darcs-buildpackage, and additional
    enthusiastic use of mercurial for version control)]

  * sisu_0.31.3-1 debian:control: Depends: ruby1.8 (>=1.8.3)

  * sisu_0.31.3-2 debian:control: Depends: ruby (>=1.8.2)

* sisu_0.31.2.orig.tar.gz (2005w47/6 | 2005-11-26)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.31.2

  * debian autobuild fix [external scaffolding]

* sisu_0.31.1.orig.tar.gz (2005w47/6 | 2005-11-26)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.31.1

  * odf, minor fix url match

  * [sample documents urls to amazon and barnes and noble
    added as courtesy to authors]

  * [Note: change to automated debian package build procedure]

* sisu_0.31.0.orig.tar.gz (2005w47/5 | 2005-11-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.31.0

  * metaverse, header, italicise and bold lists,
    results in significant changes
    markup change use regex directly
    [results in odf (openoffice) repair of 0.30.9]

* sisu_0.30.10.orig.tar.gz (2005w47/5 | 2005-11-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.10

  * rollback to 0.30.8 header, italicise and bold lists,
    use of semi-colon delimited list,
    [new version number 0.31 opened for header use of regex
    to italicise and bold]

* sisu_0.30.9.orig.tar.gz (2005w47/2 | 2005-11-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.9

  * setup.rb 3.4.1 by Minero Aoki included with SiSU as an installer

  * package directory structure modified to comply with setup.rb default
    data/man moved to man as setup.rb, affects debian

  * header, italicise and bold lists, markup change use regex directly
    [instead of converting semi-colon delimited list]

  * minor notes on installation in README

* sisu_0.30.8.orig.tar.gz (2005w47/2 | 2005-11-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.8

  * latex pdf, the pdfetex parameters used appear to be Debian specific,
    SiSU LaTeX is written for pdflatex... change precedence/ search order,
    use pdflatex if present, otherwise try use pdfetex (with pdflatex parameter)

  * url/document output, (largely cosmetic fix) screen information,
    sisudoc (-S) and sisu markup source (-s) [-S was linked to sqlite]

  * url (-U) print urls without -v

* sisu_0.30.7.orig.tar.gz (2005w47/1 | 2005-11-21)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.7

  * rsync screen message adjustment

  * skin:hp linked to sisu_changelog which has been separated from sisu_download

  * composite documents, fix manual closure of file is apparently necessary !

* sisu_0.30.6.orig.tar.gz (2005w46/7 | 2005-11-20)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.6

  * numeric shortcuts accept rsync extra command flag (-R)

  * rsync (-R), screen output minor (what default, verbose and quiet do)

* sisu_0.30.5.orig.tar.gz (2005w46/7 | 2005-11-20)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.5

  * conf, homepage, skin path precedence, fix
    (related to finding ./_sisu/conf/skin/doc/skin_sisu.rb)

  * summary, suggested links, cosmetic: fix to static url

  * sisu_doc, drop making of directory _sisu/config
    (using _sisu/conf)

* sisu_0.30.4.orig.tar.gz (2005w46/6 | 2005-11-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.4

  * html segments, summary button, fix (icon and link)

  * sisudoc, cosmetic: screen output, touch (remove repeat of output filename)

  * summary, suggested links, cosmetic: replace relative links with static url

  * conf.rb renamed from config.rb

  * moved sisu_changelog out of main SiSU document [has grown large]

* sisu_0.30.3.orig.tar.gz (2005w46/6 | 2005-11-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.3
  [Debian Release snapshot, uploaded by Wookey]

  * configuration, change, use ./_sisu/conf
    [WARNING ./_sisu/config is depreciated and will be removed]

  * db:pgsql, bugfix FROM required in a select statement
    [postgresql 8.1 complained]

  * zap, delete, -Z disable by default,
    to use must enable in sisurc.yaml

  * rmagick, disable load/require by default, sisurc.yaml
    problem with some local installs of ruby

  * pdfetex, call with -fmt=pdflatex

  * summary, metadata suggested links added

  * xml,xhtml,html tidy only run with -V or -M
    rexml only with -M, primary reason a considerable speedup
    in skipping step unless specifically requested for testing

  * sisu control file, changes a bit arbitrary, but a bit easier

  * debian control suggests keychain (added)

  * summary and place of composite document source (-s -y), though just request
    for other documents [decide later whether to include constituent document
    parts]

  * help, update, sync with man pages

* sisu_0.30.2.orig.tar.gz (2005w46/2 | 2005-11-15)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.2
  [Debian Release snapshot, uploaded by Wookey]

  * minor cleaning

* sisu_0.30.1.orig.tar.gz (2005w46/1 | 2005-11-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.1

  * summary, include plain.txt where available

* sisu_0.30.0.orig.tar.gz (2005w45/7 | 2005-11-13)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.30.0

  * param, polishing...

  * sql metadata, reworked ... ongoing

  * sisudoc, re-named sisu_doc rather than sisu_ball

  * sisudoc, only -V and -M show verbose tgz of what goes in to sisudoc
    (previously -v did)

  * name correction: SiSU is a recursive acronym, and has other
    alternative possible expansions, one of which i got wrong,
    under the influenced of the other !
    * SiSU information Structuring Universe
    * Simple information Structuring Universe
    * _Structured information Serialized Units_
    [<-- i got my last name wrong consistently wrote Serialized information
    Structured Units, which makes less sense, (i am guessing i managed to
    overlook this because of the position of the word structured in the first
    and second expansion) i guess this correction calls for a major version
    number change! hope no one (else) notices ;-) ]

* sisu_0.29.5.orig.tar.gz (2005w45/5 | 2005-11-11)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.29.5

  * for present have gone back to using pdfatex, need to spend some time to
    figure what needs to be done for pdfetex, LaTeX headers may need to change,
    in any event, calling it in same manner as padflatex broke pdf output, (no
    time et to sort out)

  * minor fixes, [regex match of param metadata and copyright sign in odf]

* sisu_0.29.4.orig.tar.gz (2005w45/5 | 2005-11-11)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.29.4

  * summary, make easily available from different outputs

  * metaverse, autonumbering of segments from manual text markup,
    re-checked/re-fixed [as presents some risk must be selected in heading]

  * metaverse, when run remove maintenance metaverse file unless -M flag used

  * param, endnotes checking, where endnote references and endotes are separate
    check than number count matches else report error, [and place error in
    document summary]

  * opendocument, renamed file odf

  * opnedocument, added matching & linking of urls and mail address

  * summary, warning of document error if endnote number mismatch, note this
    cannot occur if the preferred markup style for endnotes is used.

  * sysenv, pdfetex, debian renaming, search for pdfetex, pdftex and pdflatex
    to generate pdf from SiSU's LaTeX output

* sisu_0.29.3.orig.tar.gz (2005w45/2 | 2005-11-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.29.3

  * rsync use added for remote puts -R (scp is -r)

  * summary bug fix, variable scope reduced
    (incorrectly retained information from previous files in batch runs)

  * introduced -K which deletes output files prior to processing of files of
    same type

  * -s sisu markup source copied to output directory, (placed remotely with -sr)

  * -S sisudoc made and copied to output directory, (placed remotely with -Sr)
    [renamed from -Z]

  * --update updates previous output, with same filetype output only, useful

  * [-F renaming from -S naive cgi search form sample]

  * [minor editing of program file headers]

* sisu_0.29.2.orig.tar.gz (2005w45/1 | 2005-11-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.29.2

  * sql table metadata created, replaces table titles
    [breaks former table structure]

  * sql urls replaces links table

  * pgsql comments

  * cgi scripts use table:metadata instead of table:tiles

  * xml series, poem and group (and code) first pass

  * opendocument renamed odt.tgz instead of o_doc.tgz

  * summary, (-y) summary of document outputs generated and document metadata
    (metaverse includes links to summary, as does html band and latex doc info)

  * data/sisu (/usr/share/sisu) created for sisu shared images and odf,
    subdirectories, separating packages sisu from sisu-examples which is
    recommended only, and should not be needed to provide what sisu requires.

  * debian/sisu.install map data/sisu to /usr/share/sisu

  * [small changes: webserv var rename; cosmetic removal in html and xml of
    less-than greater-than on copy @ \<< home \>>]

* sisu_0.29.1.orig.tar.gz (2005w44/6 | 2005-11-05)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.29.1

  * tar gzip files changed file suffix to .tgz (instead of .gz)
    comment added to man page and help

  * html some character encoding corrections (é and a few others)

  * param recognises rcs in addition to cvs and 0~rcs+ $Id$ may be used
    [as alternative to 0~cvs equivalent, metaverse and downstream adjusted
    accordingly]

  * debian/control added suggests lv and rcs as alternative to cvs
    [to which it is personally preferred for document control (as making
    more sense working with favoured used development distributed source
    control management systems, mercurial and darcs)]

* sisu_0.29.0.orig.tar.gz (2005w44/1 | 2005-10-31)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.29.0

  * metaverse autonumbering changed,
    affecting default html segment naming
    [change to metaverse affects downstream processing]

* sisu_0.28.4.orig.tar.gz (2005w44/1 | 2005-10-31)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.28.4

  * opendocument -o now defaults to produce metaverse first -mo
    (this is behaviour for other outupts such as html, latex/pdf...)

  * metaverse footnote url matches, tuning

  * texpdf url matches, tuning, especially footnotes

  * help update of processing flags, checked against man pages

  * some changes to variable names, cf instead of rf (also used pf briefly)

  * debian control file, minor edit of description of SiSU

  * doc/overview.txt update on things not done in list

* sisu_0.28.3.orig.tar.gz (2005w42/7 | 2005-10-23)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.28.3
  [Debian Release snapshot, uploaded by Wookey]

  * metaverse, bullets accidentally removed, and put back

* sisu_0.28.2.orig.tar.gz (2005w42/6 | 2005-10-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.28.2

  * texpdf character encoding bugfix, (removed iconv) however,
    sisu requires utf-8 input for extended character sets

  * character encoding touches, e.g. sample files saved as utf-8

* sisu_0.28.1.orig.tar.gz (2005w42/6 | 2005-10-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.28.1

  * character encoding, moved a basic transform to metaverse,
    hopefully more predictable characters to deal with and
    made easier to work with postgresql, affects other modules
    changes to html and texpdf, neither perfect, both need work
    esp. html. two steps forward one step back

  * some database operations visited, (update)

* sisu_0.28.0.orig.tar.gz (2005w42/5 | 2005-10-21)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.28.0

  Release (and version number bump) primarily to put ruby sisu segfault
  bug behind us, Debian ruby-1.8.3-2 released and fixes this
  [an emergency build to work around the problem was made available as
  0.27.0 see note there for details]

  * remote placement of open document files added (odt)

  * added open document format to several default shortcuts sisu -2 etc.

  * made note of opendocument format output on sisu home page
    [feature not complete]

  * synced skin_sisu.rb files, (there are a bit too many of them, most would
    normally be syslinks)

* sisu_0.26.4.orig.tar.gz (2005w42/2 | 2005-10-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.26.4

  * sisu file format flag moved to -Z (from -B)

    * sisu -Z without [filename/wildcard] makes gzip of sisu directory of
      marked up files, including sisu markup source files, local configuration
      file, images and skins.

    * sisu -Z [filename/wildcard] makes gzip of individual sisu file specified
      including sisu markup source file and related images and skin

  * opendocument format, -o, experimental, incomplete, [ignore]

    done:
      headings
      footnotes
      bold underscore italics strikethrough
      superscript subscript
      extended ascii set
      indents
      groups
        tables
        poem
         code

      todo:
        groups
          tables
        images
        bullet
        line break?
        page break?
        table of contents
        page header/footer?

   * debian build (i) recommends sqlite added, overlooked previously;
     (ii) added recommend zip, used in the making of open document;
     (iii) removed recommended incorrect libcgi_ruby. libfcgi-ruby1.8, remains;
     (iv) have added a basic open document file structure as a tgz file.

* sisu_0.26.3.orig.tar.gz (2005w40/5 | 2005-10-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.26.3

  * a sisu file format introduced:, -B, a gzipped file, containing:
      sisu markup sourcefile,
      its images
      and its skins,
    opens as sisu_ball directory, which once unipped sisu may be run within,
    (sisu does not at present automatically unpack and run on these files,
    but is a convenient way of packing the contents of a file for sending)
    [early days]

  * man1/sisu.1 upadated and html on -B sisu file format (sisu help not yet
    done)

  * cosmetic firefox taken from list of lightweight browsers,
    remains very much amongst the heavies

  * cosmetic correction on info related to librmagick-ruby contained within
    sample document free_culture

* sisu_0.26.2.orig.tar.gz (2005w39/5 | 2005-09-30)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.26.2

  * css, minor, caption - display: inline;

  * syntax highlighting (sisu markup), editor configuration files, added, see
    sisu-examples/config/syntax_hi/README
    /usr/share/sisu-examples/sisu-examples/config/syntax_hi/README

    for the editors:
    * nano        http://www.nano-editor.org/
    * diakonos    http://purepistos.net/diakonos/

    NOT REALLY DONE, but intitial attempt included anyway:
    * nedit       http://www.nedit.org/
    * gedit       http://www.gnome.org/projects/gedit
    * kate        http://kate.kde.org
    * emacs       http://www.gnu.org/software/emacs/emacs.html

    [vim-sisu still provides the most comprehensive sisu markup
    editor environment]

  * evince becomes the default pdf in maintenance urls etc. (previous was xpdf)

  * document samples image dimensions manually provided, affected document
    sample "Free Culture", Lawrence Lessig. Note this is not necessary from
    sisu-0.20.0 onwards, if you have rubymagick installed.

  WARNING ruby 1.8.3 (2005-09-21) [i486-linux] segfaults SiSU
  FIXED in 1.8.3 (2005-09-29) [i486-linux] thank you TS/Guy Decoux
  the new ruby build is not as yet uploaded to Debian unstale

* sisu_0.27.0.orig.tar.gz (2005w39/1 | 2005-09-26)       %% Emergency Release:
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.27.0

  NOTE: this is an emergency version of SiSU that does not segfault with
  problem versions of ruby, see note follwing. It is prepared without Syck/Yaml

  Problem ruby versions:
  * ruby 1.8.3 (2005-09-21) and was removed by TS:Guy in ruby 1.8.3
    (2005-09-29), released as Debian unstable ruby-1.8.2-1, and in
  * ruby 1.8.3 (2005-10-12) and was again removed by TS:Guy in ruby 1.8.3
    (2005-10-13).

  * Temporary Emergency Release
    ruby 1.8.3 (2005-09-21) [i486-linux]] segfaults sisu
    bug report made to ruby-core 2005-09-24

    this version of sisu built without Syck/Yaml
    and is not configurable, (uses sisu default configuration only)
    ignoring yaml user config files

    as such this emergency release:
    * only uses sisu default configuration settings,
      ignoring yaml user config files
    * does not provide sisu version information

* sisu_0.26.1.orig.tar.gz (2005w37/7 | 2005-09-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.26.1

  * pruning, removed words.rb (vocab is used)

  * wmap & vocabulary, minor modifications, and runs metaverse

  * minor pruning and renaming, small changes

* sisu_0.26.0.orig.tar.gz (2005w37/7 | 2005-09-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.26.0

  * sisu_webrick server no longer builds url paths with tilde prefix

  * sysenv, and link urls updated accordingly

  * sisu-examples, cgi sql search form, minor updates
    sqlite sample set for webrick server defaults, port 8081, with url suffixes
    pgsql sample set without (port is default port, and no url suffixes)

  * sisu_webrick server defaults must be changed in rc files, rather than by
    command-line parameters (reason, the rest of sisu would not see command
    line parameter changes, and would continue to provide rc details)

  * start enforcing lower case sisu markup tagging

* sisu_0.25.11.orig.tar.gz (2005w37/6 | 2005-09-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.11

  * cgi, cgi sql search form sample generator, link suffixes added

  * cgi, cgi sql search form sample generator, -S takes additional parameter
    webrick to provide port links that webrick server will use.

  * sisu_webrick, -W does cgi form.

  * sisu_skin & defaults, home page, adjustments

  * html output (tune), fix image, no link where non provided, i.e. where the
    { imagename.png }image notation is used

  * html output (css & tune), image caption, smaller font

  * configure, (-C & -CC) absence of trang is only reported
    if -V (extra verbose) flag is used

  * processing remote urls, (-C & -CC) absence of external_images is only
    reported if -V (extra verbose), is used [re-test]

  * man page, man sisu, updated to include "-S webrick"

* sisu_0.25.10.orig.tar.gz (2005w37/5 | 2005-09-15)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.10

  * urls, minor correction (maintenance mode output)

  * man sisu(1) and sisu(8), minor edits

  * minor code cleaning

* sisu_0.25.9.orig.tar.gz (2005w37/3 | 2005-09-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.9
  [Debian Release snapshot, uploaded by Wookey]

  * latex/pdf, librmagick-ruby: will throw a warning and refuse to build
    latex/pdf output for documents that are marked up without image dimensions,
    that require the librmagick library. [librmagick-ruby is not "required" as
    provided documents are marked up accordingly, it is never needed. As an
    example first image markup form requires the library, the second does not:
    { freeculture01.png }http://www.free-culture.cc/
    {freeculture01.png 350x350 }http://www.free-culture.cc/

  * man pages additions, mostly "man 8 sisu"

* sisu_0.25.8.orig.tar.gz (2005w37/3 | 2005-09-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.8
  [Debian Release snapshot, uploaded by Wookey]

  * metaverse, default is to run metaverse wherever it may be required,
    i.e. when any of - abDdeHhINptXxz

  * plaintext, endnotes version (-e) sorted,
   -a (footnotes following paragraphs) is ok
   [however is currently an either or, both output plain.txt]

  * texinfo, basic output working again (with pinfo).
    [fix later, moving of & to <=and>]

  * debian, recommends, added pinfo

  * help, fix help on markup \ escape character (escaped)

* sisu_0.25.7.orig.tar.gz (2005w37/2 | 2005-09-13)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.7

  * metaverse, possibility to escape backslash (\\ to produce \) [Special
    character escape set near complete for regular text, verify situation for
    code blocks (code{) where characters should be treated verbatim].

  * metaverse, markup, test and addition of possibility to escape contextual
    special characters, such as asterisk (*) and exclamation mark (!), which
    are not normally a special characters that need to be escaped, but the
    ability to do so is useful where for example used to describe their markup
    function as in \*{bold}* \!{emphasis}! verified others used in a similar
    way (*!/_\^,+), either already available or also added \/{italicise}/
    \_{underscore}_ \^{superscript}\^~{ note that the caret (\^) is a special
    character that must always be escaped, unlike the other characters
    described here which are contextual }~ \,{subscript}, \+{inserted}+
    \-{strikethrough}-

  * man page and help, comments added on escaping special characters and
    headers

  [extensive testing escaping the full range of special characters is necessary
  these include \\ \< \> \{ \} and the contextual  * ! / _ \^ , + ]

* sisu_0.25.6.orig.tar.gz (2005w37/1 | 2005-09-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.6

  * metaverse, cosmetic corrections related to bold, italics and punctuation

  * metaverse, and add a few language settings

  * latex/pdf start looking at language settings, set language selected for
    document \documentclass \usepackage \selectlanguage

  * latex/pdf creator copymark turned off by adding minus sign to creator
    header, as in 0~creator- [name of author]

  * man pages, help files updated on language settings

  * copyright SiSU system, object numbering etc. in pdfs, (reduced font size &
    words from previous Debian release, [a bit more than in 0.25.5])

* sisu_0.25.5.orig.tar.gz (2005w37/1 | 2005-09-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.5

  * latex/pdf cosmetic reduced size of font related to document
    processing information.

* sisu_0.25.4.orig.tar.gz (2005w37/1 | 2005-09-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.4

  * metaverse, fix related to 0.25.3 (interaction between operation of
    bold lines and bold words selected in header).

* sisu_0.25.3.orig.tar.gz (2005w37/1 | 2005-09-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.3

  * metaverse, subtle correction todo with interaction between operation of
    bold lines and bold words selected in header.

  * changes to text accompanying latex/pdfs, toning down of language,
    correction of gpl2 url to fsf.org rather than gnu.org

* sisu_0.25.2.orig.tar.gz (2005w36/6 | 2005-09-10)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.2

  * latex/pdf fix, produce text without object numbers
    (problem with documents including grouped text markers, poem{ etc.)
    fix affects processing with the -0 flag (zero), e.g.
      sisu -mHp0v [filename].s3

* sisu_0.25.1.orig.tar.gz (2005w36/6 | 2005-09-10)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.1

  * cgi search for generator: fix, removal of an errant line of code
    (removal of hardlink to version number)
    fix affects
      sisu -S

* sisu_0.25.0.orig.tar.gz (2005w36/6 | 2005-09-10)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.25.0

  * db/sql: changes to database table names, cleaner

  * db/sql/search: cgi search examples and cgi search sample generator modified
    accordingly

  * db/sql: recreate, creates if no existing database, instead of complaining
    (createall complains if database exists - you may not wish to remove
    existing)

  * db/sql: replaced oid table with links table, and provide links to output
    files, affects both pgsql and sqlite


* sisu_0.24.2.orig.tar.gz (2005w36/5 | 2005-09-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.24.2

  * character encoding, existing table hash replaced with a KirbyBase table
    character encoding lib is not currently used by sisu,
    (& KirbyBase is not included with sisu), for what it is see
      http://www.netpromi.com/kirbybase_ruby.html )
    hoever, this is a possible way forward should such a table be needed

* sisu_0.24.1.orig.tar.gz (2005w36/4 | 2005-09-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.24.1

  * latex/pdf fix: tilde may be printed if marked up as escaped character
    has been a problem, (revisit, refactor what is done with tilde)

  * escaping sisu special characters a bit of work done, html latex/pdf
    done { } ~ < > _ - / # | : ! ^ examine need for others such as *

  * latex/pdf, also html, bugfix, a bit of work on escaping of sisu special
   characters, html latex/pdf, done \{ \} \~ \< \> \&.  Several characters are
   only special characters in given particular locations or combinations, these
   should be escapable in any event.  Further testing and work necessary, hash
   is still a problem. { } ~ < > _ - / & | : ! ^ #

  * metaverse_syntax, in code mode special characters should not be escaped

    code{

      { } ~ < > _ - / & | : ! ^ #
      $ & @ *

    }code

    test more extensively, and correct over time. Note that the hash is for the
    moment a problem (in latex/pdf)

  * latex/pdf and other files make sure headers are only given special
   treatment if at start of text, i.e. if actually headers, so can have a
   description of a header within text like 0\~level new=1,2,3; break=4

* sisu_0.24.0.orig.tar.gz (2005w36/3 | 2005-09-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.24.0

  * pdf page breaks, accepts header notation:
    0~level new=1,2,3; break=4

  * html fix to links band -H added .html to home url, removed

  * metaverse_syntax, adjustment to lines parsed, (result affects some endnotes)

  * plaintext small fix &amp; is &

  * minor touches to documentation

  * tested supported encodings utf8 and iso8859

  % sisu_0.23.1.orig.tar.gz (2005w36/3 | 2005-09-07)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.23.1.orig.tar.gz
    6182d22f7f4e00a3f224a5362717431a 3151165 sisu_0.23.1.orig.tar.gz
    6a52b9dd5ce21d46cf365da088d1f334 9063 sisu_0.23.1-1.diff.gz

  * fix to the still very naive sqlite search cgi example for sqlite

  * sisu -S will generate a copy of the naive sqlite and pgsql cgi search form
    it then needs to be copied to the cgi-bin directory. It differs from the
    example given in that it looks at output directories and includes them as
    database options. It is more accurate on sqlite, checking that a database
    exists, however both forms in their current form leave a lot to be desired.

  * url to location of sqlite database

  * latex/pdf cosmetic fix to front page removed angle brackets
    << [location] >> appeared incorrectly, and looks cleaner without

  % sisu_0.23.0.orig.tar.gz (2005w36/2 | 2005-09-06)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.23.0.orig.tar.gz
    4e8c4fd6e8d377d4e5af7145c37ac99a 3131414 sisu_0.23.0.orig.tar.gz
    f7e8ecb953b39ae45772130d54b158b3 9020 sisu_0.23.0-1.diff.gz

  * texpdf, utf8 added properly by way of ucs package (now requires latex-ucs)
    breaks some things but in the long run is hopefully an improvement
    currently supported encodings utf8 and iso8859.

    Resulting in out of the box improved Iñtërnâtiônàlizætiøn a slightly more
    extended character set, using utf-8, [ tested so far on LaTeX / pdf output,
    line-breaking is not perfect ] ! # $ % & \ () * + , - .  / ' 1 2 3 4 5 6 7
    8 9 : ; < = > ? @ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ]
    … † ‡ < - ~ t ¡ ¢ £ ¤ ¥ ¦ § ¨ © ª « ¬ ­ ® ¯ ° ± ² ³ ' µ ¶ · ¸ ¹ º » ¼ ½ ¾ ¿
    À Á Â Ã Ä Å Æ Ç È É Ê Ë Ì Í Î Ï Ð Ñ Ò Ó Ô Õ Ö × Ø Ù Ú Û Ü Ý Þ ß à á â ã ä å
    æ ç è é ê ë ì í î ï ð ñ ò ó ô õ ö ÷ ø ù ú û ü ý þ ÿ

  * character encoding, utf-8 improved basic table, not yet utilised though,
    [and even as a small utf-8 table is on the large side]

  * minor code play with output (webserve) path

  * sqlite db output mapped to webserve path, current directory stub
    [instead of being deposited in pwd]

  * very naive sqlite search cgi example for sqlite

  * metaverse, changes to automatic naming of levels 5 & 6
    same methods used as has been for level 4, could possibly clash at times
    with level 4 in doc version consider implications [easy to attach somthing
    to level 5 & 6 names]

  * document digest in document information by default
    (previously only when cvs info also selected)

  * loading of skins for inserts

* sisu_0.22.1.orig.tar.gz (2005w35/4 | 2005-09-01)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.22.1

  * metaverse, regex fix for bold line syntax (^!_)

  * latex/pdf, placement of object numbers re-sorted,
    an inelegant fix, revisit later.

* sisu_0.22.0.orig.tar.gz (2005w35/3 | 2005-08-31)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.22.0

  * sysenv, option to check load path and only load module if available reduce
    dependency on other packages, introduced for rmagick and now used also for
    dbi.

  * rmagick if installed can be used to calculate image dimensions, so these
    need not be provided in markup.

  * sql database operations only attempted if dbi is loaded(/available for
    loading)

  * texpdf, used parskip and removed use of smallskip from latex output
    (& other minor edits)

  * FSF address updated:
      Free Software Foundation, Inc.,
      51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
        [from: 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA]

* sisu_0.21.2.orig.tar.gz (2005w34/7 | 2005-08-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.21.2

  * sisu-examples sisu_search.cgi sample correction

* sisu_0.21.1.orig.tar.gz (2005w34/7 | 2005-08-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.21.1

  * debian Sources.gz

  * minor code edits

* sisu_0.21.0.orig.tar.gz (2005w34/7 | 2005-08-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.21.0
  [Debian Release snapshot, uploaded by Wookey]

  * changes to file structure for processing and provided images
    now placed under the markup directory in _sisu
    ./_sisu/processing [built by sisu] unless ./ is not writable
                                       then /tmp/sisu_processing
    ./_sisu/image      [added to manually]
    ./_sisu/config [precedence: ./_sisu/config ~/.sisu /etc/sisu]

  * skin fix reading and precedence
    [uses ./_sisu/config/skin ~/.sisu/skin /etc/sisu/skin
      ./_sisu/processing/external_document/skin]

  * external documents, provide similar logic
    placed in ./_sisu/processing/external_document/{image,config}
    this should mean that along external documents are downloaded
    together with their skins and images and processed as a unit

  * changed a couple of search path statements (skin,sisurc) to use blocks.

  * sisu manpage updated to take account of changes (help not yet)

* sisu_0.20.9.orig.tar.gz (2005w34/5 | 2005-08-26)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.9

  * merged/rearranged (and renamed Postgresql and Sqlite classes).
    Now SiSU_SQL (avoid possibility of namespace clashes).

  * plaintext, xml (sax & dom), xhtml, run on a new file creates required
    output sub-directory, it was relying on other selections for directory
    creation [thought done previously] affects flags -a -x -X -b

* sisu_0.20.8.orig.tar.gz (2005w34/4 | 2005-08-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.8

  * minor database rationalisation,
    postgresql & sqlite logic in same files
    [additional testing required]

* sisu_0.20.7.orig.tar.gz (2005w34/3 | 2005-08-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.7

  * added metadata categories (to the Dublin Core 15) added the following
    metatags, which seemed appropriate/useful:
      translator (or translated_by)
      illustrator (or illustrated_by)
      prepared_by
      digitized_by
    (added to parameters, metaverse, sql databases)

  * note in man pages and help about sisu markup files being in
    UNIX ASCII

  * vim auto-conversion to UNIX ASCII for sisu markup files
    (sisu parses unix ascii, not dos ascii ... consider further,
    an issue for example with many(most/all?) Project Gutenberg texts)

* sisu_0.20.6.orig.tar.gz (2005w34/1 | 2005-08-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.6

  * (composite) fix for new header links where linbreak used
    and imported into composite document, result in .t? suffix

  * (sisu_search.cgi) sample search form, minor fixes &
    improvements, still a mess

* sisu_0.20.5.orig.tar.gz (2005w33/5 | 2005-08-19)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.5

  * fix for old style header links, (broken in 0.20.4 with
    introduction of new)

* sisu_0.20.4.orig.tar.gz (2005w33/4 | 2005-08-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.4

  * (param) header links notation made similar to links within text
    old markup syntax remains possible, (i.e. backward compatibility kept)
    [should possibly force version number change to 0.21 but is minor change]

  * small touch to sisu vim syntax file, remove false positive error
    highlighting for alternative links markup

  * touch to remove relevance of whitespace in image markup
    (previously a problem in composite texts for latex/pdf output)

  * (metaverse for html) touch, whitespace reintroduced where name is given to
    an object as easy solution to interference that may otherwise arise with
    urls

  * html touch whitespace reintroduced where name is given to an object
    as easy solution to interference that may otherwise arise with urls

  * ruby-libyaml removed from debian control,
    [a DD had informed me that he had neeeded it early in packaging days he
    must have been working with a version of ruby older than sisu is written
    for]

* sisu_0.20.3.orig.tar.gz (2005w32/7 | 2005-08-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.3
  [Debian Release snapshot, uploaded by Wookey]

  * fix sisu -CC removed attempt to create pg db
    (this is done rather on -D createall request if does not exist)

* sisu_0.20.2.orig.tar.gz (2005w32/7 | 2005-08-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.2

  * sisu_vim manpage

  * latex/pdf monospace font (ttfamily) where code{ }code is used

  * html monospace font where code{ }code is used

  * rescue and attempt to create pg db only if db of pg type requested

  * a rule for stripping deleted text from clean text md5 digest introcued

  * debian signing of package against ralph@amissah.com

* sisu_0.20.1.orig.tar.gz (2005w32/5 | 2005-08-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.1

  * console output XML clutter reduced,
    REXML parsed headers now only produced for -V not -v

  * debian package, started signing dsc and changes file
    both email addresses ralph@amissah.com and ralph.amissah@gmail.com
    on ring, singing ended up being done against latter,
    the former being what debian knows me as, correct on next signing

    Key fingerprint = F899 5A87 C648 3F38 5107  79F1 B97B 7C4D BD76 E77F

* sisu_0.20.0.orig.tar.gz (2005w32/4 | 2005-08-11)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.20.0

  * remap sisu psql database names to SiSU_[directory name stub]
    instead of just [directory name stub] as this will make name collisions
    (and accidents) with other databases, when using SiSU to creating, deleting
    and recreating databases much less likely happening to other databases far
    less likely.  [renaming means databases need rebuilding for use]

  * (psql) have made postgresql >=8.0 the default requirement. An issue
    showed up with sisu & postgresql 7 series and UNICODE sequences used, as
    sisu as released is fairly new there is little incentive to maintain it
    [however, problem would seem to indicate a lot of bug testing is required,
    i am currently using UTF-8 locale (en_GB.UTF-8)]
    [corrected to postgresql >=8.0.0; but is currently named posgreql-8.0]

  * cgi script example updated to match SiSU_[directory name stub] convention
    and to default to search of sisu-examples as this is a standard/common
    directory anyone might generate (or rather ./document_samples_sisu_markup)

* sisu_0.18.8.orig.tar.gz (2005w32/3 | 2005-08-10)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.8

  * (webrick url) console display of output text default to webrick url
    (can be switched off in sisurc.yaml, by setting
    webserve,webrick_url: false)
    however this assumes people know to start sisu_webrick
    (it is a toss-up between advertising webrick's availability,
    and sticking with filesystem paths as default, may have
    to revert) have thought of tying webrick url output to
    starting sisu_webrick automatically, would need to look at
    log files and get logging off the console, else would disturb
    other sisu console output
    [a problem appears to be that in some browsers old cached pdf
    is served when requested, so changes made in subsequent document
    generation may not be displayed, consider implications]

  * sisu_webrick port sysenv default set back to 8081
    (instead of 8111, consider 8123)

  * use createdb to attempt to create relevant pgsql database
    (using stub of directory name; uses a system command and assumes user has
    permission to create db, if user does not, and the database does not exist,
    would not be able to proceed anyway)

  * inelegant handling of "" image bug (no image) that appears
    in a test document.

  * a few urls shortend back to http://www.jus.uio.no/sisu
    from http://www.jus.uio.no/sisu/SiSU in defaults

  * minor touch to man page and help

* sisu_0.18.7.orig.tar.gz (2005w32/2 | 2005-08-09)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.7
  [Debian Release snapshot, uploaded by Joachim Breitner]

  * some license clean up, gpl2 or later (appearing in pdf text output),
    removed sentences referring to alternative, somehow missed in previous
    grand cleanup sisu_0.16.24 where all document headers were cleaned, and the
    rest i thought [apologies 0.18.7 was rebuilt to include this change, they
    occurred in the file defaults.rb and texpdf_format.rb].

  * fix -N md5 digests batch mode, garbage cleaning

  * fix -N remote placement (revisit remote placement)

  * sequence digests if requested follow on directly after metaverse -mN...

  * html and latex/pdf so far, continue tradition of assuming that a comma (,)
    or full stop (.) following a url is part of a sentence, i.e. if a url
    actually is terminated by a comma or a dot are not parsed correctly, is
    extremely convenient, consider implications though, may need to change.
    {~^ this ends the sentence }http://www.url.  (this would also {~^ end the
    sentence. }http://www.url and as before the comma and stop attached to
    these urls are part of the sentences punctuation http://www.url,
    http://www.url.)

* sisu_0.18.6.orig.tar.gz (2005w32/1 | 2005-08-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.6

  * fixed metadata (metaverse) sourcefilename (where rc not used)

  * fixed digest tree where image not found

  * defaults for shortcut flags (-1v -3v etc.) set to
    create the digest tree (-N)
    and to include filetype suffix (-H) as this works with webrick
    (sisu_webrick)

  * jpg image support consistently added (to existing png & jpg) gif
    consistently removed as on cursory glance does not appear to be
    supported by tetex, trivial to add later

  man page and help mention of verbose screen output of digest tree

* sisu_0.18.5.orig.tar.gz (2005w31/6 | 2005-08-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.5

  * bugfix output paths, may change again, currently the default
    if writable is /var/www/sisu (and if no ~/sisu_www)
    (in previous version wrote to /var/sisu/www/sisu if writable
    too idiosyncratic a solution)

  * bugfix image markup where url not used
    {imagename.png}image working for html and pdf again
    {imagename.png}image fix also for pdf

* sisu_0.18.4.orig.tar.gz (2005w30/2 | 2005-07-26)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.4

  * detailed document md5 digest output as digest.txt generated with -N flag
    [decide whether to:
      keep multiple document digest versions; and
      whether to link to html or databse
      (at some stage add digest names to html generated)]

  * added -N flag (document digests) to man pages and help

  * replaced uses of include? with plain regex (some vague recollection of
    rumours of depreciation in future ruby)... no rush, perhaps should have
    waited

  * (re)moved use of -o flag from old table based html

* sisu_0.18.3.orig.tar.gz (2005w30/2 | 2005-07-26)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.3

  * digests on clean text, rule... revisit, but body and endnotes treated "same"

  * tmp fix for special image characters, (e.g. Euro and Copyleft) tmp because
    image is taken from local directory images where ought to be taken from
    general image set, revisit.

* sisu_0.18.2.orig.tar.gz (2005w30/1 | 2005-07-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.2

  * document meta_data, version information re-organization

  * texinfo cursory look, initial 0.18 fix

  * db pg/sqlite md5_all fix for level 4

  * dbi_unicode unused, and removed, (common_db used)

* sisu_0.18.1.orig.tar.gz (2005w29/0 | 2005-07-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.1

  * latex/pdf, tmp bugfix, substitute & with 'and' in toc,
    needed e.g. for AT&T, see ffa, REVISIT

  * a bit of play with texinfo module, but (still) broken
    (in 0.18) until tested

  * some writing in man pages

* sisu_0.18.0.orig.tar.gz (2005w29/5 | 2005-07-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.18.0

  Development branch 0.17 (opened 2005-07-14)
  rolled back into main as 0.18:

  sisu_0.17.5.orig.tar.gz (2005w29/5 | 2005-07-22)

    * plaintext linebreaks in endnotes <br />

    * xml series, branch-fix todo with tables (common_xml)

    * html endnote section branch-fix

  sisu_0.17.4.orig.tar.gz (2005w29/4 | 2005-07-21)

    * url maintenance mode, minor fix

    * small fixes to latex pdf mostly todo with & character

  sisu_0.17.3.orig.tar.gz (2005w29/3 | 2005-07-20)

    * md5 into postgresql and sqlite modules, (including endnotes clean md5
      digest)

    * Implemented, but need to be consistent about content of paragraphs on
      which md5 digest is made:

      1. clean/stripped text without any markup, paragraph, headings etc.
      without endnotes

      2. endnotes clean/stripped text digest only (there may be several endnotes
      within a paragraph)

      3. whole object, text with markup and any endnotes, (question: with or
      without the endnote digests??? presumption better without, [however may be
      easier to check with?])

    * some renaming in db modules

    [deleted accidentally and rebuilt]

  sisu_0.17.2.orig.tar.gz (2005w28/5 | 2005-07-15)

    * change in metaverse representation of md5 hashes

    * cleaning up of output after introduction of md5 digests

  sisu_0.17.1.orig.tar.gz (2005w28/5 | 2005-07-15)

    * arrangement of md5s

  sisu_0.17.1.orig.tar.gz (2005w28/5 | 2005-07-15)

    * todo with use of dev branch and being 0.17 rather than 0.16

  sisu_0.17.0.orig.tar.gz (2005w28/4 | 2005-07-14)

    * incorporated two md5 digests for each object, available for use
      downstream as desired

* sisu_0.16.26.orig.tar.gz (2005w28/6 | 2005-07-16)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.26

  * LaTeX output remove individual /parindent placed in header

* sisu_0.16.25.orig.tar.gz (2005w28/6 | 2005-07-16)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.25
  [First Debian Release, uploaded by Gunnar Wolf]

  * sisu-examples, Free as in Freedom ... minor touch,
    previous markup broken, will check later

* sisu_0.16.24.orig.tar.gz (2005w28/2 | 2005-07-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.24

  * copyright string made more clear as 1997, 1998, 1999, 2000, 2001, 2002,
    2003, 2004, 2005 ... only question being whether it should not have been
    1996.

* sisu_0.16.23.orig.tar.gz (2005w28/2 | 2005-07-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.23

  * copyright headers changed within files for Debian

  * some changes in use of ocn for segment naming in html output

  * a couple of postgresql fileds changed to text

  * using Rant 4.0 for package build and install(er)

  * cosmetic rearrangement of code

* sisu_0.16.22.orig.tar.gz (2005w27/4 | 2005-07-07)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.22

  * metaverse fix for alternative endnote markup marker
    at end of line~^

  * texpdf fix for images, (where dimensions not
    provided) not final, may need to pass through
    imagemagick at metaverse stage

  * fix to cgi sample sisu_search.cgi

* sisu_0.16.21.orig.tar.gz (2005w26/0 | 2005-07-03)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.21

  * small bugfix (param screen print)

* sisu_0.16.20.orig.tar.gz (2005w26/0 | 2005-07-03)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.20

  * separated out sisu vim files (syntax & folds)

  * touch to syntax highlighting

* sisu_0.16.19.orig.tar.gz (2005w26/5 | 2005-07-01)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.19

  * small touches to vim syntax highlighting.

* sisu_0.16.18.orig.tar.gz (2005w26/5 | 2005-07-01)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.18

  * some fixes to syntax highlighing: - changes to markup syntax introduced in
    0.16 release broke parts of syntax highlighter, more no doubt to follow.

* sisu_0.16.17.orig.tar.gz (2005w26/4 | 2005-06-30)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.17

  * separated color file out from ftplugin ... called dusk (or slate) by
    me for several years i now call it sisu... perhaps i should stick
    with slate as it is pretty appropriate... hmmm, slate

* sisu_0.16.16.orig.tar.gz (2005w26/3 | 2005-06-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.16

 * small touches to offer vim config files working the way i am used to
   with Debian install... needs testing by someone with different
   habits though.

* sisu_0.16.15.orig.tar.gz (2005w26/3 | 2005-06-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.15

* separated vim syntax and ftplugin directory...
  have still got color file in ftplugin/sisu.vim file
  which is not acceptable

* sisu_0.16.14.orig.tar.gz (2005w26/3 | 2005-06-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.14

  * sisu vim ftplugin ... for folds, syntax, colors, markup
    auto installed in debian,
    (but uses shared filetype in /usr/share/vim/addons
    check how that is supposed to work)
    else (non-debian install)
    Rantfile places in /usr/share/sisu-examples/config/vim

* sisu_0.16.13.orig.tar.gz (2005w26/3 | 2005-06-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.13

  * debian setup of vim syntax ok... however much vim setup still to automate,
    immediately noticeable: folds for sisu not sorted; and permitting cursor
    movement up and down without following long lines with screen wrap; (and no
    clever way yet to contribute colors other than through sisu-examples, but
    they being user preference should be contributed with care).

  * on_markup.txt quick check & minor update

* sisu_0.16.12.orig.tar.gz (2005w26/1 | 2005-06-27)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.12

  * home page index.html creation, path precedence set:
      ~/.sisu/skin/doc
      /etc/sisu/skin/doc
      defaults
    and content is interchangeable (so future latent break
    is less likely)

  * touch to Rantfile.

* sisu_0.16.11.orig.tar.gz (2005w26/1 | 2005-06-27)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.11

  * bugfix a default variable, in defaults version should be @ver
    introduced by cuts and pastes between different files,
    with recent default home page updates; make less likely to
    happen in future, for now quick fix, revisit:
    currently index.html taken from
    ~/.sisu/skin/doc if it exists else defaults,
    /etc/sisu/skin/doc is ignored, breaking expected
    search precedence

* sisu_0.16.10.orig.tar.gz (2005w25/0 | 2005-06-26)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.10

  * small edits to man pages and help
    NB have taken out reference to alternative markup possibilities
    e.g. b{ for bold }b being available as well as
    *{ bold text }* (as the letter the and html equivalents are
    depreciated, having or using alternative markup styles is
    less tidy)

* sisu_0.16.9.orig.tar.gz (2005w25/0 | 2005-06-26)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.9

  * cleaning up of man pages, largely for html presentation
    generated by rman

* sisu_0.16.8.orig.tar.gz (2005w25/6 | 2005-06-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.8

  * minor edits

* sisu_0.16.7.orig.tar.gz (2005w25/6 | 2005-06-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.7

  * added the man pages in html (converted to html using rman)
    http://polyglotman.sourceforge.net/rman.html

  * related rather cosmetic changes

* sisu_0.16.6.orig.tar.gz (2005w25/6 | 2005-06-25)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.6

  * vim folds for sisu markup files updated
    command is :F (ruby folds :R)
    assuming the file is in place and in use

* sisu_0.16.5.orig.tar.gz (2005w25/5 | 2005-06-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.5

  * some cleaning of wordmap output, regex exclusions added, not elegant
    (special issue pages include sha and md5 output, also excluded)

  * [released 0.16.6:] vim folds for sisu markup files updated
    command is :F (ruby folds :R)
    assuming the file is in place and in use

  * comments, url locations of samples, output, etc. added to markup syntax
    files (in addition to SiSU home which was already there)

  * removed from tarball markup samples eu contract law principles
    can be found at http://www.jus.uio.no/sisu/sample

* sisu_0.16.4.orig.tar.gz (2005w25/4 | 2005-06-23)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.4

  * man 8 sisu post installation instructions looked at

  * an image path adjusted

* sisu_0.16.3.orig.tar.gz (2005w25/4 | 2005-06-23)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.3

  * tables fixed, much latent breakage sorted
    html segments fixed (scroll was ok)
    xml sax and dom sorted
    xml css naive but done
    latex/pdf done

* sisu_0.16.2.orig.tar.gz (2005w25/3 | 2005-06-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.2

  * conditional heading reinstated /^[12]~\?\s/
    (may be used when it is expected that a document may be
    imported into another, and the controlling documents level
    1 and/or 2 headings should be used instead (take precedence))

  * rant install options, force specification of root if wish to
    proceed as root, (previously was default on ok or continue)

* sisu_0.16.1.orig.tar.gz (2005w25/3 | 2005-06-22)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.1

  * touches to documentation, markup related

  * markup syntax table is out of date, reference to it removed
    replaced by suggestion you see online markup sample directory
      http://www.jus.uio.no/sisu/sample

  * fix, one sample document was overlooked in last package
    (autonomy_markup2)

* sisu_0.16.0.orig.tar.gz (2005w25/2 | 2005-06-21)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.16.0

% WARNING Syntax Changes in 0.16 break previous markup
% WARNING Despite Move to Stable Further Testing is Required

  Syntax Cleaning - reduction in characters used
    and the removal of several uses of unclosed curly brackets

% Vim Regex Substitution Summary of Markup Syntax Changes:
    :%s/\([0-6]\){\~\?/\1\~/c
    :%s/ #\~\(\S\+\)/\*\~\1/c
    :%s/^#{\~\?\s*/% /c
    :%s/^r{ /<< /c
    :%s/\~e/\~^/c
    :%s/[-~]{{ /^\~ /c

%   sisu_0.15.0.orig.tar.gz (2005w24/0 | 2005-06-19)
      http://www.jus.uio.no/sisu/pkg/src/sisu_0.15.0.orig.tar.gz
      MD5(sisu_0.15.0.orig.tar.gz)= a367efb13c3dbd2757e4ba968d61a8b2

  * Syntax Changes, WARNING breaks old syntax,
    a theme is the reduction of characters,
    and the removal of most unclosed curly braces where used previously

    * to mark headers and heading levels:
      [0-6]~ replaces [0-6]\{ and [0-6]\{~ [at the start of a line]
      header and headings marked by digit tilde at the start of the line
      tilde replacing unclosed curly brace occurring after digit at
      beginning of line
      vim:
        :%s/\([0-6]\){\~\?/\1\~/c
    * to provide html name tag within text:
      *~name replaces #~name
      vim:
        :%s/ #\~\(\S\+\)/\*\~\1/c
    * a comment:
      % replacing #{ [at the start of a line]
      ^%% fold set in vim for such comment marker
      vim:
        :%s/^#{ /% /c
    * require external document fold marker
      << replacing r{
      vim:
        :%s/^r{ /<< /c

    header and headings change is fairly major as affects most code
    worth the break, i think so, given goal of simplicity and minimalism
    however, syntax higlighting becomes even more crucial
    as becomes more difficult to spot headings otherwise

%   sisu_0.15.1.orig.tar.gz (2005w25/1 | 2005-06-20)
      http://www.jus.uio.no/sisu/pkg/src/sisu_0.15.1.orig.tar.gz
      MD5(sisu_0.15.1.orig.tar.gz)= d00ff37b438fe38732d887d8555dddb5

  * Syntax Changes, WARNING breaks old syntax,

  * endnotes where not embedded within text,
    i.e. endnote following paragraph with endnote marker
    ~^ replaces ~e as marker within text
    ^~ for endnote content instead of -{{ or ~{{ [at the start of a line]
    {~^ shortcut for making link with url as endnote }http://url
      instead of {~e previous shortcut}http://url
    vim:
      :%s/\~e/\~^/c
      :%s/[-~]{{ /^\~ /c

%   sisu_0.15.2.orig.tar.gz (2005w25/1 | 2005-06-20)
      http://www.jus.uio.no/sisu/pkg/src/sisu_0.15.2.orig.tar.gz
      MD5(sisu_0.15.2.orig.tar.gz)= c28a58664d9a5f1726ed4c5f875e8f12

  * bugfix for composite documents, place newline
    and mark end of import
    (bug also in current stable 0.14.6)

  * bugfix for [html] endnotes introduced (in param)
    in development branch

  * number paragraph in given heading sequence
    while escaping from being a heading 5~- 6~-

  * filenames for termsheet and standard_form
    sisu -t

  * fix webrick port settings sysenv

  * html subtoc touch required

  * help files updated on syntax changes

  * document markup samples updated

  * vim syntax files updated

  * extensive testing required

* Syntax Changes in 0.16 break previous markup

* sisu_0.14.6.orig.tar.gz (2005w24/6 | 2005-06-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.14.6

  * texpdf removed whitespace around \\href{[url]} in a few locations
    (latexpdf appears possibly to have problem in passing url to browser
    including whitespaces before and after url)

  * in all source code headers took out development branch reference,
    leave it to the download page to keep other urls updated
    author field Ralph Amissah, (instead of similar email address)
    propagated alternative name 'Serialized Information, Structured Units'
    (used earlier but not consistently)

  * skin headers likewise looked at and modified

  * touch to default index.html (in defaults and associated skin)

  * (touch to sisu-examples description in debian control file)

* sisu_0.14.5.orig.tar.gz (2005w24/6 | 2005-06-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.14.5

  * debian build sisu suggests sisu-examples

  * added reference to abandoned U.S. provisional patent application

* sisu_0.14.4.orig.tar.gz (2005w24/5 | 2005-06-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.14.4

  * removed copyright mark from 0{~prefix
    is distinct from 0{~rights which is related to copyright

  * texpdf - pass author through "special character" filter

  * bug fix for minor numbering using # mark, and re-calibrating
    removed an extraneous tilde (~)

* sisu_0.14.3.orig.tar.gz (2005w24/3 | 2005-06-15)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.14.3

  * removed files cgi.rb and cgi_supplies.rb as unused.

* sisu_0.14.2.orig.tar.gz (2005w24/2 | 2005-06-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.14.2

  * -g option taken out, unused and forgotten
    -h and -H currently do what -g used to by default
    (will revisit)

* sisu_0.14.1.orig.tar.gz (2005w23/2 | 2005-06-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.14.1

  * documentation related, but minor

* sisu_0.14.0.orig.tar.gz (2005w22/6 | 2005-06-04)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.14.0

  * Flattened directory structure for ./conf/sisu which maps to /etc/sisu
    or equivalent i.e. removed the additional version number which is
    not supported by debian packaging, and unnecessary anyway.
    (this change is the reason for version the hop to 0.14.0)

  * Changed name of ./conf/sisu/sisurc.yaml.sample_disabled,
    is now ./conf/sisu/sisurc.yaml
    and enabled with some parts commented out

  * Source Document Digest (using openssl and currently set to MD5) generated
    were cvs document details requested, (request set in document header).

  * Added man page summary of sisu-examples
    (and a README for directory which refers you to man page)

* sisu_0.12.7.tar.gz (2005w22/3 | 2005-06-01 )
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.12.7

  * Make SiSU convenient to use to produce other formats (including LaTeX)
    without the software necessary to produce pdf, i.e. pdflatex
    http://www.tug.org/applications/pdftex/
    all this does really is recognise when pdflatex is absent
    and pdfs cannot be generated in html generated output
    (i.e. no links to pdf are produced, as was previously the case
    where pdf output was assumed)

  * Removed Debian require dependency on tetex-base and tetex-extra (in which
    pdflatex resides).

* sisu_0.12.6.orig.tar.gz (2005w21/4 | 2005-05-26 )
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.12.6

   * sisu_webrick default port set to 8081 (from 2000), [also considered 8111,
     8123] [0.12.5]

   * short man pages on sisu_webrick and sisu_termsheet provided [0.12.5]

   * sisu_termsheet (changed name from sisu_termsheet.rb) [0.12.5]

   * removed sisu-[version number] executable, is not necessary, (resulted in
     skip from 0.12.6 from 0.12.4) [0.12.6]

* sisu_0.12.5.orig.tar.gz
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.12.5
  skipped, synced tarball and deb in 0.12.6

* sisu_0.12.4.orig.tar.gz (2005w21/4 | 2005-05-26 )
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.12.4

   * sisu_webrick fix, update

* sisu_0.12.3.orig.tar.gz (2005w21/3 | 2005-05-25 )
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.12.3

   * updated man 8 sisu

   * updated part of interactive help in line with 'man 1 sisu' and 'man 8 sisu'

   * debian package added as required in current ubuntu at least: libyaml-ruby

   * touch to sisu_termsheet, colour fix

* sisu_0.12.2.orig.tar.gz (2005w21/1 | 2005-05-23 )
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.12.2

  * changes with packaging methods (rather than sisu), and redone from
    scratch with new origional source

  * switch from using the sha digest to md5

* sisu_0.12.1.orig.tar.gz (2005w21/1 | 2005-05-23 )
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.12.1

  * changes with packaging methods (rather than sisu), and redone from
    scratch with new original source

  * switch from using the sha digest to md5

* sisu_0.12.0.orig.tar.gz (2005w20/4 | 2005-05-20 )
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.12.0

  * changes to packaging methods (better integration of debian package
    builds - use of rant and darcs-buildpackage)

  * apt-gettable package built

  * switch from using the sha digest to md5

* SiSU version 0.10.9 of 2005w20/2 (2005-05-17)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.9

  * default generic install of sisu is to type as root
    (in the root directory of the unpacked tarball):

      ruby install

    For additional options:

      ruby install help

    or

      ruby install -T

    Thanks to rant.

  * rant install file (used by sisu) has been made fairly
    generic, and mirrors the directory structure used by
    setup.rb

    sisu specific post setup instructions are included
    in rant/plugin directory.

  * removed Rakefile, I do like rake, but do find
    rant more flexible and remove the duplication of
    effort. The Rantfile, or rather install works without
    the separate installation of rant.

* SiSU version 0.10.8 of 2005w20/1 (2005-05-16)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.8

  * Package directory structure changed to suit setup.rb default mapping
    and applied to Rant and debian builds (Rake not checked)
      ./etc renamed ./conf
      ./man moved to ./data/man
    destination path mapping as before.

  * renamed some files document text files in ./data/doc/sisu
    such as this version_manifest

  * copy of version_maifest and README placed in package root

  * SiSU version information adjustment, see display e.g.:
      sisu -v

* SiSU version 0.10.7 of 2005w19/0 (2005-05-15)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.7

  * Rantfile for installation, (Stefan Lang's rant)
    to install SiSU, in the root directory of the unpacked SiSU as root type:
      ruby install

  * Rakefile fix to path for sisu-examples

* SiSU version 0.10.6 of 2005w19/3 (2005-05-11)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.6

  * some re-calibration of ocn required.

* SiSU version 0.10.5 of 2005w18/0 (2005-05-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.5

  * version detail [synchronising packaging]

* SiSU version 0.10.4 of 2005w18/0 (2005-05-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.4

  * small fix on reporting, generated by information, metaverse

* SiSU version 0.10.3 of 2005w18/0 (2005-05-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.3

  * cleaning in packages

* SiSU version 0.10.2 of 2005w18/0 (2005-05-08)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.2

  * rebuilt to correct debian package paths
    .deb installation paths should be correct

  * work-nickname Sabaki dropped from naming convention, will for
    the time being stick to just sisu
    (previous work-names/nick-names included scribbler, and scribe)

* SiSU version 0.10.1 of 2005w18/5 (2005-05-06)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.1
  Contains development-branch, version 0.11.1 of 2005w18/5

  0.11.1 of 2005w18/5
  * debian packaging,
    all architectures,
    use debian sub_version numbers 0.11.1-1

    change darcs directory tarball directory and name to comply
    with tarball created by debuild (remove sabaki and date stamp)

    the sha provided here is for the darcs tarball,
    will have to consider what to do when also providing debuild
    source tarball with it's own sha, and in any event to reduce
    duplication

  * deb package provided together with debian source package
    and ***, which contains debian package sha.

  * tinkering in database lib, minor renaming edits,
    (tuple instead of loadline)

  * fix to cgi sample: sisu_search.cgi
    related to match linking to endnotes, (#~\d instead of #\d)

* SiSU Sabaki, version 0.10.0 of 2005w18/2 (2005-05-03)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.10.0
  sisu-sabaki_0.10.0_2005w18-2.tar.gz
  Contains development-branch, version 0.11.0 of 2005w18/2

  0.11.0 of 2005w18/2 (0.9.10 - 0.11.0)
  * debian packaging re-visited,
    (based on help from wookey earlier in the year,
    thanks also to geoff for testing, ...
    more to be done, but progress.)

  0.9.9 of 2005w17/0
  * looking at debian packaging
    synchronise packaging (0.9.7 - 0.9.9)

* SiSU Sabaki, version 0.8.4 of 2005w17/6 (2005-04-30)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.8.4
  sisu-sabaki_0.8.4_2005w17-6.tar.gz
  Contains development-branch, version 0.9.7 of 2005w17/6

  0.9.7 2005w17/6
  * tex/pdf document information

* SiSU Sabaki, version 0.8.3 of 2005w17/5 (2005-04-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.8.3
  sisu-sabaki_0.8.3_2005w17-5.tar.gz
  Contains development-branch, version 0.9.6 of 2005w17/5

  0.9.5 - 6 2005w17/5
  * xml series tables

* SiSU Sabaki, version 0.8.2 of 2005w17/5 (2005-04-29)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.8.2
  sisu-sabaki_0.8.2_2005w17-5.tar.gz
  Contains development-branch, version 0.9.4 of 2005w17/5

  0.9.4 2005w17/5

  * fixes:
    * html table of contents, use of ocn
    * xml series, (metaverse & xml_common)
      tables not created at present, and removed
      revisit, (previous version inserted non-"tidy" xml markup)

* SiSU Sabaki, version 0.8.1 of 2005w17/4 (2005-04-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.8.1
  sisu-sabaki_0.8.1_2005w17-4.tar.gz
  Contains development-branch, version 0.9.3 of 2005w17/4

  0.9.3 2005w17/4 (contains rad of 2005w17/4)

  * hot on the heels of 0.8.0 some fixes, and more likely to follow.

* SiSU Sabaki, version 0.8.0 of 2005w17/4 (2005-04-28)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.8.0
  sisu-sabaki_0.8.0_2005w17-4.tar.gz
  Contains development-branch, version 0.9.2 of 2005w17/4 (rad - 0.9.2)

  Summary, an old idea reinstated, to permit alternative text
  presentations downstream:

  rad of 2005w17/3

  * old idea reinstated:
    metaverse now carries three ocn (numbering) schemes for each document

    * ocn as before all substantive objects numbered sequentially
    * ocn divided, with headings distinguished from other substantive objects
    * ocn specific, with each object identified and numbered by type

  * changes to html and latex/pdf and database libraries to accommodate ocn
    some bugs remain

  rad of 2005w17/4
  * changes to plaintext, xml series, and wmap to take account of ocn
    changes

  0.9.0 2005w17/4 (contains rad of 2005w17/3-4)

  * fixes needed in libraries using altered ocn/metaverse
    (more to follow)

  * cgi-bin search form sample
    0.9/data/sisu/sample/cgi-bin/sisu_search.cgi
    break fix (table structure had been changed)

  0.9.1 - 2 2005w17/4 (contains rad of 2005w17/3-4)

  * more fixes needed in libraries using altered ocn/metaverse

* SiSU Sabaki, version 0.6.1 of 2005w16/0 (2005-04-24)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.6.1
  sisu-sabaki_0.6.1_2005w16-0.tar.gz
  Contains development-branch, version 0.7.5 of 2005w15/0 (5.10-7.5)

  0.5.10 of 2005w16/2

  * default shortuct flags -1 to -5 (what they do) can be modified in
    sisurc.yaml (by changing the default flags they call)

  * screen output ansi colour default can be set to true or false in
    sisu.rc with -c acting as a toggle to turn screen output colour on
    or off as appropriate against the default set.

  0.7.0 of 2005w16/3

  * Remove old markup syntax, simplifies description of SiSU markup, without
    any loss of functionality (the newer markup style is already a superset of
    the old). Removal of old markup syntax necessitates branch/ version change.
    Removal of the alternative markup syntax, which dates way back. It was
    convenient and a bit impressive to be able to use SiSU on documents marked
    up in 1997; and maintaining the accompanying code was unproblematic, but
    after reflection over a prolonged period of time, have decided i would
    rather not encourage alternative markup styles, especially where one is
    clearly preferred over the other.  There are still alternative ways of
    representing endnotes for examples as either may confer an advantage,
    depending on circumstances (usually the pre-markup source document) but
    only within the new markup style.

  0.7.1 of 2005w16/4

  * removal of alternative markup syntax continues.

  * remote file operations and file letter naming conventions, now
    composite, requesting, requiring files have filename with extension .r
    when processed a temporary file is created with the extension .t

    when a url is provided to request the processing of a remote file, the file
    is downloaded saved and processed with the .u extension

  0.7.2 of 2005w16/6

  * Work with the downloading of images where remote documents are requested
    either by use of a url on the command line or within a composite document
    images if not found there are downloaded to a subdirectory of the working
    directory sisu_images_external. Composite documents flagged with the
    extension .r1 .r2 and .r3 are if external downloaded and scanned for
    images, which are downloaded if not found in the directory
    ./sisu_images_external, and the document as expanded is saved with as a
    temporary file with the extension .t1, .t2 or .t3 accordingly, for
    processing. Where a uri is provided on the command line referring to a sisu
    markup document for processing, that document is downloaded and saved with
    the extension .u1, .u2 or .u3 which is then processed. In all cases the
    file extension is dropped with respect to output.

  * Some updates to the man pages with regard to different types of remote
    processing.

  * pdftex possibility to set image centering in header, default off.

  * pdftex visited sisu and latex special characters, escaping for pdfs

  0.7.3 of 2005w16/0

  * Special characters in pdf, minor

  0.7.4 of 2005w16/0

  * marker, problem with tables detected, make sure can rollback

  0.7.5 of 2005w16/0

  * table fix...

* SiSU Sabaki, version 0.4.3 of 2005w16/1 (2005-04-18)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.4.3
  sisu-sabaki_0.4.3_2005w16-1.tar.gz
  Contains development-branch, version 0.5.9 of 2005w15/0 (5-9)

  0.5.5 of 2005w15/5

  * sisu control, minor, e.g. reduce number of counters

  [downloaded ruby1.9, this branch uses ruby1.8 though]

  0.5.6 of 2005w15/6

  * changes for ruby1.9, including metaverse, (also sysenv, html & plaintext)
    most that needs to be done appears to be in place. worst fix ansi colour,
    revisit all later. much testing needed.

  * param header US Library of Congress cataloguing option ~class_loc also
    ~class_dewey recall issues with dewey being proprietary? check (perhaps add
    option and leave unused?) considered all this years ago... ~class_isbn,
    issue here is that some material will be published under an isbn, and will
    have page numbering etc. which sisu publication does not follow, i.e. sisu
    publication is an independent publication, so isbn is a reference to an
    original hard copy publication...  what of asin etc. revisit, and determine
    what else to add.

  0.5.7 of 2005w15/0

  * sysenv ansi colors, revisit later

  * wordmaps, revisit later... problem introduced (a loop removed,
    double counting removed)

  * rescue single line syntax rescue: ...

  0.5.8 of 2005w15/0

  * introduce -c ansi color flag for screen output, (perhaps should be
    color off instead), and
    -q quiet mode, no screen output
    there is some scope for breakage here, continue to examine the
    plumbing

  * man page updated

  0.5.9 of 2005w16/1

  * dbi fixes from 0.5.8 changes (ansi)

* SiSU Sabaki, version 0.4.2 of 2005w15/4 (2005-04-14)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.4.2
  sisu-sabaki_0.4.2_2005w15-4.tar.gz
  Contains development-branch, version 0.5.4 of 2005w15/4 (4)

  0.5.4 of 2005w15/4

  * sqlite default file name created to sisu_sqlite.db (was lex.db)

  * plaintext some cleaning of output

  * xml, minor touch, image tag, version/revision control info optional

* SiSU Sabaki, version 0.4.1 of 2005w15/3 (2005-04-13)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.4.1
  sisu-sabaki_0.4.1_2005w15-3.tar.gz
  Contains development-branch, version 0.5.3 of 2005w15/3 (1-3)

  0.5.1 of 2005w15/3

  * dbi sqlite re-introduced, though not tested. some things moved to
    common_db

  0.5.2 of 2005w15/3

  * common_db, dbi, pg and sqlite most logic is common and moved to
    common_db

  0.5.3 of 2005w15/3

  * dbi increased field size for text contents again,
    (to 12,000 for now from inadequate 2712)
    both postgresql and sqlite appear to support this

* SiSU Sabaki, version 0.4.0 of 2005w15/2 (2005-04-12)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.4.0
  sisu-sabaki_0.4.0_2005w15-2.tar.gz
  Contains development-branch, version
  0.5.0 == 0.3.0 of 2005w15/2

  0.3.1 of 2005w15/2

  * image representation changed dimensions now represented as
    width x height i.e. \d+x\d+ e.g. 480x640 (as in imagemagick)
    previously was explicit w=480 h=640
    (this change causes breakage in sample text with images)

  * sample marked-up documents updated accordingly

  0.5.0 of 2005w15/2

  * sorry for the quick version number turn around, and for its being applied
    to pretty minor changes.

    The version numbering rule applied is that a second digit version number
    change will be made when potential breakage is caused by code changes.

    This has happened now with the decision to alter representation of image
    dimensions. Backward compatibility, though easily provided is not thought
    to be necessary (or desirable) in this instance, based on current user
    base, and modest use of images in text. 0.4.0 is on it's way. This type of
    event is fairly rare, though it has occurred occasionally in subtle ways.
    For example Tainaron marked up in 1997-1998 markup style still builds.

    For description of change see 0.3.1

* SiSU Sabaki, version 0.2.0 of 2005w14/0 (2005-04-10)
  http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_0.2.0
  sisu-sabaki_0.2.0_2005w14-0.tar.gz
  From stable 0.1.4-11
  Contains development-branch, version
  0.3 == 0.1.5-58 of 2005w13/6

  * version number changes:
    stable branch is 0.2
    development branch is 0.3

  * replaced config_environment.rb file which had dropped out of stable
    tarball. [lesson, test future setup/installs from clean slate]

* STABLE MANIFEST (@ 0.1.4 branch)

* SiSU Sabaki, version 0.1.4-11 of 2005w14/6 (2005-04-09)
  sisu-sabaki-stable_0.1.4-10_2005w14-6.tar.gz
  Contains development-branch, version
  0.1.5-58 of 2005w13/6 (56-58)

  0.1.5-56 of 2005w14/3

  * html endnote segment, (introduced bug fixed) linkback to
    main text broken, url was split on more than one line,
    resulting in error

  * special characters escaping for use within text
    looked at, (mostly there previously but not documented)
    ~ { } < > - _ / also used : ^ ! #
    note added to man pages
    (more to be done)

  0.1.5-57 of 2005w14/5

  * distinguish text poem from other text groupings by giving an
    object citation number to each verse

  * cosmetic html default colors for navigation band and home button
    surround made neutral (white)

  0.1.5-58 of 2005w14/6

  * distinguish text poem from other text groupings by giving an
    object citation number to each verse

  * alt and group text groupings bugfix

* SiSU Sabaki, version 0.1.4-10 of 2005w13/6 (2005-04-02)
  sisu-sabaki-stable_0.1.4-10_2005w13-6.tar.gz
  Contains development-branch, version
  0.1.5-55 of 2005w13/6 (47-55)

  0.1.5-47 of 2005w13/3

  * texpdf suggested urls at end of document problems with latex special
    characters, not fully looked into, or passed through the appropriate
    filter, but some ad hoc corrections made

  0.1.5-48 of 2005w13/3

  * cosmetic + information in html navigation band (revisit)

  * texpdf suggested urls special character fix for both url and linked text
    done.

  0.1.5-49 of 2005w13/3

  * html subtoc fix (as it failed in certain circumstances, watch)

  * html endnotes, cosmetic (presentation of headings, and invisible navigation)

  0.1.5-50 of 2005w13/3

  * html change to display of title and headings in segments (dc and headings)
    display dc small, and heading normal

  0.1.5-51 of 2005w13/4

  * initial xml table logic is in place (logic taken from html unit) [still
    using html type tags but logic is in place]

  0.1.5-52 of 2005w13/6

  * object character numbering of special blocks "code", "poem", "group"
    and "alt" finally corrected, in line with "tables". (may introduce a subtle
    variation, between poem and code, or alt and others, numbering the
    equivalent of each verse, but need a bit of time to consider) numbering
    correct, some cosmetic adjustments to follow, e.g. in pdfs, more work
    necessary in xml series.

  0.1.5-53 of 2005w13/6

  * dbi a bit of cleaning of search column, and touch to data

  0.1.5-54 of 2005w13/6

  * texpdf adjustment to position of ocn in special text blocks

  0.1.5-55 of 2005w13/6

  * texpdf blocks fix

  * texpdf prefix_b issue with portrait, (not landscape) fix

  * sisu info improved in latex output

* SiSU Sabaki, version 0.1.4-9 of 2005w13/2 (2005-03-29)
  sisu-sabaki-stable_0.1.4-9_2005w13-2.tar.gz
  Contains development-branch, version
  0.1.5-46 of 2005w13/1 (44-46)

  * small updates to man page

* SiSU Sabaki, version 0.1.4-8 of 2005w13/2 (2005-03-29)
  sisu-sabaki-stable_0.1.4-8_2005w13-1.tar.gz
  Contains development-branch, version
  0.1.5-43 of 2005w13/1 (34-43)

  Quick summary (context sisu markup):

  * allows creation of composite (sisu markup) documents, documents that
    require other documents or bits of marked up text that are not independent
    documents (i.e. not capable of being generated as standalone documents),
    content may be sourced remotely (url)

  * allows processing of remote (sisu markup) documents

  * various small fixes

  -- detail from development branch

  0.1.5-44 of 2005w13/2:

  * documentation updates

  0.1.5-43 of 2005w13/1:

  * composite documents and remote (url) documents, some on error code

  * composite documents, screen information provided, both cosmetic and on
    error

  0.1.5-42 of 2005w12/0:

  * composite documents may link to remote urls for their constituent parts
    using any of its (composite link) syntaxes with an html url, but advisedly
    either of the following:

    #basic sisu markup
      r{http://www.url.org/filename.si}
      {http://www.url.org/filename.s3}require
      r{ {http://www.url.org/filename.si}req #for vim folds

    #using thlnk
      <url:http://www.url.org/filename.si>require
      r{ <url:http://www.url.org/filename.s3>req #for vim folds

    with thlnk is attractive if you use vim because it recognises and permits
    the plain-text hyperlinking to the remote file, which can be called in for
    viewing.

    in this context (urls) textlink markup has little meaning as it does not
    work for editors with url hyperlinking, while the basic sisu markup does no
    more or less than it always does. For everyday use, as a means of
    hyper-linking within an editor i do find textlink attractive though.

  * file suffix naming convention -
    .s[1-3] ordinary sisu marked up documents
    .si     sisu marked up snippets for incorporation into other documents
    .r[1-3] documents using require - (like a master document)
    .t[1-3] temporary marked up files, usually created by sisu for processing,
           e.g. from building the master file, or on having downloaded a remote
           sisu markup file for local processing.

    while on the subject the 1 to 3 is an old naming convention for processing
      html output, .s1 indicating that only a scroll, long single text should
      be produced; .s2 for only segmented html, the document in parts should be
      produced, no single/full length document (this is used for example on war
      and peace); and .s3 requesting both the scroll and segments.

  0.1.5-41 of 2005w12/0:

  * more alpha code: remote source a sisu markup file using url (http://) for
    local processing.

    For example, assuming sisu is installed, you could generate the text of the
    GPL in plain-text, html, xhtml, XML, pdf and a wordmap of its contents using
    the following string:

    sisu -mhpabxXwv http://www.jus.uio.no/sisu/sample/markup/gpl2.fsf.s3

    or to just do html and pdf files from one remote source to the default
    remote destination (assuming you have one setup):

    sisu -mhpr http://www.jus.uio.no/sisu/sample/markup/gpl2.fsf.s3

    [this works for texts without embedded images, unless you already have the
    images stored locally - it will be a relatively easy matter to get the
    program to search relative parts on the remote server and download them for
    processing with the document... no doubt it will happen one day, but is not
    a priority in the near future, also; will be a small step to permit remote
    (and local files) to be stored in zip format and unzipped prior to
    processing if desired, to reduce bandwidth and time]

    Nice from a flexibility perspective, though I expect SiSU's use to be
    primarily on locally stored marked up document sets.

  * vim updates (small touches) to sisu: syntax highlighting; folds, and;
    recognised filetypes (included .si .[rst][0-3] already being recognised)

  0.1.5-40 of 2005w12/0:

  * *{composite document}*, alpha code: introduced alternative ways of
    specifying document require, using vim's hypertext ascii thlnk or textlink.
    The following forms of document require are valid, to incorporate a
    document fragment named filename.si (the require statement must be at the
    start of a line):

    #basic sisu markup
      r{filename}
      {filename.si}require
      r{ {filename.si}req #for vim folds

    #using textlink
      |filename.si|@|^|require
      r{ |filename.si|@|^|req #for vim folds

    #using thlnk
      <url:filename.si>require
      r{ <url:filename.si>req #for vim folds

    the value of the textlink and thlnk style is they are live hyperlinks to
    the constituent parts of the document, which can be brought up at a
    keystroke for viewing or editing.

    [An interesting possibility to consider, is to permit sisu to get the
    composite parts of a document from a remote url source via http, using
    thlnk syntax which permits this <URL:http://www.bf-consulting.de/thlnk/vim>
    - NOTE: implemented in 0.1.5-42]

    0.1.5-39 of 2005w12/6:

  * *alpha* code: assemble source document for processing from a document
    requesting additional parts ... i.e.  a master document, or a document with
    regular markup plus external insertions. Requesting documents currently
    with named suffix .r[1-3] documents requested may be complete valid sisu
    documents named with suffix .s[1-3] or valid sisu markup constituting part
    of a document named with suffix .si (to distinguish and to prevent attempt
    to generate the snippet). A temporary or transient document is assembled
    for processing and na    med with the suffix .t[1-3] (retaining the
    processing instruction digit) [current intention is that the .t file will
    be clobbered at the end of processing unless the maintenance processing
    flag is used] parts are requested with:
      {[name_of_file_to_load.s[i1-3]]}require
    e.g.
      {name_of_file_to_load.si}require
    or
      { name_of_file_to_load.s3 }require

  0.1.5-38 of 2005w12/6:

  * xml sax and dom, pass data through...

  development-branch, version 0.1.5-37 of 2005w12/6

  * document generator information added as comment to head of xml & xhtml
    output

  0.1.5-36 of 2005w12/6:

  * fix, remote sending of xhtml files (-r on -b option), include [b] in
    regex match for file to be placed correctly in remote directory

  * cosmetic, (still with screen output on doing remote sending)

  * [ratchet fix so yyyymmdd date info displayed correctly, was dropping
    the 0 before month and day where less than 10]

  * css and default home page modified

  0.1.5-35 of 2005w12/4:

  * xml sax dom and xhtml change to header match

  * xml dom changes to css

  * some feedback provided on remote file placement -r

  * document version guide added to toc html, (stub only unused)

  0.1.5-34 of 2005w12/4:

  * xhtml filename extension now scroll.xhtml instead of doc.xhtml

  * man page small update, file name extensions (xhtml and plain-text)

* SiSU Sabaki, version 0.1.4-7 of 2005w12/3 (2005-03-23)
  sisu-sabaki-stable_0.1.4-7_2005w12-3.tar.gz
  Contains development-branch, version
  0.1.5-33 of 2005w12/3 (30-33)

  0.1.5-33 of 2005w12/3:

  * largely cosmetic changes to default home page.

  0.1.5-32 of 2005w12/3:

  * finally removed double bullets from ie on ms, problem with html tagging
    <ul> and <li> both required. Small related changes to css and more to
    follow.

  0.1.5-31 of 2005w12/3:

  * sysenv: reverted to using ruby -v for ruby version info (no longer find
    what i want within rbconfig: Config::CONFIG)

  * plaintext: pass metadata through wrapper, some document rights info extends
    beyond line wrap limit.

  0.1.5-30 of 2005w12/1:

  * passed css (sisu.css) through a validator, corrections made

  * expressly close segment files as produced, (else problem remote sending
    last metadata file created as is not yet closed)

* SiSU Sabaki, version 0.1.4-6 of 2005w12/1 (2005-03-21)
  sisu-sabaki-stable_0.1.4-6_2005w12-1.tar.gz
  Contains development-branch, version
  0.1.5-29 of 2005w11/6 (22-29)

   from development-branch, version 0.1.5-26 to 0.1.5-29 of 2005w11/6

  * -h0 turns off object character number display in html ouput
    (-p0 to turn of object character number display in pdf, already
    exists) [this is the digit 0 not upercase o]

  * man page alphabetised

  * renamed ascii plaintext, as use utf-8

  * renamed plaintext output file plain.txt from file.txt (recently was
    doc.txt but there were "webserver conflicts" with doc.html)

  * manually constructed homepage embedded, and created on initialisation (-C),
    will probably have to consider how and when this is done.

  0.1.5-25 of 2005w11/5:

  * on table of contents page (for segmented text), new arrow navigation
    button linked to first segment.

  * -ru forces use of scp so as to build remote file structure and for input
    files selected for processing, to copy all output files in their
    directories (rather than only the currently selected output types).
    [Bugcheck: There may be a bug, check that metaverse.html closes after
    normal html processing and before copy, ... seems to end up posted empty,
    when actually is built.]

  * html for segmented table of contents, correction url markup levels 4,5 & 6

  * [removal of erroneous reference to lexmercatoria]

  0.1.5-24 of 2005w11/3:

  * [decided how to represent blockquotes, propagte]

  * provided sisu home site urls (not a code change)

  0.1.5-23 of 2005w11/3:

  * remote -r only ssh copy file types for which processing requested
    (e.g. all pdf files for the following files to be processed - previously
    copied all files from output directory of file for which processing was
    requested) has a drawback though, as rely on scp -r to build the directory
    structure, the first sending of any file must be done by calling the
    -r flag alone, ie without other sisu instructions.

  0.1.5-22 of 2005w11/2:

  * html, css more ...
    [some problems reported with presentation of bullet lists in IE, will sort
    later]

  * use name file.txt instead of doc.txt for basic text (ascii type)
    presentation output. Reason, some web servers are configured to give
    precedence to .txt extension over .html i.e. when doc is requested doc.txt
    rather than doc.html (the sisu preferred default) would be presented.

* SiSU Sabaki, version 0.1.4-5 of 2005w11/2 (2005-03-15)
  sisu-sabaki-stable_0.1.4-5_2005w11-2.tar.gz
  Contains development-branch, version
  0.1.5-21 of 2005w11/2

  * html, css, indented bullet fixed

  * [see 0.1.4-4 for recent changes]

* SiSU Sabaki, version 0.1.4-4 of 2005w11/1 (2005-03-14)
  sisu-sabaki-stable_0.1.4-4_2005w11-1.tar.gz
  Contains development-branch, version
  0.1.5-16 to 0.1.5-20 of 2005w11/1

  * html markup, a quick glance at & nod (anew) towards css
    changes to ruby html code & to markup arranging & pruning (also get rid of
    some line noise) from 0.1.5-16 to 0.1.5-20 (an ongoing longer term sort of
    thing) quite a few changes, more to be done though

  * line wrap visited

  * ascii touched

  * some code files moved and renamed

* SiSU Sabaki, version 0.1.4-3 of 2005w10/5 (2005-03-11)
  sisu-sabaki-stable_0.1.4-3_2005w10-5.tar.gz
  Contains development-branch, version
  0.1.5-15 of 2005w10/5

  * remote host secure copy: adjustments, and flagged in help as EXPERIMENTAL
    and as requiring configuration. Checks provided - no action taken if
    username and remote hostname have not been provided and host not found.
    Further checks necessary, first no action if network not available
    (actually this feature should not yet have been made available in stable,
    but so be it). [0.1.5-14 & 15 of 2005w10/4] - does not currently create
    base directory for output on remote server - only sub-directories for each
    document produced.

* SiSU Sabaki, version 0.1.4-2 of 2005w10/5 (2005-03-11)
  sisu-sabaki-stable_0.1.4-2_2005w10-5.tar.gz
  Contains development-branch, version
  0.1.5-12 of 2005w10/5

  * forgot to update Rakefile along with rest of last stable relese (this is
    excuse for current update)

  * [A potentially useful feature, released prematurely] remote host secure
    copy using system call, -r flag introduced, hostname and user must be
    configured in sisurc.yaml (It is much more convenient to install SiSU on
    remote machine, and do processing there, but that is not possible and it is
    often convenient to have the files you are working on placed on the remote
    host without further intervention [this serves as (an occasional?) fix],
    (note is faster i am sure to send a compressed tarball)) [could do same for
    ftp etc.] Note also would be more efficiently implemented as a threaded,
    will consider later, for now the output of this implementation is
    appreciated.

  * ascii.rb minor touch, (repeated require removed)

  * an email address update for author

* SiSU Sabaki, version 0.1.4-1 of 2005w10/3 (2005-03-09)
  sisu-sabaki-stable_0.1.4-1_2005w10-3.tar.gz
  Contains development-branch, version
  0.1.5-1 (post 2005w06/4) - 0.1.5-11 of 2005w10/2

  0.1.5-11 of 2005w10/1:

  * latex/pdf match regex improved (for work referred to in 0.1.5-10)

  0.1.5-10 of 2005w10/2 - fold back into stable:

  * fix for bug in latex/pdf for certain types of multiple url/endnote tagging
    within a paragraph, previously not properly caught (not much need had arisen
    for multiple 'such' tags... but sorted)

  0.1.5-9 of 2005w10/1:

  * cosmetic changes, html navigation

  0.1.5-8 of 2005w09/0:

  * cosmetic changes, css visited turned off in html, and previous, next arrow
    buttons changed (with image-buttons from darcs wiki)

  0.1.5-7 of 2005w09/0:

  * utf8 xml

  * utf8 related transforms in one file, (but should profile), so far latexpdf
    and html, (xml to follow)

  * switch over to UTF-8 from ISO-8859-1

  0.1.5-6 of 2005w09/5:

  * platform architechture hooks in place

  * Iñtërnâtiônàlizætiøn a few more utf-8 characters added
    ¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûü
    ¢£¥§©ª«®°±²³µ¶¹º»¼½¾×÷

  * man page, looked odd under utf8, adjustments made (post 0.1.5-5 and
  uploaded)

  * rake base, function updated to setup man along with: bin, lib, etc

  0.1.5-5 of 2005w09/3:

  * papersize, LaTeX/pdf start adjusting, further refinement necessary

  * documentation, small update

  0.1.5-4 of 2005w09/3:

  * internationalisation, Unicode UTF-8 (preferred default (from now on)): the
    locale common denominator between various programs used, from LaTeX and
    Postgresql to ... vim, appears to be utf-8
      Changed computer environment to utf8 (locale, postgresql, vim etc.), and
      run SiSU to see what breaks...
      * issues detected with LaTeX/pdf and sorted

  * hooks for paper size used by latex/pdf in place currently only default a4
    set for all available types, sort out LaTeX settings later.

  * text version of version manifest included start to provide 2004-02-27

  * small changes to rakefile

  * small changes to dates in sysenv

  * termsheets wrapper included, (termsheet sisu pre-processing for merging a
    computer legal 'termsheet' into a set of standard contract documents)
    included wrapper. However, to be useful need to provide examples, and/or
    detail as to how this works... this is left out for now, as having so many
    appendages is a distraction and make sisu look more complicated than it
    need be, or rather than it is for its' ordinary functions.

  * included Debian directory, first attempt at making a deb.
    [still only in development directory]

* SiSU Sabaki, version 0.1.4-0 of 2005w07/2 (2005-02-15)
  sisu-sabaki-stable_0.1.4-0_2005w07-2.tar.gz

  * substantively the same as 0.1.5-0 (development branch)

  * tables get object citation numbers

  * tables are currently omitted from xml output, and table notes are disabled
    for the moment

* SiSU Sabaki, version 0.1.2-27 of 2005w05/0 (2005-02-06)
  sisu-sabaki_0.1.2-27_2005w05-0.tar.gz

  * adjustments to Rakefile post installation configuration and generation of
    sample file output, post-installation options

  * word map hardlinks ... (.html suffix previously handled by webserver
    configuration)

* SiSU Sabaki, version 0.1.2-26 of 2005w05/0 (2005-02-06)
   sisu-sabaki_0.1.2-26_2005w05-0.tar.gz

  * adjustments to Rakefile post installation configuration and generation of
    sample file output

* SiSU Sabaki, version 0.1.2-25 of 2005w05/5 (2005-02-04)
  sisu-sabaki_0.1.2-25_2005w05-5.tar.gz

  * tweaking of default output and processing paths, (for testing, may have
    broken something)

  * adjustment to url pattern match for LaTeX output

  * As rake has been configured to do post installation setup, it is the
    preferred method of installation for the present time.

* SiSU Sabaki, version 0.1.2-24 of 2005w05/5 (2005-02-04)
  sisu-sabaki_0.1.2-24_2005w05-5.tar.gz

  * if you have ruby1.8.2, rake and sudo install and setup should be automated -
    small adjustments to Rakefile, if sudo is used on machine, will request
    user (name) to be used when generating test document, and attempts to do
    additional setup required and generate the first document; if not skips
    that final step, manual configuration, being required (basically running
    sisu -CC in document markup directory first before generating first
    document)

  * hard test for presence of rexml which is supposed to be part of ruby1.8 I
  thought but reports back from a number of distros that is not always there...
  as it is so far only used in SiSU for cosmetic purposes, rexml is ignored if
  not found. Caused hiccup if not present in previous version.

  * on Debian testers had to have the following packages installed in addition
    to having ruby1.8 and preferably rake as well:
      tetex-base tetex-bin tetex-extra
      libyaml-ruby
    other programs used if available
      librexml-ruby trang and tidy

  * on Mac the following page was valuable to one who had not previously used
    Ruby
      http://www.rubygarden.org/ruby?RubyOnMacintosh

* *Withdrawn* - SiSU Sabaki, version 0.1.2-23 of 2005w05/4 (2005-02-03)
  sisu-sabaki_0.1.2-23_2005w05-4.tar.gz

  Withdrawn because more was done setting up SiSU in root than is practicable,
  causing problems for ordinary use of sisu.

  * small adjustments to Rakefile, still need to decide whether default action
    should include an attempt to generate a test document

  * sisurc.yaml sample provided disabled by default (
    /etc/sisu/0.1.2/sisurc.yaml.sample_disabled probably best copied to ~/.sisu
    and renamed sisurc.yaml)

* SiSU Sabaki, version 0.1.2-22 of 2005w05/3 (2005-02-02)
  sisu-sabaki_0.1.2-22_2005w05-3.tar.gz

  * SiSU's Rakefile configure automation taken a bit further. If using Rake
    setup then after the installation of SiSU, Rake will attempt to do initial
    configuration of the sisu document samples output directory, and to
    generate multiple output versions of a sample text file (html, ascii, xml
    (dom and sax versions), latex, pdf). Will consider whether to keep things
    this way, it does provide early feedback as the status of the installation.

  * Permissions on files placed by Rake, bin 755 the rest 644

  * /etc added to sisurc.yaml search path, was previously a sample document.

* SiSU Sabaki, version 0.1.2-21 of 2005w05/3 (2005-02-02)
  sisu-sabaki_0.1.2-21_2005w05-3.tar.gz

  * LaTex/pdf output should now work across the platforms on which sisu has been
    tested, Linux and Mac/OSX/BSD, but this is anticipated rather than
    extensively tested...

  * sisu -CC from within a document working directory, after install should do
    additional things related to initialising output directory

  * system calls were mostly placed in one library/module and the availability
    of the binary tested for with whereis -b, apparently the -b flag for binary
    only is not available across all Linux/Unix, so the whereis check has been
    modified.

  * various little things todo with setup and installation

  * Thanks O-E P, and chris2 for help and feedback with Mac OSX installations.

* SiSU Sabaki, version 0.1.2-20 of 2005w05/2 (2005-02-01)
  sisu-sabaki_0.1.2-20_2005w05-2.tar.gz

  * Most remaining system calls moved to single location, and binaries checked
    for before use, will be very easy to have alternative calls for different
    platforms

  * Well this is news SiSU ran on a Mac yesterday - html, ascii, xml Very much a
    first look. There are issues to resolve, but not major ones: sisu -v:

      SiSU Sabaki: version 0.1.2-19 of 2005w05/1 (2005-01-31) & Ruby: ruby 1.8.2
      (2004-12-25) [powerpc-darwin7.7.0]

  * & my info, sisu -v:

      SiSU Sabaki: version 0.1.2-19 of 2005w05/1 (2005-01-31) & Ruby: ruby 1.8.2
      (2005-01-10) [i386-linux]

* SiSU Sabaki, version 0.1.2-19 of 2005w05/1 (2005-01-31)
  sisu-sabaki_0.1.2-19_2005w05-1.tar.gz

  * Rakefile modified, same result ... a few more options

  * touch to vim folds

  * cosmetic change to code headers

  * a touch related to initialisation of directories (probably more to follow),
    checks done as to whether to -C on use of -m and -M flags

  * SiSU ran on a Mac today - html, ascii, xml. There are issues to resolve, but
    not major ones: sisu -v on a powerpc yesterday:

  * Well this is news SiSU ran on a Mac yesterday - html, ascii, xml Very much a
    first look. There are issues to resolve, but not major ones): sisu -v:

     SiSU Sabaki: version 0.1.2-19 of 2005w05/1 (2005-01-31) & Ruby: ruby 1.8.2
     (2004-12-25) [powerpc-darwin7.7.0]

  * my info, sisu -v:

      SiSU Sabaki: version 0.1.2-19 of 2005w05/1 (2005-01-31) & Ruby: ruby 1.8.2
      (2005-01-10) [i386-linux]

  * Released together with 0.1.2-18 which was held back because some remaining
    issues with extension of feature set introduced in 0.1.2-14 and 0.1.2-15
    were detected. These have been largely but not completely resolved. Will
    have to study effects of changes on middle layer more closely in subsequent
    releases.  There will be some.  The release is made now anyway because
    there are a number of installations taking place this week, and it does
    contain improvements over previous versions, in the install procedures
    which are primarily what is to be looked at.

* SiSU Sabaki, version 0.1.2-18 of 2005w04/0 (2005-01-30)
  sisu-sabaki_0.1.2-18_2005w04-0.tar.gz

  * Rakefile modified, same result ... a few more options

  * touch to vim folds

  * cosmetic change to code headers

  * a touch related to initialisation of directories (probably more to follow),
    checks done as to whether to -C on use of -m and -M flags

  * Held back and released at the same time as 0.1.2-19. While containing the
    noted improvements over 0.1.2-17 was withheld as some remaining issues
    resulting from the extension of features in 0.1.2-14 & 0.1.2-15, which
    0.1.2-18 goes some way to address as well.

* SiSU Sabaki, version 0.1.2-17 of 2005w04/4 (2005-01-27)
  sisu-sabaki_0.1.2-17_2005w04-4.tar.gz

  * Test documents regenerated.

  * Bugfix release, fixing bug intruduced by longtime planned nifty new feature
    introduced in 0.1.2-14 and 0.1.2-15 ¿  in keeping with markup ergonomics,
    emphasis, i.e. word list to be made bold and italics can be adjusted in
    skins as well as in headers, or directly in text, see 0.1.2-14 and 0.1.2-15
    release and notes below for general details.

  * bugfix of feature introduced in 0.1.2-15
    single fix for bug in 0.1.2-15 (markup wordlist defaults and skin
    adjustment), 0.1.2-16 (earlier bugfix). In special circumstances the bug
    could also affect 0.1.2-14 (markup wordlist header adjustment)

  * max pdf image size optimised for landscape output.  sizes changed in
    0.1.2-16, incidentally, really should have different maximum values for
    landscape and portrait, planned.

* *Withdrawn* - SiSU Sabaki, version 0.1.2-16 of 2005w04/4 (2005-01-27)
  sisu-sabaki_0.1.2-16_2005w04-4.tar.gz

  * bugfix release which itself had to be fixed, see bugfix, 0.1.2-17 of
    2005w04/4

* *Withdrawn* - SiSU Sabaki, version 0.1.2-15 of 2005w04/3 (2005-01-26)
  sisu-sabaki_0.1.2-15_2005w04-3.tar.gz

  * in keeping with markup ergonomics, emphasis, i.e. word list to be made bold
    and italics can be adjusted in skins as well as in headers (0.1.2-14), or
    directly in text (as before), see 0.1.2-14 release and notes below for
    general details.

  * See bugfix, 0.1.2-17 of 2005w04/4

* SiSU Sabaki, version 0.1.2-14 of 2005w04/3 (2005-01-26)
  sisu-sabaki_0.1.2-14_2005w04-3.tar.gz

  * auto-detect and configure output directory (autorun sisu -C if related
    directories are not detected)

  * minor touch to Rakefile

  * in keeping with markup ergonomics, word list to emphasise, ie bold and
    italics can be added in document headers,[*] where a word is to be
    consistently tagged in this way

  * documentation updated accordingly

* SiSU Sabaki, version 0.1.2-13 of 2005w03/0 (2005-01-23)
  sisu-sabaki_0.1.2-13_2005w03-0.tar.gz

  * Rakefile updated (rake help)

* SiSU Sabaki, version 0.1.2-12 of 2005w03/6 (2005-01-22)
  sisu-sabaki_0.1.2-12_2005w03-6.tar.gz

  * Rakefile added (sudo rake)

* SiSU Sabaki, version 0.1.2-11 of 2005w03/5 (2005-01-21)
  sisu-sabaki_0.1.2-11_2005w03-5.tar.gz

  * removed install.rb which has been stripped of almost all function (and rely
    on setup.rb)

* SiSU Sabaki, version 0.1.2-10 of 2005w03/5 (2005-01-21)
  sisu-sabaki_0.1.2-10_2005w03-5.tar.gz

  * some basic default install issues...

  * Minero Aoki's setup.rb used for basic installation, but rough home brew
    install.rb copies remaining required files to /etc. setup.rb used to
    install sisu package (bin,lib,data) apart from the /etc directory.
    install.rb used for /etc only. Will switch to using only setup.rb when it
    sets up etc in addition to bin, lib, and data. When there is time,
    (possibly as late as next month) will work towards having a release that
    uses setup.rb for installation.

* SiSU Sabaki, version 0.1.2-9 of 2005w03/4 (2005-01-20)
  sisu-sabaki_0.1.2-9_2005w03-4.tar.gz

  * only change is to man pages

* SiSU Sabaki, version 0.1.2-8 of 2005w03/3 (2005-01-19)
  sisu-sabaki_0.1.2-8_2005w03-3.tar.gz

  * Still pre-setup.rb

  * Minero Aoki's setup.rb and the rough home brew install.rb put together for
    sisu, both included...

  * setup.rb included and can be used to install sisu package (bin,lib,data)
    apart from the /etc directory

  * install.rb still used for general installation of sisu package
    (bin,lib,etc), it does nothing with data directory

  * man page updated, and can be "installed" using setup.rb

* SiSU Sabaki, version 0.1.2-7 of 2005w03/3 (2005-01-19)
  sisu-sabaki_0.1.2-7_2005w03-3.tar.gz

  * Still pre-setup.rb

  * directory structure maps that used by setup.rb

* SiSU Sabaki, version 0.1.2-6 of 2005w03/3 (2005-01-19)
  sisu-sabaki_0.1.2-6_2005w03-3.tar.gz

Previous bundle inclomplete, and withdrawn
SHA1(sisu-sabaki_0.1.2-5_2005w03-2.tar.gz)=
6c39c531356e7a954d9e49c6fac4541fe6f9ce89

  * Still pre-setup.rb

  * using yaml instead of pstore for version info, taken from read-only /etc

  * no attempt to setup ~/.sisu resource configuration directory, make it
    yourself as required.

* SiSU Sabaki, version 0.1.2-4 of 2005w03/1 (2005-01-17)
  sisu-sabaki_0.1.2-4_2005w03-1.tar.gz

  * minor fix made to LaTeX for pdfs (package loaded twice)

  * minor fix made to example cgi search form, front-end for Postgresql db, (a
    counter contained a typo, plus cosmetic touches)

* SiSU Sabaki, version 0.1.2-3 of 2005w02/4 (2005-01-13)
  sisu-sabaki_0.1.2-3_2005w02-4.tar.gz

  * Installation and configuration issues.

  * does output check on directory permissions, and defaults to home directory
    if web server directory does not have write permission

  * can switch off external programs that are unavailable in resource
  configuration file

  * note in README on which external programs are used

  * bug detected [2005-01-16] in released behaviour of object citation
    numbering, tables should be numbered.  Not yet fixed. Unlikely to touch
    before mid-February.
    Not certain when behaviour changed. It appears to be pre-introduction of
    new table syntax. Each table gets an ocn, required amongst other things for
    relational database. Check consistency of ocn elsewhere.

* SiSU Sabaki, version 0.1.2-2 of 2005w02/2 (2005-01-11)
  sisu-sabaki_0.1.2-2_2005w02-2.tar.gz

  * manual location anchor/marker/tagging provided for html, (at present in html
    only, adds nothing to other output types).  Interactive help (and
    SiSU_MARKUP textfile in tar bundle) updated accordingly.
    Very minor code addition, has existed previously, decided is still useful
    on some occasions. Use sparingly, the author is currently responsible for
    non-duplication of such names. There is a remote possibility it breaks
    something. An example of such a link:
    http://www.jus.uio.no/sisu/SiSU/2004#ibm
    http://www.jus.uio.no/sisu/SiSU/2004#2004-06-17

  * endnotes were missing from the html full length, scroll outputs, and are now
    back.

  * skins included (now properly marked for revision control - or rather
    accidental marking as "boring" removed for darcs).

* SiSU Sabaki, version 0.1.2-1 of 2005w02/1 (2005-01-10)
  sisu-sabaki_0.1.2-1_2005w02-1.tar.gz

  * previous bundle not quite complete (skins missing) - [still missing were
    marked incorrectly for darcs revision control exclusion]

  * also previous version 0.1.2-0 despite its name worked as part of previous
  0.1.1 version, directories created etc.

* SiSU Sabaki, version 0.1.2-0 of 2005w01/0 (2005-01-09)
  sisu-sabaki_0.1.2-0_2005w01-0.tar.gz

  * syntax tidying and small additions, old syntax remains effective, but
    possibility to reduce some repetatition. See interactive help on markup
    which has been updated accordingly, and within bundle SiSU_MARKUP.txt

  * bugfix, pdf: corrects inconsistent behaviour in marking up urls in
    footnotes, should be live hyperlinks and small font, introduced in 0.1.1-2

  * bugfix, metaverse: tables with headings did not previously work with
    updated table syntax, in release 0.1.1-2

* *Withdrawn* - SiSU Sabaki, version 0.1.1-3 of 2005w01/6 (2005-01-08)
  sisu-sabaki_0.1.1-3_2005w01-6.tar.gz

  * The default markup for: tables, grouped text, poems, code etc. has been
    tidied/simplified. These are changes that have been planned for some time
    and bring the style for these in line with the other markup syntax used.
    The default syntax has been stable for a few years now, I thought this best
    done prior to use by others. Note however: the previous syntax form is
    still supported but depreciated. The default syntax has been stable for a
    few years now.

  * For help on markup syntax see one of the following:

    interactive help - type 'sisu help tables'

    marked up text samples

    the SiSU_Markup.txt file provided with the program

  * Quick fixes have been made to the vim syntax file which is provided.

  [Will slow down updates for a while though there are still issues with the
  install.]

* *Withdrawn* - SiSU Sabaki, version 0.1.1-2 of 2005w01/6 (2005-01-08)

  * Few lines of code changed from 0.1.1-2, which is withdrawn.

* SiSU Sabaki, version 0.1.1-1 of 2005w01/5 (2005-01-07)
  sisu-sabaki_0.1.1-1_2005w01-5.tar.gz

  * install touch

  * version information moved

  * Still things to sort out with installation

  * Manually change ownership on the resource configuration directory

* SiSU Sabaki, version 0.1.1-0 of 2005w01/4 (2005-01-06)
  sisu_0.1.1-0_2005w01-4.tgz

  * Modifications to installation script, configuration paths, and help only.

  * Install script a bit smarter, (also installs the configuration files that
    come along with the sample marked up documents) and more information
    provided on paths, both by the install script and interactive help once
    installed. Not much effort spent on installer, however, he directory
    structure used is fine, paths may need to be reset, and information
    provided on what is being attempted should make it easier to figure out
    what may need to be done should problems arise.

  [preferably run old remove script prior to install... otherwise you link
  /usr/local/bin/sisu to /usr/local/bin/sisu-0.1.1]

First release of SiSU - sisu_0.1.0-9_2005w01-2.tgz
  http://www.jus.uio.no/sisu/download/sisu_0.1.0-9_2005w01-2.tgz
  SHA1(sisu_0.1.0-9_2005w01-2.tgz)=
  14b230ba5a4c8f1c7264b38cd2d9c95a97477f3a

  SiSU Sabaki, version 0.1.0-9 of 2005w01/2 (2005-01-04) was released to the
  public on January 4th 2005. It may be downloaded from:
    http://www.jus.uio.no/sisu/download/sisu_0.1.0-9_2005w01-2.tgz

* DEVELOPMENT (Merged into STABLE) MANIFEST (@ 0.1.5 branch)

  SiSU Sabaki development-branch, version 0.5.8 of 2005w15-0 [==0.4.3]

  SiSU Sabaki development-branch, version 0.5.4 of 2005w15-4 [==0.4.2]

  SiSU Sabaki development-branch, version 0.5.3 of 2005w15-3 [==0.4.1]

  SiSU Sabaki development-branch, version 0.5.0 of 2005w15-2 [==0.4.0]

  SiSU Sabaki development-branch, version 0.3.0 of 2005w14-0 [==0.1.5-58]
  * substantively the same as 0.2.0 [== 0.1.4-11]

  SiSU Sabaki development-branch, version 0.1.5-58 of 2005w14/6
  * substantively the same as 0.1.4-11

  SiSU Sabaki development-branch, version 0.1.5-55 of 2005w13/6
  * substantively the same as 0.1.4-10

  SiSU Sabaki development-branch, version 0.1.5-46 of 2005w13/2
  * substantively the same as 0.1.4-9

  SiSU Sabaki development-branch, version 0.1.5-44 of 2005w13/2
  * substantively the same as 0.1.4-8

  SiSU Sabaki development-branch, version 0.1.5-33 of 2005w12/3
  * substantively the same as 0.1.4-7

  SiSU Sabaki development-branch, version 0.1.5-29 of 2005w12/1
  * substantively the same as 0.1.4-6

  SiSU Sabaki development-branch, version 0.1.5-21 of 2005w11/2
  * substantively the same as 0.1.4-5

  SiSU Sabaki development-branch, version 0.1.5-20 of 2005w11/1
  * substantively the same as 0.1.4-4

  SiSU Sabaki development-branch, version 0.1.5-15 of 2005w10/4
  * substantively the same as 0.1.4-3

  SiSU Sabaki development-branch, version 0.1.5-12 of 2005w10/4
  * substantively the same as 0.1.4-2

  SiSU Sabaki development-branch, version 0.1.5-11 of 2005w10/2
  * substantively the same as 0.1.4-1

  SiSU Sabaki development-branch, version 0.1.5-0 of 2005w06/4
  * substantively the same as 0.1.4-0
